Poznámka překladatele

Z důvodů zřejmých nejsou nikde v manuálu přeloženy termíny přímo odkazující na libovolnou „položku“ oken (např. názvy oken, názvy menu, podmenu, tlačítek, čítačů, lišt atd.), protože primární činností není „počešťování“ SW.

Překlad je na konci doplněn slovníkem překladatele.

Na několika místech originálního manuálu jsou drobné chyby. Nejsou ale závažné a nebrání správnému používání SW a jeho funkci. Autor překladu je řadí spíš do kategorie překlepů, které nezpůsobí újmu a na konkrétní výskyt nijak neupozorňuje. Nechává to zcela na uživateli, který jistě několik drobných prohřešků autora nalezne také.

Překladatel se zde poprvé setkal s případem, kdy jisté, přitom velmi důležité části originální nápovědy, v ní nejsou umístěné viditelně, ale jsou zobrazitelné (se „zelenou“ hlavičkou na rozdíl od všech ostatních „červených“) pouze po použití hypertextového odkazu (pokud na ně uživatel víceméně náhodně narazí) nebo po pracném použití techniky hledání „zadaného textu“ (kdy tvar hledaného termínu není ani přesně známý). Viz „zelené dodatky“ s podrobnějším vysvětlením.


Vítejte v Beyond Compare 3

Beyond Compare (dále i jako „BC“, „BC2“, „Beyond Compare 2“, „BC3“, „Beyond Compare 3“, „verze 2“, „verze 3“) je nástroj pro porovnávání souborů a složek. Může vám pomoci najít a porovnat rozdíly ve zdrojových kódech, složkách, obrazech a datech i tehdy, když vaše soubory budou součástí v ZIP archivů nebo umístěné na FTP sítích. Složky lze synchronizovat a kopie ověřovat.

Beyond Compare hladce koordinuje celý průběh porovnávání, od struktur složek až po individuální rozdíly v souborech. Specializované soubory informací uživatelům zpětně ukážou rozdíly ve složkách vstupujících do relace, což vám rychle pomůže se soustředit na důležité rozdíly. Beyond Compare si různé relace pamatuje, takže se po čase můžete vrátit k témuž porovnávání.

Dokument popisuje obě verze Standard vs Pro Beyond Compare. Funkce, které jsou k dispozici pouze pro verzi Pro, jsou uvedeny touto zelenou ikonou: .

Beyond Compare je k dispozici pro OS Windows i Linux. Položky v tomto dokumentu, které odkazují pouze na tu kterou konkrétní platformu, jsou uváděny těmito ikonami: nebo [image].


Co je nového

Verzi Beyond Compare 3 jsme zcela kompletně přepsali. Stejně jako u přechodu z verze 1 na verzi 2, jsme opět přehodnotili uživatelské rozhraní, rekonstruovali některé vnitřní základy a přidali nové významné funkce.

Zde, některé z nových významných funkcí Beyond Compare 3, jsou. Položky označené [image] jsou k dispozici pouze pro verzi Pro.

Rozšířená koncepce relací

· Nejenom porovnávané složky, ale i libovolné relace porovnávání mohou být ukládané

· Některé “p lug-in“ byly nahrazeny vestavěnými typy relací

· Uložené relace mohou být organizovány ve složkách

· Nová porovnávání jsou nyní automaticky ukladaná jako relace

Povolení plného unicode

· V Unicode jsou podporovány obsahy souborů. Nyní navíc i jména souborů

Pokročilá rozhraní

· Rozhraní typu “záložka” pro náhledy relací

· Praktické okno "domovského" náhledu pro spouštění a obsluhu relací

· Uspořádání otevřených relací lze ukládat a obnovovat

· Je vestavěna vlastnost kontrol “update”

Vlastnosti porovnávání složek

· Barvy ikon složek nyní odpovídají vašim volbám

· Operace lze řetězit

· Akce se soubory nyní respektují výchozí nastavení filtrů

· Synchronizaci složek lze v relaci dedikovat na podsložky

· Příkazy Touch a Attributes nyní fungují v podsložkách rekurzivně

· Příkaz Attributes nově podporuje atributy v OS Unix

· Nový příkaz Ignored označuje pomocí “flag” nevyhovující soubory jako dobré

· Nový příkaz Move to Folder

· Srovnávání složek umožňuje porovnávat složky rozdílných struktur

· [image] Schopnost používat “override” pro zarovnávání souborů

Vlastnosti porovnávání textů

· Plně editovatelný panel s dynamickým zpětným porovnáváním

· Zvýraznění syntaxe

· Adaptabilní tlačítko pro kopírování oddílů

· Neomezená možnost zpětného návratu po uložení

· Gramatika na bázi pravidel pro porovnávání

· Nezávislé formáty souborů na “obou stranách” porovnávání

· Nový příkaz Ignored označuje pomocí “flag” nevyhovující oddíly jako dobré

· Vícenásobné záložky

· Možnost hexadecimálního zobrazení detailů řádku

· [image] 3-cestné slučování textu

· [image] Schopnost zacházet s konkrétním textem jedné strany jako s nedůležitým při porovnávání s textem na straně druhé

Vylepšená podpora FTP

· Volitelné FTP profily v relaci

· Více simultánních připojení

· [image] Vestavěná podpora pro zabezpečené protokoly FTP (SFTP a FTP cestou SSL)


Verze Standard vs Pro

Standardní verze Beyond Compare 3 je výkonný plnohodnotný nástroj porovnávání, a to i v “ořezané” verzi. Standardní verze přináší funkčnost Beyond Compare verze 2 a přidává možnosti úprav celé obrazovky, plnou podporu Unicode, zvýraznění syntaxe a další možnosti.

Navíc verze Pro přidává tyto další pokročilé funkce:

3-cestné slučování textů

Porovnává nezávislé změny oproti společným předcházejícím datům s cílem vytvoření nového sloučeného obsahu.

* Nahrazování textu

Specifikuje text jako nedůležitý, pokud se změní na konkrétní hodnotu na druhé straně. Např. si můžete nalezené „jablko“ na levé straně při porovnávání s „pomerančem“ na straně pravé, označit jako nedůležitý rozdíl.

Použití ”override” na zarovnávání porovnávaných složek

Při zarovnávání souborů v relaci porovnávání složek lze použít “override”. Např. mohou být porovnávány “.gif” soubory na straně jedné s “.png” sooubory na straně druhé.

Integrované řízení zdrojů

Přidání příkazů pro kontrolu souborů v nebo mimo verze řídících systémů vyhovujícím SCC.

Podpora SFTP

Spíše, než by se SW Beyond Compare 3 spoléhal na řešení třetích stran, má vlastní vestavěnou podporu pro zabezpečené protokoly FTP (SFTP a FTP cestou SSL).

Porovnávání Registry

Porovnává právě používané Registry, místní i vzdálené, stejně jako uložené soubory Registry.

* Poznámka: Zkušební stažený Beyond Compare obsahuje obě verze, Standard i Pro. Režim Pro můžete pomocí dialogu Help > About vypnout a používat zkušební standardní verzi.

Váš licenční klíč příslušné verze pro trvalé užívání odemkne. Pokud se rozhodnete pro licenci verze Standard, můžete později provést “upgrade” na verzi Pro. Uhradíte pouze rozdíl cen.


Použití Beyond Compare

Beyond Compare se zabývá širokou škálou úloh porovnávání. Specializuje se na různé druhy souborů a různé přístupy pro urovnávání rozdílů mezi nimi.

Každá úloha porovnávání se nazývá relace. Relace mohou být individuální nebo pojmenované, uložené a opětovně použitelné. Mnohá z nastavení Beyond Compare jsou spravována a uchovávána spíše jako relace, než jako široké možnosti programu. Poskytují totiž větší přizpůsobivost. Pro uspokojování požadavků nejrůznějšího porovnávání složek si můžete ukládat různé relace se zcela odlišným nastavením.

Soubor relace, který vznikl ze složky relace, je potomek relace.

Relace může být otevřena v samostatných oknech nebo může mít více panelů v jednom okně. Hovoříme o náhledu otevřené relace. Můžete mít více otevřených oken, z nichž každé bude mít více záložek. Můžete je přetahovat z jednoho okna do druhého nebo klepnout pravým tlačítkem, z kontextového menu vybrat Tear Off a přejít do jejich vlastního okna. (Viz záložky.)

Aktuálně otevřené relace můžete uložit jako pracovní prostor a později je načíst zpět se stejnou konfigurací oken (viz správa pracovního prostoru).

Nastavení relací, která určují, jak se porovnávání provádí, se nazývají pravidla. Pravidla pomáhají se soustředit na důležité rozdíly. Beyond Compare pro zdárný průběh prací udržuje seznam formátů souborů pro specifikaci různých souborů používaných při operacích. Vestavěné formáty si můžete upravit nebo si vytvořit vlastní.

Tato část dokumentace obsahuje přehled různých typů relací a programových koncepcí uvedených výše.


Domovský náhled

Po otevření nového okna nebo po klepnutí na záložku, se zobrazí okno domovského náhledu Beyond Compare:

Z okna domovského náhledu můžete:

· Spouštět nové relace všech typů porovnávání

· Vybírat z předem uložených relací

· Vybrat automaticky uloženou relaci

· Spravovat nastavení uložených relací

· Upravovat výchozí nastavení a použít ho pro novou relaci

Můžete také přetahovat soubory nebo složky z Windows Exploreru na tuto stránku a porovnávat je. Přetažením pomocí ”drag and drop” na tlačítko Start new session lze zahájit novou relaci specifického typu.

Pro úpravu okna domovského náhledu zvolte Options [image] v menu Tools a vyberte obecně.


Správa relací

Beyond Compare automaticky vaši poslední relaci uloží, takže se k ní můžete snadno vrátit. Pokud si chcete relaci zachovat na dobu neurčitou, můžete ji uložit s popisujícím jménem. Vaše pojmenované relace můžete také organizovat do složek.

Nabídka Session obsahuje běžné příkazy pro manipulaci s aktuální relací. Pokud provedete změnu parametrů pojmenované relace, budete na závěr vyzváni k jejich uložení.

Pomocí okna domovského náhledu můžete spravovat všechny relace na jednom místě. Uloženou relaci si můžete vybrat a upravit její nastavení v řídících záložkách vpravo od stromu relací. Chcete-li relaci přejmenovat nebo odstranit, klepněte na ni ve stromu relací pravým tlačítkem a vyberte příslušný příkaz.

Pojmenovanou relaci můžete na ochranu před náhodnými úpravami uzamknout. Klepněte na ni pravým tlačítkem a z kontextového menu vyberte Look.

Chcete-li změnit výchozí nastavení relace:

Ve větvi Edit session defaults stromu Saved sessions v okně domovského náhledu vyberte typ relace a v řídících záložkách na pravé straně stromu nastavení upravte.


Sdílení relací

Soubory uložených relací může sdílet více uživatelů, ale pouze v režimu “read-only”. V nabídce Tools vyberte Export Settings pro vytvoření balíčku .bcpkg nastavení vytvořeného z podmnožiny nastavení relace.

Chcete-li přistupovat ke sdílenému souboru relace

1. Z menu Tools vyberte Options [image].

2. Na stránce General zadejte umístění Shared sessions file.

Sdílená relace se pak objeví jako nová větev ve stromu uložených relací:


Porovnávání složek

Relace porovnávání složek porovnává ve stylu známého Exploreru dvě struktury složek proti sobě. Porovnávání se může týkat složek na pevném disku nebo v síti, ale také každá ze stran může být archivem na FTP síti, archivem ZIP nebo dříve vytvořeným snímkem. Všechny tyto adresářové struktury složek a podsložek obsahují soubory, se kterými Beyond Compare zachází rovnocenně.

Porovnávání složek pro zvýraznění rozdílů mezi oběma stranami používá pro zvýraznění barev. Pro zobrazení průvodce zvolte Viev > Legend a nastavte různé kombinace barev ikon ve složkách. Detaily viz jak porozumět zobrazení.

Typická strategie porovnání složek je:

1. Definování porovnávání struktury složek

2. Nastavení filtrů náhledu pro zvýraznění významných rozdílů

3. Urovnání rozdílů

Pro třídění ve sloupci můžete kliknout na záhlaví tohoto sloupce nebo po kliknutí pravým tlačítkem na záhlaví sloupců vybrat ty, které chcete vidět.

Viz také

Porovnávání složek - příkazy

Porovnávání složek - nastavení

Náhledy složek - možnosti


Jak porozumět zobrazení

Zobrazení porovnávání složek používá barevná zvýraznění rozdílů mezi dvěma základními složkami. Ve výchozím nastavení barev platí:

černá odpovídá

červená novější nebo nesoulad

zelená starší

modrá ”osamocený(-á)” (neexistuje na druhé straně)

Chcete-li změnit barvy, vyberte Options [image] z menu Tools a ve Folder Views vyberte Compare Colors.

Zobrazení souborů

V následujícím příkladu má soubor na pravé straně červenou barvu a ta prokazuje, že je novějšího data. Ikona [image] v prostředním sloupci ukazuje, že při porovnávání obsahu byly nalezeny rozdíly.

Výsledek porovnání obsahu může pomocí “override” přepsat barvy souborů. Např. se výše uvedený řádek změní na celý černý, pokud obsah porovnání vrátí přesnou shodu. Toto chování můžete změnit vypnutím “Override” quick test resuls v záložce Comparison v nastavení relace.

Prostřední sloupec zobrazuje – pokud existují – výsledky porovnávání:

Binární shoda Soubory jsou byte po byte stejné.

Binární neshoda Soubory se liší alespoň v jednom byte.

Shoda Základní pravidla nalezla shodu, ale byly nalezeny binární rozdíly.

Podobnost Základní pravidla nalezla pouze nevýznamné rozdíly.

Neshoda Základní pravidla nalezla významné rozdíly.

Některé typy souborů, jako jsou např. ZIP archivy, mohou sloužit jako kontejnery jiných souborů. Beyond Compare tyto složky zvládne stejně jako jiné. Následující příklad ukazuje náš zkompilovaný soubor nápovědy v novější verzi na pravé straně. Všimněte si speciální “zip” ikony.

Na soubor můžete poklepat, rozbalit ho a porovnávat každý z obsažených souborů samostatně.

Zobrazení složek

Složky jsou barevné, aby vás informovaly o svém obsahu. Např. v níže uvedeném porovnávání můžete vidět, že složka vpravo obsahuje alespoň jeden soubor, který je novější (červený), a že obě strany mají alespoň jeden “osamocený” soubor (modrý).

Při prvním spuštění porovnání složek se může složka jevit jako prázdná (nenaplněná). To se stává, když proces prohledávání pracuje na pozadí a dosud nedokončil porovnávání těchto složek. Ty pak barvu, až proces bude dokončen, nastaví.

Složka bude žlutá, pokud automatické prohledávání je vypnuté a vy jste složku dosud neotevřeli. Jakmile složku otevřete ručně (a možná i její podsložky), bude už vhodně zbarvena.

Složka bude mít na ikoně malou šipku, pokud je složkou zástupce nebo symbolického odkazu. Složka bude na ikoně mít malé červené "X", pokud došlo k chybě při pokusu o její otevření. Následující příklad ukazuje složku splňující obě podmínky.


Jak porovnávat složky

Existuje několik způsobů, jak porovnávat soubory a složky.

Pokud se chcete rychle podívat na to, co se mezi dvěma složkami změnilo, stačí se podívat na data a velikosti souborů. Jestliže požadujete zjsitit platnost CD kopie, pak je důležité porovnávání každého souboru byte po byte. Pokud chcete porovnat verze zdrojového kódu, pak možná budete chtít zvážit pouze významné změny a ignorovat rozdíly v prázdném prostoru nebo v komentářích.

V nastavení relace definujte, jak celkově by porovnávání složek po načtení relace mělo vypadat. Porovnávací kritéria zahrnují časová razítka souborů, velikosti, atributy a obsahy. Jakmile se relace načte, můžete selektivně zpětně porovnávat soubory pomocí příkazu Compare Content [image] nebo to provádět při otevírání souborů v relaci.

Obecně platí, že tato kritéria slouží k porovnávání souborů a ne přímo složek. Např. časové razítko složky nemá vliv na porovnávání. Složka je klasifikována jako "novější", pokud obsahuje novější soubory. Složky jsou porovnávány agregovaným porovnáváním souborů, které obsahují.

Některé údaje o souborech mohou být určeny rychle, zatímco získání jiných nějakou dobu trvá. Záložka Comparison v nastavení relace je uspořádána podle Quick tests a Requires opening files. Systémy souborů obvykle poskytují rychlý přístup k názvům souborů, velikostem a časovým údajům (datum a čas poslední změny). Ale získat CRC souboru už znamená celý soubor číst. Mějte to na paměti při výběru složek kritérií porovnání. Viz též porovnávání obsahu.

Soubory a podsložky se stejným názvem se zobrazují zarovnaně vlevo i vpravo. Zarovnání můžete upravit tím, že definujete “override” zarovnání v Rules [image] relace. Můžete také přizpůsobit zarovnání souborů bez ohledu na podsložky, použitím příkazu View > Ignore Folder Structure.


Filtrování náhledu

Existují dva hlavní typy filtrů, které lze použít k řízení oblasti zobrazení složek porovnávání. Filtry souborů, které mohou obsahovat nebo vylučovat soubory podle jejich jmen nebo atributů, a zobrazovací filtry, které zobrazí nebo skryjí řádky porovnávání podle stavu porovnávání.

Např. můžete nastavit filtr Show Left Newer k zobrazení pouze těch souborů, které jsou novější na levé straně porovnávání. Nebo si můžete nastavit filtr souborů pro vyloučení souborů *.bak, pokud je nechcete vidět nebo s nimi manipulovat.

Výchozí nastavení příkazů (jako je kopírování, přesouvání, mazání, atd.), které platí pro obsah vybraných složek, bude stávající filtry respektovat. To znamená, že pokud výběr takové složky obsahuje, budou obsahy těchto složek na výstupu přeskočeny. (Všimněte si, že toto chování se od verze 2 změnilo). Chcete-li toto výchozí chování nastavit, přejděte na Tools > Options > Folder Views > Confirmations a povolte Include hidden items by default. V každém případě lze v dialogu případ od případu výchozí nastavení pomocí “override” přepsat.

V nabídce View výběrem Suppress Filters [image] můžete filtry souborů dočasně potlačit nebo zobrazit.Soubory a složky, které byly skryté, se objeví v barvě zelenomodré a mohou být zpracovány.

Filtry souborů

Typy souborů, které chcete zahrnout do (nebo vyloučit z) relace, můžete předem určit. Např., pokud byste porovnávali Delphi projekty, tak ty by mohly zahrnovat typy souborů jako jsou *.pas, *.dfm a *.dpr. Nebo byste mohli zahrnout všechny soubory kromě typů souborů *.dcu a *.~*.

Chcete-li specifikovat jednoduché fitry “vkládáním těchto typů”, použijte filtry z pole Filters na panelu nástrojů. Typy souborů zadávejte oddělené středníkem nebo použijte přednastavené z rozevírací nabídky. Znaménko minus (-) patří před soubory, které mají být vyloučeny.

Kromě těchto filtrů se zástupnými znaky, můžete nastavit i složitější filtry, které zahrnují nebo vylučují soubory či složky podle názvu. Z nabídky Session vyberte Session Settings [image] a v dialogové záložce vyberte Name Filters. Nebo jednoduše klikněte na ikonu File Filters [image] na liště. Viz také jména filtrů.

Soubory lze filtrovat na základě úpravy data, velikosti, atributů souboru nebo textového obsahu. V záložce Other Filters si můžete zvolit další filtry. (Složky nejsou filtrovány přímo na základě jejich vlastností, ale jsou ovlivněny filtrováním jejich obsahu.) Viz také další filtry.

Zobrazení fitrů

Zobrazení výsledků může omezeno na zobrazení pouze určitých výsledků porovnávání. Výsledky porovnávání jsou určeny porovnávacími pravidly relace. Např. pomocí Show Differences [image] si můžete zvolit zobrazení odstraňující všechny odpovídající si soubory, takže pak se můžete soustředit pouze na neshody.

Viz také zobrazení filtrů.

Filtry zobrazení složek

Speciální zobrazovací filtry složek řídí zobrazování složek, které mají viditelné soubory.

Always Show Folders [image] způsobí, že všechny složky, které chcete zobrazit (pokud nejsou výslovně vyloučeny pomocí filtrů souborů), budou bez ohledu na výběr zobrazení pomocí dalších filtrů, zobrazeny.

Compare Files and Folder Structure [image] způsobí, že při zobrazování složek budou filtry respektovány. Např., pokud hlavní filtr zobrazení bude nastaven na Show All, pak se objeví všechny složky. Bude-li nastaven na Show Orphans, zobrazí se pouze “osamocené” složky a ty složky, které obsahují “osamocený” soubor.

Only Compare Files [image] potlačí všechny prázdné složky, a to skutečně prázdné složky a složky, jejichž obsah je celý skryt před dalším zobrazením nebo jsou soubory fitrovány.

Ignore Folder Structure [image] skryje stromovou strukturu složek a připojených souborů bez ohledu na to, zda jsou v podsložkách.


Urovnání rozdílů

Relace porovnání složek nabízí akce, jako je Copy, Move, Delete a Synchronize, které vám pomohou urovnávat rozdíly na úrovni složek. To je také základ pro pochopení a urovnávání rozdílů v souborech.

Akce obecně vyžadují výběr. Můžete vybrat určité soubory nebo složky na jedné nebo obou stranách a poté s nimi provést nějakou akci. (Pokud chcete synchronizovat celý obsah základních složek, zvažte použití relace synchronizace složek.)

Chcete-li vybrat položky v náhledu porovnávání složek:

Klepněte na položku, která je na obou stranách displeje a vyberte ji. Můžete kliknout v prostředním sloupci a vybrat obě strany najednou. Podržte klávesu CTRL a klikněte na tlačítko pro přidání položky do svého výběru. Chcete-li vybrat řadu položek, stiskněte tlačítko myši nad první, přejděte na poslední položku a uvolněte tlačítko. Pokud váš výběr prochází prostředním sloupcem, budou zvoleny položky z obou stran.

Chcete-li vybrat všechny položky na jedné straně:

Vyberte Select All [image] (nebo Select All Files [image]) z nabídky Edit. Podržte klávesu SHIFT a stiskněte klávesu LEFT ARROW pro výběr na levé straně (nebo RIGHT ARROW na straně pravé).

Chcete-li porovnat soubory s různými názvy:

Klikněte na první soubor, podržte klávesu CTRL, klikněte na druhý a pak vyberte Open. Chcete-li použít klávesnici, nastavte se na první soubor a stiskněte SPACE, umístěte se na druhý a pro provedení Open opět stiskněte SPACE.


Archivy souborů

Archivy jsou soubory, které obsahují další soubory, např. typu “.zip”. Beyond Compare je zobrazuje jako složky s ikonou “zipu“, ale ve výchozím nastavení s nimi zachází jako se soubory při kopírování nebo při jejich porovnávání. Poté, co archiv dvojitým kliknutím rozvinete, můžete soubory porovnávat. Mnoho formátů podporuje čtení i zápis, takže můžete používat všechny běžné operace se soubory i na soubory v archivu, a to včetně porovnání obsahu, kopírování, přejmenování, atd.

Tyto standardní formáty archivů jsou podporovány

 7-zip (*.7z;*.7z.001)

   BZip (*.bz;*.bz2)

   BZipped Tar (*.tbz;*.tbz2;*.tar.bz2)

   Beyond Compare Snapshot (*.bcss;*.bcs)

 Compiled HTML Help (*.chm)

 Debian Packages (*.deb)

   GZip (*.gz)

   GZipped Tar (*.tgz;*.tar.gz)

 Microsoft Cabinet (*.cab)

 RAR (*.rar)

 Red Hat Packages (*.rpm)

   Tar (*.tar)

   Zip (*.zip;*.jar;*.ear;*.war;*.bcpkg)

Snímky Beyond Compare

Tyto soubory jsou podobné jako u jiných archivů, ale obsahují pouze názvy souborů, datum a velikost, bez zahrnutí samotného obsahu souboru. Vzhledem k tomu, že jsou malé, je můžné si uložit snímek celého pevného disku a porovnávat ho později.

Total Commander "Packer" “plug-in”

V Beyond Compare můžete jako “baličku” použít moduly “plug-in” Total Commander, které podporují další archivní formáty. Např. tam jsou moduly “plug-in” pro podporu ISO obrazů disků (.iso) a balíček Microsoft Installer (.msi).
Chcete-li přidat jeden z těchto modulů třetích stran, přejděte na Tools > Options > Folder Views, klikněte na Add Plug-in a postupujte podle pokynů.


Synchronizace složek

Relace synchronizace složek je speciální relační složka, která složky po kopírování nebo po odstranění souborů synchronizuje.

Jakmile relaci synchronizace složek nastavíte, můžete ji pro budoucí použití uložit.

Nastavení parametrů synchronizace

V horní části náhledu specifikujte zúčastněné složky, levou Left folder a pravou Right folder. Libovolná nebo obě základní složky se mohou nacházet na FTP síti. (Pro použití FTP sítě můžete použít tlačítko Browse.)

Z rozbalovacího okénka uprostřed náhledu vyberte jednu z těchto standardních metod synchronizace:

Update Left

Kopie novějších a “osamělých” souborů zprava doleva.

Update Right

Kopie novějších a “osamělých” souborů zleva doprava.

Update Both

Kopie novějších a “osamělých” souborů na druhou stranu.

Mirror to Left

Nahradí všechny různé objekty vlevo, odstraní všechny “osamělé” vlevo a zkopíruje všechny “osamělé” zprava doleva.

Mirror to Right

Nahradí všechny různé objekty vpravo, odstraní všechny “osamělé” vpravo a zkopíruje všechny “osamělé” zleva doprava.

Klikněte na Rules [image] pro vytvoření pravidel.

Můžete také zadat Filters [image] pro omezení rozsahu synchronizace.

Předběžný náhled synchronizace

V případě nutnosti akceptování změn klikněte na Accept [image]. Přehled všech kopírovacích a odstraňovacích operací se objeví v dolní části náhledu.

Dvojitým kliknutím na libovolný pár souborů můžete rozdíly detailně prověřit. Pro přeskočení jednotlivé operace klikněte pravým tlačítkem na řádek a pomocí Exclude z kontextové nabídky řádek s danou operací vyloučíte.

Spuštění synchronizace

Pro zahájení synchronizace klikněte na Sync Now [image].

Viz také

Synchronizace složek - příkazy

Synchronizace složek - nastavení

Náhledy složek - možnosti


Porovnávání textů

V relaci porovnávání textů vizuálně porovnáváte dva textové soubory v náhledu vedle nebo nad sebou. Pomůže vám to analyzovat a porovnávat rozdíly pomocí dostupných funkcí zobrazení, vyhledávání a editace.

Kromě souborů na pevném disku nebo na síti, můžete specifikovat soubory na síti FTP, v zip archivech nebo i obsah webové stránky. Příklad specifikovaného souboru:

ftp://username@ftp.hostname.com/file.txt

C:\Backups\Archive.zip\file.txt

http://www.scootersoftware.com/index.html

Můžete také porovnávat text ve schránce výběrem Open Clipboard z nabídky File.

Při porovnávání textu jsou soubory zobrazeny ve dvou editovacích panelech, které společně rolují. Rozdíly v textu souborů jsou barevně zvýrazněny. Ve výchozím nastavení barevné schéma používá červený “flag” - důležité rozdíly (vložení, odstranění a změny) a modrý “flag” pro rozdíly nedůležité. Klasifikaci textu řídí pravidla vs formáty souborů relace.

Zobrazení má barevné pozadí, které pomáhá zjišťovat rozdíly. Světle červené pozadí indikuje důležité rozdíly někde v řádku, zatímco světle modrá rozdíly nedůležité. Světle červená má přednost před světle modrou. Díky tomu je snadné rozdíly najít, i když jsou vodorovně posunuté mimo pohled. Barvy si můžete nastavit tak, aby vyhovovaly vašim preferencím. (Viz barvy srovnání.)

V levém rohu zobrazení je volitelné zobrazení miniatur. Představuje každý řádek porovnávání jako barevný řádek o šířce jednoho pixelu. Na první pohled je po porovnávání vidět vzorek rozdílů. Bílý obdélník představuje hlavní aktuální zobrazení a malý trojúhelník zobrazení aktuálního řádku. Kliknutím na miniaturu v náhledu řádku je provedeno “najetí” na dané místo.

Pod hlavním panelem je aktuální řádek každého souboru zobrazený na celou šířku okna. V nabídce View vyberte pro zobrazení náhledu editovateného textu Text Details [image], Hex Details [image] pro hexadecimální náhled, který je pouze “read-only” anebo Aligned Details [image] pro náhled zarovnání znaků - také pouze jen “read-only”.

Viz také

Porovnávání textů - příkazy

Porovnávání textů - nastavení

Formáty textů - nastavení

Text - možnosti


Textové úpravy

Každý panel náhledu textu poslouží jako plně vybavený textový editor. Můžete zadávat a upravovat text jako v každém jiném textovém editoru, přičemž “srovnávání” je průběžně aktualizováno, aby odráželo rozdíly mezi jednotlivými panely.

Režim řádku vs. znakový režim

Příkaz Full Edit [image] přepíná mezi režimem řádku a znakovým režimem. V režimu řádku to funguje podobně jako v Beyond Compare 2, kde dochází k úpravám řádků po sobě, takže výběr, vyjmutí, kopírování, vkládání i odebírání ovlivňuje celé řádky. V režimu řádku můžete upravovat jednotlivé řádky použitím pole detailů textu. Režim řádku také podporuje nesouvislý výběr. Režim znakový je podporován při úpravách textu v hlavním panelu. Příkazy výběru a úprav postihují pouze jednotlivé znaky nebo rozsah znaků. Znakový režim podporuje pouze jeden souvislý výběr.


Procházení rozdílů

Příkazy Next Difference Section [image] a Previous Difference Section [image] vám pomohou krok za krokem přecházet všechmi rozdíly v souborech i všemi soubory s rozdíly. Při porovnávání textu klepněte na tlačítko Next Difference Section pro “najetí” na další oddíl řádků s rozdíly nebo Previous Difference Section pro návrat na podobný předcházející oddíl.

Ikona se šipkou je buďto vypnutá nebo mění barvu z jasně žluté na pohasínající žlutou, čímž ukazuje, že už žádné další rozdíly v tomto směru neexistují. Chcete-li nastavit, co se má dít, když žádné rozdíly už neexistují, viz možnosti v podkapitole další rozdíl.

V relaci porovnávání textů aktuální formáty souborů řídí, zda Next a Previous znamená řádek po řádku nebo oddíl po oddílu. Pro přístup k aktuálnímu formátu souborů v relaci porovnávání textů vyberte Session > Session Settings > Importance a klikněte na Edit Grammar. Pak, v dialogu záložky Misc ve formátu textů přepněte Lines are independent.

Pro “najetí” na individuální rozdíl v dlouhém řádku s vícenásobnými rozdíly můžete použít Next Difference a Previous Difference.

Chcete-li v příslušném náhledu odpovídající složky přímo přejít na další soubor s rozdíly, tak v nabídce Search vyberte Next Difference Files [image] nebo Previous Difference Files [image].


Hledání textu

Chcete-li v relaci porovnávání textů vyhledat text, vyberte Find [image] v nabídce Search. Zadejte text nebo vzorek regulárního výrazu v poli Text to find nebo klikněte na rozbalovací tlačítko [image] pro výběr předchozího hledání. K dispozici je také samostatné rozbalovací tlačítko [image] se seznamem společných regulárních výrazů. Výběrem ze seznamu ho použijete pro vyhledávání shod.

Klikněte na Find pro přesun kurzoru na další shodu. Je-li editor v režimu řádku, můžete klepnout na Select All pro výběr všech řádků obsahujích shodu.

Možnosti dialogu hledání:

Možnost Význam

Match character case Pouze shody textu se stejnými znaky (velká či malá písmena).

Whole words only Hledání “apple” nebude odpovídat ani “apples”, “applesauce” nebo “snapple”.

Regular expression Interpretovat hledaný text jako Perl-regulární výrazy.

Wrap search Po dosažení jednoho konce souboru pokračovat v hledání na druhém konci.

Search up Hledání první shody textů, která je před kurzorem.

Sides Výběr strany (stran), které se zúčastní hledání.

Označte volbu Close dialog automatically, když chcete dialog po klepnutí na Find ukončit.

Vyberte Find Next [image] nebo Find Previous [image] pro další hledání shodného textu.

Chcete-li najít a nahradit text, vyberte Replace [image].


Slučování textů *

Relace slučování textů obsahuje dva nebo tři needitovatelné panely se zdrojovými texty a upravovatelný panel výstupu. Panel vlevo a vpravo představují dvě verze souboru. Beyond Compare pomáhá spojovat obě verze do výstupního panelu. Volitelný střední panel představuje starší verzi souboru, tzv. společného předka levé i pravé verze.

Střední panel Center Pane [image] můžete dočasně zakázat proto, aby levý a pravý panel měl větší prostor. Můžete také použít příkaz Detached Output Pane [image] k přesunu panelu výstupu do separátního okna. Jestliže máte další monitor, tak právě na něj můžete separátní okno umístit.

Výstup obsahu je vytvářen automaticky načítáním porovnávaných textů. Můžete ho upravovat i ručně nebo ho přepisovat pomocí Take, kterým příslušný text ze specifickovaného zdrojového souboru připojujete.

Je důležité si uvědomit, že jakákoliv předchozí kopie výstupního souboru bude ignorována. Pokud by před relací slučování existovala nebo by došlo během relace ke změnám, bude stávající obsah ztracen, pokud v relaci slučování výstup uložíte.

Viz také

Koncepce 3-cest

Slučování textu - příkazy

Slučování textu - nastavení

Formáty textů - nastavení

Text – možnosti


Použití slučování textů

Jakmile BC kompletně porovnávání dokončí, ukážou se až čtyři panely. Nahoře levý, střední a pravý panel a panel výstupu pod nimi. Jestliže používáte i střední panel BC, budete tam moci porovnávat oba soubory a označovat změny, vkládat doplňkya upravovat nebo odstraňovat na každé konkrétní straně. Změny na levé straně budou označeny modře a změny na pravé straně fialovou barvou. Překrývající se změny budou považovány za konflikty a budou označeny červeně. (Také můžete, pokud chcete, změnit barevné schéma.)

Konflikty

Kdykoliv existují změny dat, lišící se obsahem na levé i pravé straně, které jsou na stejném řádku nebo ve dvou vzájemných řádcích oddílů, budou považované za konflikt a budou mít červenou barvu ve všech třech vstupních panelech. Výstup bude považován za konfliktní. Konflikt je odstraněn po odstranění odlišností na levé i pravé straně.

Slučování dat

Můžete přecházet od rozdílu k rozdílu jak vstupního tak výstupního panelu a okna zůstanou synchronizována. Jste-li právě nastaveni na nějakém rozdílu, můžete pomocí příkazů Take Left [image], Take Center [image] a Take Right [image] akceptovat změny z levé nebo z pravé strany nebo ponechávat původní obsah středního panelu. "Take" příkazy jsou k dispozici v panelu nástrojů, v místních rozbalovacích nabídkách a ve výstupním okně jako tlačítka pro každý oddíl. Po úvodním načítání se bude ve výstupním oknu výběr všech nekonfliktních změn měnit automaticky a každá změna bude barevně odpovídat panelu, z kterého původně jako změna přišla. Při slučování můžete výstupní panel také upravovat přímo, což se projeví změnou barvy oddílu na žlutou. Pokud se chcete vrátit k libovolnému z původních vstupů, stačí příkaz "Take" použít znovu.

Filtry zobrazení

Při slučování se filtry zobrazování přepínají z tradičních BC filtrů až k novým filtrům zobrazování, kontrolujícím stav každého řádku. Pomocí těchto filtrů můžete zobrazení omezovat pouze na konflikty nebo jen na odlišnosti na jedné či druhé straně.


Porovnávání dat

Relace porovnávání dat porovnává textové soubory obsahující tabulková data, jako jsou např. soubory “.csv” (comma saparated values - hodnoty separované pomocí čárky), v náhledu vedle sebe nebo nad sebou. Soubory jsou zobrazeny ve mřížkách rolujících souběžně a data jsou srovnávána jako buňka vedle buňky.

Zobrazené porovnávané sloupce nejsou nutně rozloženy tak, jak jsou organizovány v datových souborech. Např. první porovnávání sloupců může porovnávat třetí sloupec levého datového souboru s pátým sloupcem souboru vpravo. Viz nastavení srovnávaní sloupců.

Ve výchozím nastavení porovnávání dat jsou soubory před jejich porovnáním setříděné podle řádků odpovídajících klíčovým sloupcům. Pro porovnávání můžete definovat libovolnou konbinaci klíčových sloupců. Pokud zadáte zarovnávání nesetříděné, Beyond Compare nebude soubory třídit, ale pouze zarovnávat řádky s odpovídajícími klíči.

Displej pro zvýraznění rozdílů používá barev. Řádky se světle červeným pozadím znamenají podstatné rozdíly někde v řádku, zatímco světle modrá indikuje rozdíly nedůležité. Světle červené pozadí má přednost před světle modrou barvou. Díky tomu je snadné rozdíly najít, i když jsou vodorovně posunuté mimo náhled. Můžete nastavit barvy tak, aby vyhovovaly vašim požadavkům.

See also

Porovnávání dat - příkazy

Porovnávání dat- nastavení

Formáty dat - nastavení

Data - možnosti


Hexadecimální porovnávání

V relaci hexadecimálního porovnávání vizuálně porovnáváte “syrový” obsah dvou souborů v náhledu vedle sebe nebo nad sebou. Obsah je zobrazován byte po byte v typické notaci hexadecimálních editorů.

Viz také

Hexadecimální porovnávání - příkazy

Hexadecimální porovnávání – nastavení


Porovnávání obrazů

V relaci porovnávání obrazů vizuálně porovnáváte dva soubory obrazů zobrazením jejich rozdílů.

Zarovnání obsahů obrazů

Obrazy můžete porovnávat po aplikaci “resize”, pootočené, zrcadlové i ořezané.

Výběrem View > Stretch to Same Size [image] se pro porovnávání automaticky rozšiřuje užší a zvyšuje nižší obraz.

Výběrem View > Rotate Clockwise [image] nebo View > Rotate Counterclockwise [image] se obraz otáčí o devadesát stupňů doprava nebo doleva.

Výběrem View > Flip Horizontally [image] nebo View > Flip Vertically [image] se obraz zrcadlově převrací podle osy “x” nebo “y”.

Jestliže obraz je oříznutou verzí druhého obrazu, můžete ho na panelu o velikost rozdílu nastavit do polohy originálního obrazu tažením myší do levého horního rohu. Chcete-li obnovit “offset” zpět na souřadnice (0,0), vyberte View > Reset Difference Offset nebo stačí kliknout na “offset” zobrazení v panelu nástrojů. Pro jemnější ovládání lze obraz pomocí kláves se šipkami postupně “strkat” s “offset” jednoho pixelu nebo pomocí Ctrl+šipky pro posun s větší hodnotou. Všimněte si, že poziční rozdíl obrazů na panelech musí pomocí klávesnice být zpracováván “strkáním” (šipky).

Režim tolerance

Výběrem View > Tolerance Mode [image] se pomocí rozdílu v pixelech nastavuje shoda a nedůležité a důležité rozdíly. Použitím nastavitelné Tolerance se definuje nejvyšší stupeň rozdílu považovaný za nedůležitý. Můžete také pomocí Replacements definovat ignorování specifických změn barev mezi obrazy. Ve výchozím nastavení se černá používá na shodu, modrá pro nevýznamné rozdíly a červená pro rozdíly důležité. Barvy si můžete nastavit podle svých požadavků. (Viz možnosti obrazu.)

Povolením View > Ignore Unimportant Differences [image] můžete ignorovat všechny rozdíly menší nebo rovné toleranci. Budou řešené stejně jako odpovídajíci pixely obrazu.

Režim rozsahu neshody

Výběr View > Mismatch Range Mode [image] představuje rozdíly v pixelech jako stupně neshody mezi obrazy. Černé pixely označují shodu, žluté rozdíly. Jas představuje míru rozdílu.

Režim binární operace

Výběr View > Binary Operation Mode [image] vytvoří rozdíl v pixelech jako výsledek boolovské operace s hodnotami RGB (red/green/blue – červená/zelená/modrá) obrazů. Binární operace mohou být typu XOR, AND nebo OR.

Režim prolnutí

Výběr View > Blend Mode [image] používá nastavitelné Blend procento pro zkombinování obrazů. Snižováním procent vytváříte dominantnější obraz.

Viz také

Porovnávání obrazů - příkazy

Porovnávání obrazů - nastavení

Formáty obrazů - nastavení

Obraz - možnosti


Porovnávání Registry

Relace porovnání Registry porovnává “živé” Registry vašeho počítače nebo jiných počítačů v síti a exportovaných souborů “.reg” zobrazovaných vedle sebe.

Klíče a hodnoty jsou tříděné a zarovnávané podle jejich jmen. Klíče mají barvy podle toho, zda obsahují rozdíly nebo “osamocené” hodnoty. Hodnoty mají barvy pro zvýraznění charakteristických rozdílů. Červená označuje rozdíl a modrá indikuje “osamocené” hodnoty.

Jakmile je porovnávání načteno, můžete přímo editovat “živé” Registry. Lze kopírovat položky mezi Registry, odstraňovat nebo přejmenovávat existující položky a přidávat nové. Dvojitým kliknutím na hodnotu lze také měnit její typ a data.

Viz také

Porovnávání Registry - příkazy

Porovnávání Registry - nastavení


Textový editor

Náhled i úpravy textu v textovém editoru probíhají v jediném panelu.

Viz také

Editace textů - příkazy

Formáty textů - nastavení

Text - možnosti


Další typy náhledů

Porovnávání MP3

Relace porovnávání MP3 porovnává dva soubory MP3 se zvýrazněním rozdílů pomocí “tag”.

Viz také

Porovnávání MP3 - příkazy

Porovnávání MP3 - nastavení

Porovnání verzí

Relace porovnání verzí porovnává informace o verzích dvou spustitelných souborů.

Viz také

Porovnávání verzí - příkazy

Porovnávání verzí - nastavení

BC2 “Plug-in”

V Beyond Compare 3 je pro OS Windows možné používat “plug-in” určené pro verzi 2 (protože většina “plug-in” verze 2 je nyní integrována do verze 3). Chcete-li nainstalovat “plug-in”, zkopírujte “.bcp” soubory Beyond Compare 3 do instalační složky programu. Restartujte Beyond Compare, zvolte Tools > File Formats [image], klikněte New a přidejte příslušné definiční formáty pro “plug-in”.


Formáty souborů

Beyond Compare používá formáty souborů k určení, jak zvládnout určité typy souborů. Např. zatímco jsou soubory s příponou “.jpg” nebo “.png” asociovány s porovnáváním obrazů, jsou soubory s příponou “.c” nebo “.cpp” soubory rozpoznány jako syntaxe “C/C++” a jsou zpracovány při porovnávání textů. Vestavěné formáty si můžete upravit nebo si vytvořit vlastní.

Formáty souborů zajišťují:

· Typy prohlížečů pro vizuální porovnávání

· Které konvence, pokud vůbec, by měly být provedeny před a které po porovnávání

· Syntaxe nebo gramatiky pro obsahy souborů

· Případné citlivosti na prvky gramatiky

· Koncové tabulátory

· Pomocné řádky pro procesy zarovnávání

Formáty souborů především řídí, jak budou zpracovávány náhledy souborů, ale také mohou ovlivňovat složky relací porovnávající obsahy souborů. Používáte-li pravidla pro porovnávání obsahů, pak složka relace může omezit zobrazení pouze na soubory s důležitými rozdíly.

Viz také

Správa formátů souborů


Gramatiky

Specifikace formátu souboru může obsahovat gramatické definice, které se používají pro zvýraznění syntaxe, a lze pomocí nich definovat, které rozdíly jsou důležité.

Například standardní formát souborů pro “C/C++” zdrojového kódu obsahuje gramatiku, která rozpoznává klíčová slova, komentáře a doslovné řetězce. Pomocí pravidel vs ... se můžete lépe soustředit na důležité rozdíly.

Gramatické definice BC3 jsou poměrně zjednodušující. Nepodporují vnořené či kontextové specifické definice, takže se dobře nezabývají označenými jazyky jako jako HTML a PHP. Na druhou stranu je to další velký krok ve zlepšování funkcí BC2.

Pro úpravu gramatiky vyberte Tools > File Formats [image] a najděte příslušný formát souboru. Vyberte záložku Grammar a upravte gramatiku prvku.


Zprávy

Zprávy o porovnávání lze ukládat jako informace o porovnávání pro pozdější náhledy bez opětovného spouštění porovnání. Tyto zprávy lze vytisknout přímo z Beyond Compare nebo uložit ve formátu HTML či prostého textu.
Vlastnosti zpráv jsou k dispozici v nabídce Session různých typů relací. Např. v relaci porovnání složek můžete vybrat Session > Folder Compare Report [image].

Styl dostupných zpráv se pro různé typy relací liší, ale možnosti jsou prakticky stejné. Výstupní zprávu můžete obržet některým z těchto způsobů:

· Tiskárna

· HTML zpráva (soubor nebo schránka)

· Prostý text (soubor nebo schránka)

Možnosti HTML a Tiskárna podporují barevné zvýraznění rozdílů.

Náhled tiskové zprávy můžete zobrazit pomocí příkazu Print Preview nebo jako HTML zprávu pomocí příkazu View in Browser.


FTP přístup

Obecně platí, že všude tam, kde jsou v Beyond Compare použity základní složky, můžete místo toho použít složky v sítích FTP.

Procházení FTP složek

Dialog Beyond Compare Browse for Folder [image] | [image] má záložky pro FTP sítě. V nich si můžete vybrat dříve nadefinované FTP nastavení nebo zadat nový název hostitele a další parametry. Na FTP profilu se automaticky s každým novým jménem hostitele vytváří nová kombinace protokolu, jména hostitele a uživatelského jména, pokud se nepoužívá výchozí hodnota.

Pomocí pole Initial remote folder se identifikuje základní složka na síti FTP. Kliknutím na Connect & Browse lze složky hledat interaktivně.

Typické FTP specifikace

Specifikaci FTP cesty můžete zadávat přímo nebo základní ovládací prvky cesty lze upravit pomocí této syntaxe:

ftp://username@ftp.hostname.com

Program se, pokud je potřeba, zeptá na heslo. Nebo můžete vložit heslo pomocí této specifikace:

ftp://username:password@ftp.hostname.com

Pro anonymní přístup heslo nezadávejte:

ftp://ftp.hostname.com

Ve vztahu k přihlašovací složce můžete určit složku relativní:

ftp://username@ftp.hostname.com/subfolder

...nebo relativně vůči síťové kořenové složce:

ftp://username@ftp.hostname.com//subfolder

Pro specifikaci přístupu SFTP (SSH2) použijte syntaxi:

sftp://username@hostname.com

Pro specifikaci FTP prostřednictvím SSL (explicitní SSL) použijte syntaxi:

ftps://username@hostname.com


Použití snímků

V nabídce Tools příkazem Save Snapshot [image] uložíte komprimovaný výpis zadané složky, všech jejích podsložek a včetně časového razítka, velikosti a atributů každého souboru. Snímky mají rozšíření jména souboru “.bcss”.

Snímky jsou vhodné pro detekci změn v průběhu času. Snímky souborů lze později načíst a porovnat s aktuální složkou. Načíst můžete snímky všech ostatních základních složek. Binární a a základní pravidla porovnávání nepracují se snímky, protože soubory dat ve snímcích ve skutečnosti neexistují.

Je-li CRC souboru součástí snímku, pak CRC porovnání lze použít k určení, zda obsah souborů se změnil. To může být užitečné pro detekci poškozených dat a další drobné změny vašich dat.

Snímek si pamatuje název základní složky z které byl vytvořen. Pokud vložíte snímek z příkazové řádky (nebo přetáhnete soubor snímku na ikonu Beyond Compare), bude program automaticky porovnávat snímek z původní složky.

Viz také

Ukládání snímků


Přejmenování souborů

V relaci porovnávání složek můžete skupinu souborů nebo složek pomocí regulárních výrazů kompatibilních s Perl přejmenovat najednou.

V relaci porovnávání složek vyberte dva nebo více souborů s různými jmény a zvolte Rename [image] z nabídky Actions. V dialogu Rename vyberte Regular expressions. Do pole Old mask zadejte regulární výraz, který bude porovnáván s původním názvem. Do pole New mask vložte šablonu pro generování nového jména souboru.

Šablona je výraz, použitý v regulárním výrazu pro definování nového jména pro v poli uvedené staré jméno souboru.

Příklad – částečná změna názvu:

Jestliže "ABCDEF" je jméno souboru a vy chcete zaměnit dvojici "CD" dvojicí "HJ", vložte "CD" do pole v Old mask a "HJ" do pole New mask. Nové jméno souboru bude "ABHJEF".

Příklad – kompletní změna jména:

Jestliže "Beyond" je jméno souboru a vy ho chcete změnit na "Scooter", vložte ".*" pole Old mask a "Scooter" do pole New mask.

Můžete také změnit jméno souboru vložením "Beyond" do pole Old mask a "Scooter" do pole New mask. Nicméně, pro jednoduchá přejmenování je snazší používat volbu DOS compatible.

Příklad – změna jmen skupiny souborů

Pokud máte skupinu textových souborů se šesti znaky jména a chcete zaměnit první tři za poslední tři znaky, zapište “(...)(...).txt” do pole Old mask a "$2$1.txt" do pole New mask. V případě “beyond.txt” vznikne jméno “ondbey.txt”.

Dalším příklad. Pokud máte skupinu hudebních souborů s jménem "Artist-Song" a chcete ho změnit na "Artist - Song", vložte "-" do pole Old mask a " - " do pole New mask.


Ukázky regulárních výrazů

Výraz Význam

^abc odpovídá “abc” na začátku řádku

abc$ odpovídá “abc” na konci řádku

^abc$ odpovídá přesně řádku “abc"

^\s*abc odpovídá “abc” na začátku řádku, ale s počátečními mezerami

^\s*end;?\s*$ odpovídá řádku s pouze “end” nebo “end;” s počátečními nebo koncovými mezerami

abc|def odpovídá buď “abc” nebo “def”

a(b|c)d odpovídá “abd” nebo “acd”

a(b|c)d\1 odpovídá “abdb” nebo “acdc”, ale neodpovídá “abdc”

Řídící znaky použité ve vzorcích výše

Znak Význam

^ začátek řádku

$ konec řádku

\s “neviditelné znaky” (tabulátor nebo mezera)

* žádný nebo více předcházejících znaků

? předcházející znak je volitelný

| alternativní výraz

( ) “podvýraz”

\1 zpětný odkaz na první “podvýraz”

Viz také

Regulární výrazy


Volání Beyond Compare z jiných aplikací

Jak lze očekávat, Beyond Compare jakožto instalační program, vytvoří zástupce hlavního spustitelného souboru, kterým je:

C:\Program Files\Beyond Compare 3\BCompare.exe

Nicméně, pokud zavoláte Beyond Compare z dávkového souboru nebo pod OS, můžete se obrátit na náš spouštěcí program BComp přímo, místo volání BCompare. Následuje diskuse o rozdílech mezi nimi:

BCompare.exe je hlavní aplikace a pouze jedna kopie může být spuštěna v jistou dobu bez ohledu na to, kolik oken máte otevřených. Chcete-li spustit další kopii, bude existující kopie okamžitě ukončena.

BComp.exe a BComp.com jsou dvě verze spouštěcího programu, který zahajuje BC porovnávání a čeká na výsledky porovnávání před svým ukončením. Používají se všude tam, kde to vyžaduje způsob práce (ve verzích slučování, dávkových souborech atd.).

BComp.exe je program GUI Win32. Je-li spouštěn pod OS, pracuje v pořádku. Pokud je spouštěn z příkazového řádku okna konzole (nebo dávkového souboru), nebude čekat na ukončení práce.

BComp.com je program Win32 konzolový. Musíte mít konzolu, pokud ho chcete jednou spustit (nebo ho spustíte z dávkového souboru). Konzola bude čekat na dokompletování porovnávání. Spustíte-li ho pod OS interaktivně, zobrazí okno konzole a bude čekat.

Obecně byste měli použít pouze BComp a OS Windows nechat, co bude používat. Jestliže musíte použít rozšíření, pak použijte BComp.exe. Pokud je to jedno nebo se nemusí čekat na dokončení, použijte BCompare.exe.


Přenesení Beyond Compare na jiný PC

Kopie nebo přesun Beyond Compare na jiný počítač:

1. Na novém počítači stáhněte a nainstalujte nejnovější verzi Beyond Compare.

2. V nové instalaci zadejte svůj registrační klíč.

3. Spusťte BC na starém počítači a z nabídky Tools vyberte Export Settings a uložte všechna požadovaná nastavení do souboru.

4. Zkopírujte tento soubor nastavení do nového počítače.

5. Spusťte BC na novém počítači a z nabídky Tools vyberte Import Settings pro načtení souboru nastavení.

Poznámka: Pokud máte na starém počítači Beyond Compare verze 2.0 nebo starší, nebudete tam mít příkaz Export Settings. Pro pomoc při přenosu nastavení se můžete obrátit na Scooter Software.

Viz také

Export nastavení

Import nastavení


Automatizace skriptů

Beyond Compare poskytuje procesu funkce skriptů, které umožňují automatizaci rutinních úloh. Skript je jednoduchý textový soubor se seznamem příkazů, které lze ovládat programem, automaticky provádět operace se soubory a vytvářet zprávy.

Skripty se spouští bez zobrazení obvyklých uživatelských rozhraní Beyond Compare, ale mohou požadovat vstupy určitých potvrzení. Chcete-li spustit skript, zadejte jej v příkazovém řádku počínaje symbolem “@”, jako např.:

BCompare.exe "@C:\Scripts\MyScript.txt"

V zásadě je skript jednouchou řadou příkazů, viz skripty se seznamem všech příkazů skriptů. Jeden z nejkratších smysluplných skriptů by mohl vypadat např. takto:

load "C:\Windows\Temp"
select all
delete all

Odstraní všechny složky a soubory ze složky “Temp” v OS Windows.

Skripty v podstatě manipulují se složkami relace skrytě. Operace se soubory jen vyžadují výběr, kde "zobrazení" je omezováno filtry a složky mohou být "expandovány" díky rekurzi prvků. Jakákoliv jména složek mohou označovat složky systémové, síťové nebo umístěné v FTP síti nebo to mohou být názvy složek, jakými jsou např. archiv “.zip”, “.cab” nebo soubor snímku Beyond Compare.

Skripty jsou zpracovány řádek po řádku, kdy na řádku je jediný příkaz. Skripty nerozlišují velká a malá písmena a prázdné řádky a komentáře (uvozené “#”) jsou ignorované. Argumenty jsou oddělovány mezerami. Chcete-li mezery do argumentu zahrnout, je nutné je umístit do uvozovek (“). Pro pokračování dlouhého příkazu na další řádky, přidejte na konci každého řádku poslední znak ampersand (&).

Kromě standardních příkazů lze parametry příkazového řádku a proměnných prostředí vkládat do skriptu za běhu. Proměnné příkazového řádku jsou určeny znakem procenta (%) a jedním číslem 1-9. Jméno skriptu a přepínače příkazového řádku začínající “/” nejsou zahrnuty do seznamu 1-9. Příkaz skriptování:

load "%1"

který by parametr pro jakoukoliv relaci načetl stejně, jako příkazový řádek v “BCompare @script.txt MySession”.

Proměnné prostředí se vkládají uzavřením názvu proměnné do znaků “procento” a jsou citlivé na malá a velká písmena. Následující příkazy provedou totéž, co příkazy nahoře, ale se složkou “TMP”:

load "%TMP%"
select all
delete all

Existuje několik dynamických proměnných, které mohou být použité v každého řádku skriptu Beyond Compare. Proměnná %date% nastavuje aktuální datum ve formátu rrrr-mm-dd. Formát proměnné %time% závisí na místním nastavení. Proměnná %fn_time% poskytne výstupní hodnotu ve tvaru “hh-mm-ss”, která může být použita v názvu souborů.

Možnosti skriptování

Přepínače příkazového řádku, které ovlivňují skriptování jsou /silent, /closescript a variace /readonly přepínačů. Za normálních okolností průběhu skriptu je přidána položka do hlavního panelu úloh a zobrazeno okno Scripting Status s detaily průběhu a všemi případnými chybami. Přepínač /silent zajistí, že zpracování skriptu Beyond Compare proběhne skrytě.

Chcete-li měnit možnosti průběhu skriptu, zvolte Options [image] v nabídce Tools a vyberte Scripts. Označte políčko Beep when finished, aby po skončení zpracování skriptu v Beyond Compare byl vydán zvukový signál. Tento signál vás pro kontrolu upozorní a můžete pak okno Scripting Status uzavřít. Volba Close when finished umožňuje Beyond Compare po ukončení průběhu skriptu okno Scripting Status uzavřít automaticky. Při použití ve spojení s Beep when finished vám zvukový signál oznámí kompletní ukončení procesu.

Pomocí Shared scripts folder lze také poskytnout umístění složky pro skripty. Poskytnete-li jméno skriptu jako argument v příkazovém řádku bez určení cesty, a žádný soubor tohoto typu není v aktuální složce nalezen, Beyond Compare bude hledat skripty právě ve složce označené pomocí Shared scripts folder.

Níže jsou uvedeny některé ukázkové skripty, které ukazují, jak Beyond Compare skripty používá. Můžete buď použít tyto skripty nebo si podle nich vytvořit vlastní.


Ukázky skriptů

Zde je základní skript, který v rámci již dříve vytvořené relace, kopíruje všechny novější a “osamocené” soubory z jedné složky do druhé:

  load "Sync Laptop"

  sync update:left->right

Synchronizace dvou složek

Zde je složitější skript, který synchronizuje konkrétní složky použitím pokročilých filtrů. Proces pracuje stejně jako načtení relace porovnání složek a provedení příkazu "Mirror Left to Right" synchronizace složek.

# Turn logging on

log normal "C:\My Documents\Webpage\Synclog.txt"

# Load the default session and exclude all but certain file types

load <default>

filter "*.html;*.htm;*.png;*.jpg"

# Load the base folders

load "C:\My Documents\Webpage" "ftp://user@ftp.some-isp.com/webroot"

# Copy different files left to right, delete orphans on right

sync mirror:left->right

Porovnání dvou souborů podle jména

Skript porovná dva soubory podle jména.

file-report layout:side-by-side &

  options:display-mismatches &

  output-to:%3 %1 %2

Vzorový příkazový řádek, volající tento skript:

bcompare.exe @GenerateReport.txt Mine\Sample.txt Theirs\Sample.txt Report.txt

Poznámka: Ampersand (&) na konci řádku znamená, že příkaz pokračuje na dalším řádku.

Poznámka: Parametry %1, %2 a %3 odkazují na první, druhý a třetí argument příkazového řádku.

Generování zprávy

Skript porovná dva soubory a vygeneruje HTML zprávu o nalezených rozdílech:

text-report layout:side-by-side &

  options:ignore-unimportant,display-context &

  output-to:%3 output-options:html-color %1 %2

Udržování synchronizace webové stránky

Skript udržuje webovou stránku v synchronizaci s vývojářskými soubory.

#log the script

log verbose append:"c:\website updates.txt"

#set the comparison criteria

criteria timestamp size

#load source and target

load c:\website ftp://web@vmscooter-linux/html/testing

#filter to only include source files, ignore CVS subfolders

filter "*.htm;*.html;*.php;*.jpg;*.gif;-CVS\"

#Sync the local files to the web site, creating empty folders

sync create-empty mirror:left->right

Porovnávání založené na základních pravidlech a uložení protokolu do souboru

Tento skript zaznamenává výsledky skriptu do souboru, který používá aktuální datum jako součást názvu. Proměnná %date%, rozšířená ve skriptu na formát 2004-10-13 v U. S. anglickém systému, bude na jiných systémech odpovídat národním prostředím OS. Provádí se porovnávání založené na pravidlech porovnávání zdrojových souborů Pascal a je generována zpráva o neshodách.

#log to a file of the form log2004-10-13.txt

#the exact format depends on your regional and language settings

log verbose append:projectlog%date%.txt

#compare the text contents of the files

criteria rules-based

#only compare delphi source files, ignore the archive folder

filter "*.pas;*.dfm;*.dpr;*.inc;-archive\"

load s:\project\chris s:\project\tim

folder-report layout:summary &

   options:display-mismatches,column-attributes,column-timestamp,column-size &

output-to:projectreport.txt

Porovnávání aktuálního stavu složky a snímku

Skript porovnává současný stav složky se snímkem z poslední provedené aktualizace. Pak změněné a nové soubory “.zip” zkopíruje a aktualizuje snímek složky.

option confirm:yes-to-all

#compare using crc

criteria crc

#load current files against snapshot from the last patch

load "c:\folder" "c:\folder.bcss"

#expand to affect subfolders and files

expand all

#select updated files

select left.diff.files left.orphan.files

#copy changes to a zip file

copyto left path:relative "c:\folderchanges.zip"

#update the snapshot

snapshot save-crc left output:"c:\folder.bcss"

Generování zprávy o rozdílech

Skritp generuje pouze zprávu o rozdílech.

#set up basic comparison features

criteria timestamp:2sec

#filter out log files

filter "-\dir1\dir2\*.log"

#load first comparison

load \\srv1\share \\srv2\share

#compare files with timestamp differences

select newer.files older.files

#generate a report of the differences

folder-report layout:summary options:display-mismatches output-to:C:\report.txt


Plánování skriptů

Vždy můžete použít scénář procesu Beyond Compare pro provádění některých úloh, třeba pro synchronizaci složek. Např. pro automatizaci zálohování složky C:\My Documents zadejte do poznámkového bloku následující příkazy:

load "C:\My Documents" "C:\Backups"
expand all
select left.newer.files left.orphan.files
copy left->right

Uložte tento textový soubor jako: C:\My Documents\Sync.txt

Skritpt lze v BC spustit v libolném okamžiku prostřednictvím okna Task Scheduler:

1. Otevřte Control Panel a proveďte dvojklik na Schedule Tasks.

2. Dvojitě klikněte i na Add Scheduled Task.

3. V průvodci Scheduled Task vyberte ze seznamu nainstalovaných aplikací “Beyond Compare 3” a postupujte podle pokynů.

4. V dialogu Properties dvojitě klikněte pro vytvoření nové naplanánované úlohy.

5. V poli Run přidejte odkaz na soubor skriptu:
BCompare.exe @Sync.Txt

6. Zadejte do pole Start In umístění skriptovacího souboru:
"C:\My Documents"

Poznámka: Jesliže pracujete v OS WXP, musíte před výběrem Schedule Tasks nejprve vybrat Performance and Maintenance z Control Panel.

Doporučujeme vkládat protokolování příkazů skriptu. Pokud budete mít se skriptem potíže, podíváte se do příslušné složky OS na protokol chyb Scheduled Tasks "SchedLgU.txt".


Beyond Compare je vysoce konfigurovatelný a někdy je docela obtížné vědět, kde se v programu nachází možnosti změn určitých nastavení. Zde jsou místa, kde můžete nastavení provádět:

Možnosti programu

Obecná uživatelská nastavení jsou v dialogu možnosti programu. V nabídce Tools vyberte Options [image]. Tam můžete nastavit možnosti spouštění, ovládání potvrzování zpráv a přizpůsobit zobrazování barev a písma.

Příkazy

Můžete si definovat vlastní klávesové zkratky a přepínat viditelnosti jednotlivých nástrojů a položek nabídky. V nabídce Tools vyberte Customize Commands [image].

Nastavení relací

Většinu možností, které definují rozsah a pravidla pro porovnání, lze nalézt v dialogu Session Settings. Každý typ má své vlastní dialog nastavení Z nabídky Session vyberte Session Settings [image] a otevře se okno dialogu. Nebo jednoduše klikněte na ikonu Rules [image] v panelu nástrojů.

Nastavení relace je při uložení relace zachováno.

Formáty souborů

Můžete si nastavit, jak Beyond Compare bude zpracovávat určité typy souborů. V nabídce Tools vyberte File Formats [image].

Formáty souborů zajišťují:

· Typy prohlížečů určených pro vizuální porovnávání

· Které konverze, pokud vůbec, by měly být provedeny před a po porovnávání

· Syntaxe nebo gramatiky obsahů souborů

· Koncové tabulátory

· Které prvky gramatik jsou vhodné/nevhodné pro porovnávání

· Pomocné řádky pro procesy zarovnávání

Profily FTP

Můžete nastavit, jak se Beyond Compare bude připojovat na určité FTP servery. V nabídce Tools vyberte FTP Profiles.

Integrace řízení zdrojů

Zde můžete pro Beyond Compare nastavit podporu řízení vstupu a výstupu zdrojů. V nabídce Tools vyberte Source Control Integration.

Vylepšení

“Vylepšení” jsou pokročilé a málo známé možnosti programu, které jste se rozhodli zahrnout do běžného uživatelského rozhraní.

Stiskněte Ctrl+Shift+T pro přístup do dialogu pro vylepšení.

Úprava vylepšení by měla být zřejmá. Pro pomoc kontaktujte Scooter Software.


Možnosti programu

Nastavení předvoleb programu:

1. V nabídce Tools vyberte Options [image] a otevře se dialog Option.

2. V seznamu na levé straně klikněte na položku, jejíž možnosti chcete nastavit:

Startup - spouštění

General - obecně

Tabs - záložky

Backups - zálohy

Open With – otevřít pomocí ...

Scripts - skripty

Folder Views – náhledy složek

Confirmations - potvrzování

Display - zobrazení

Compare Colors – barvy srovnání

Log - protokol

File Views – náhledy souborů

Display - zobrazení

Compare Colors - barvy srovnání

Next Difference – další rozdíl

Text - text

Data - data

Picture - obraz

3. Na každé stránce můžete kliknout na Factory Defaults a dojde k zpětnému nastavení na výchozí hodnoty Scooter Software.

4. Nastavte požadované možnosti pro akceptování změn kliknutím na Apply nebo na OK a okno uzavřete.


Spouštění

Když spustíte Beyond Compare, obvykle uvidíte domovský náhled (Home). Chcete-li program automaticky spouštět ve stejné relaci, ktera byla otevřena v Beyond Compare naposledy, zadejte do pole Load workspace a On Exit, save workspace as stejný název pracovního prostoru. Pro další řízení můžete také použít příkazy Save Workspace As... a Load Workspace v nabídce Session.

Když spustíte Beyond Compare s dvojicí specifikovaných souborů, program může zobrazit okno dialogu se souhrným porovnáním dřív, než vyčerpá čas na zobrazení celého porovnávání v oknech vedle sebe. Zahajovací dialog porovnávání souborů v Quick Compare:

1. Označte políčko When starting with file comparison, show quick compare dialog.

2. Vyberte průběh Binary quick compare probíhající porovnáváním byte po byte nebo pomocí Rules-based quick compare použijte soubor nastavení porovnávání, které je pro vybrané zadané soubory vhodné.

3. Označte políčko Open view automatically if files are different, když chcete zobrazit dialog jen tehdy, pokud soubory mají rozdíly.

Nastavení Check for updates every XXX days slouží pro četnost kontroly existence nové verze Beyond Compare na webu.

Chcete-li přidat Beyond Compare do WE pravým klikem myši:

Označte políčko Include Beyond Compare in Explorer context menu.

Vyberte některý z volitelných příkazů seznamu a zvolte Main menu nebo Submenu pro možnosti umístění do kontextové nabídky. Povolením Compare Using přidáte podnabídku, která obsahuje náhledy pro porovnávání dat a hexadecimální porovnávání. Pomocí “override” je vždy možné předělat náhled tam, kde by za normálních okolností musel být vybírán cestou použití seznamu formátů souborů. Merge přidá do kontextové nabídky podporu pro 3-cestné slučování, Sync podporu synchronizace složek z Exploreru, Edit podporu úpravy jednoho souboru v Exploreru a Compare to Registry podporu porovnávání souboru Registry s “živými” Registry.


Obecně

Možnosti řízení některých obecných vlastností Beyond Compare.

Home view:

Povolte Include session management pro zobrazení záložek řízení relace v domovském náhledu.

Nastavte maximální počet automaticky uložitelných relací. Jakmile je tato hranice překročena, bude nejstarší automaticky uložená relace smazána. Zadejte nulu (0) pro zákaz funkce automatického ukládání relací.

Interface:

Upravovat možnosti zobrazení lze v nabídce nástrojů pomocí Large buttons with text labels, pomocí Show hints for toolbar buttons, etc. nebo pomocí Show keyboard shortcut in hints. Zde je zobrazen panel tak, jako když jsou povoleny všechny tyto možnosti:

Aplikace možnosti ESC key closes file views platí pro všechny typy souborů, jaké existují při porovnávání textů, dat a obrazů. Nemá vliv na zobrazování složek.

Shared Sessions file:

Specifikujte soubor Shared sessions file. Sdílená relace se objeví ve stromu relací. Můžete ji použít, ale ne upravovat. Použitím Tools > Export Settings lze vytvořit soubor pro sdílenou relaci.

Available session types:

Tento řídicí seznam nabízí nové typy relací. Odznačte typy relací, které nechcete používat, abyste si zjednodušili uživatelské rozhraní. Uložené odpojené relace se budou stále objevovat a budou normálně fungovat. Tento seznam nebude zobrazovat žádné nainstalované ”plug-in” ve stylu BC2. Chcete-li nainstalovat ”plug-in”, zkopírujte “.bcp” soubor Beyond Compare do složky programu. Pak zvolte Tools > File Formats [image], klikněte New a přidejte příslušné definice formátu pro ”plug-in”.


Záložky

Při práci s více relacemi zároveň, je Beyond Compare může otevřít v samostatných oknech nebopod záložkou v okně jediném. Zde jsou možnosti ovládání tohoto chování.

Open sessions in:

Vyberte buď A new window nebo A new tab pro nově vytvářenou relaci.

Open child sessions in:

Vyberte buď A new window nebo A new tab pro nově vytvářené soubory relací potomků, které jsou otevírané přímo ze složky relace.

Miscellaneous:

Tyto volby nastavte podle vašeho výběru.

Jestilže nepotvrdíte volbu Closing last remaining tab closes the window ani Hide tab bar if single tab, zavřením poslední záložky se vrátíte do domovského náhledu.


Zálohy

Beyond Compare může před přepsáním během kopírování nebo operací přesunu nebo před uložením upraveného souboru vytvořit zálohu souborů. Pro řízení zálohování tyto soubory pojmenujte a nastavte jejich umístění.


Otevřít pomocí

V podnabídce Open With můžete externí aplikace nastavit.

Pro přidání aplikace klikněte New.

Do pole Description vložte jméno, které se objeví v nabídce Open With.

Pro definování klávesové zkratky aplikace se zaměřte na pole Shortcut a stiskněte požadované klávesy. Kliknutím na Remove připojenou klávesovou zkratku odstraníte.

Zadejte vhodnou specifikaci aplikace pro Command line. Ta může obsahovat přepínače příkazového řádku vhodné pro danou aplikaci. Následující proměnné budou nahrazeny uvedenými informacemi:

%f absolutní cesta a jméno souboru

%l (malé “L”) aktuální číslo řádku v náhledu souboru

%n pouze jméno souboru

%p absolutní cesta

%x rozšíření (včetně znaku “.”)

%b jméno souboru bez rozšíření

%F cesta a jméno souboru relativně vůči pracovní složce

%P relativní cesta vůči pracovní složce

Znaky “1” a “2” jsou připojované na konec proměnných proto, aby odkazovaly na levý/první nebo pravý/druhý soubor (viz např. “BCompare %F2 %F1”). Ve všech případech s výjimkou druhého %f nebo %l (pro zpětnou kompatibilitu), se číslo odkazující “mimo”, bude odkazovat na první soubor, bez ohledu na to, kolikrát je uvedené v příkazovém řádku.

Pole Working Folder můžete při spouštění programu změnit (složka “Start in”). Pokud je prázdné, bude program prováděn ve stejné pracovní složce jako BC3. Můžete určit konkrétní složku nebo si speciální hodnoty <parent folder> a <base folder> vybrat z rozvinovacího seznamu. <parent folder> použije soubory rodičovské složky, zatímco <base folder> bude využívat základní složku vybrané strany (nebo rodičovskou složku náhledu souboru).

Použitím pole Path delimiter lze zaměnit všechny oddělovače cest daným řetězcem. Pokud je ponecháno prázdné, lze používat normální oddělovač (např. pod OS Windows zpětné lomítko “\”).

Možnosti Accepts files a Accepts folders řídí, zda aplikace má k dispozici soubory, složky nebo obojí. Tip: Beyond Compare můžete nastavit jako další aplikaci pro složky. Tímto způsobem můžete složky vybírat a porovnávat je v jiné instanci Beyond Compare.

Refresh when finished provede rychlou obnovu v době, kdy BC provádí proces spuštěný ze seznamu Open With.

Povolením možnosti Multiple instances můžete vybrat více souborů nebo párů souborů a provést operaci se všemi, postupně po jednom souboru nebo po párech řádků souborů. Při této volbě BC kontroluje, zda odkaz na druhý soubor je v příkazovém řádku (např. “%x2”). Pokud ano, bude aplikace v dané době provádět operace s páry. Jinak bude pár rozdělen a operace bude prováděna zvlášť pro každý prvek páru.

Pomocí příkazu Wait for previous instance to finish se před spuštěním dalšího příkazu čeká na ukončení předchozí instance BC.


Skripty

Nastavením těchto možností lze řídit zpracování skriptů:

Povolení Beep when finished slouží pro zvukový signál, který oznamuje, že skript skončil.

Povolení Close when finished slouží pro ukončení programu, jakmile skript skončí.

Použitím Shared scripts folder lze určit složku pro sdílené skripty. Jestliže skript v aktuální složce není nalezen, Beyond Compare ho bude hledat právě zde.


Náhledy složek

Name filter presets

Specifikace výběru názvů filtrů, která je k dispozici na panelu nástrojů. Masky použitých jednoduchých zástupných definic jsou odděleny středníkem. Příklad:

*.htm;*.html;*.jpg

Archive associations

Specifikujte typů souborů, které mají být asociované s každým z podporovaných formátů archivů. Vyberte formát a v poli Mask for XXX zadejte asociované typy souborů oddělené středníkem. Pole můžete nechat prázdné, nechcete-li tento formát podporovat. Podporu dalších formátů můžete přidat klepnutím na Add “plug-in” a postupem podle pokynů. Další informace vizarchivy souborů.

Miscellaneous

Atribut “read-only” je obvykle při kopírování souborů zachováván. Např. soubory z médií typu “read-only”, jako jsou CD nebo DVD média, budou vždy označovány jako “read-only”, pokud jsou odkopírovány do jiného umístění. Aby se tomu zabránilo, stačí použít možnost Remove read-only flag when copying from a CD or DVD.


Potvrzování

Confirmations:

Ve výchozím nastavení Beyond Compare před provedením různých akcí vyzývá k potvrzení. Odznačením některého z těchto políček lze potvrzovací dialog potlačit.

Pokud operace netrvá méně než 3 sekundy, tak možnost Beep after long file operations při možných dlouhých operacích se soubory způsobí slyšitelný zvuk, který upozorňuje, že operace jako je kopírování nebo přesun jsou kompletní,.

Synchronize confirmations:

Výběr Prompt, Yes to All nebo No to All slouží k řízení potvrzování, pokud možnost, že se během relace porovnávání složek objeví příkaz k synchronizaci, existuje.

How filters affect file actions:

Ve výchozím nastavení jsou filtry souborů a zobrazovací filtry během operace se soubory(např. při Copy, Move a Delete) brány do úvahy, pokud není nastaveno Suppress Filters. Chcete-li změnit výchozí chování, označte políčko Include hidden items by default.


Zobrazení

Tyto možnosti umožňují nastavení barev a písem používaných při náhledech složek.

Font

Ve výchozím nastavení je písmo používané při zobrazení složek stejné jako to, co používá OS. Chcete-li to změnit, stačí odznačit políčko Use system a klepnout na tlačítko Font.

Selection

Ve výchozím nastavení má pozadí pro zvýraznění vybrané položky světle zelenou barvu. Je to umožněno barvami srovnání, používanými pro výběr. Výběr barev můžete upravit nebo chcete-li, označte políčko Use system a používejte pro zvýraznění voleb schéma barev OS.

Miscellaneous

Výběr barev pro filtrování výběru položek používejte při Filtered out (když Suppress Filters je použito) a při porovnávání položek, jejichž stav je Unknown. Označením políčka Use Stripes použijete různé odstíny pozadí všech řádků porovnávání.


Barvy srovnání

Compare Colors:

Tyto volby umožňují přizpůsobit barvy a jas rozdílů v náhledu složek.


Protokol

Nastavením možností zahrnete nebo vyloučíte typy zpráv z protokolu:

Include these types of messages:

Operation summaries

Sumární protokol každé operace.

Operation details

Detailní protokol každé operace, včetně každého použitého souboru.

Warnings

Protokol varování a chyb.

FTP trace

Protokol zpráv ze sítě FTP.

Chcete-li limitovat používanou pamět protokolu:

Miscellaneous:

Zadejte hodnotu pro Display up to XXX messages. Jakmile je této hranice v relaci dosaženo, nejstarší zprávy budou odstraněny.

Chcete-li neustále zapisovat zprávy protokolu do textového souboru:

Pomocí Automatically save messages to file specifikujte soubor, který se v případě potřeby vytvoří.


Náhledy souborů

For thumbnail view on large files:

Pro kompresi náhledu vyberte Compress to fit pro přizpůsobení vertikálního prostoru. Nebo místo toho vyberte Allow scrolling pro zobrazování s vertikálním posuvníkem.

Miscellaneous:

Označením políčka Check for files changed on disk se řízení nastavením náhledu zaměří na novou kopii souboru. Je-li nalezen, Beyond Compare zobrazí výzvu "File changed on disk, reload?". Označíte-li políčko Automatically reload unless changes will be discarded, BC automaticky novější soubor načte, pokud v zobrazenémí souboru byly provedeny změny.


Zobrazení

Tyto volby umožňují přizpůsobit vizuální hlediska různých typů náhledů souborů.

Pro změnu vizuálního zpracování vyberte prvek ze seznamu. Můžete změnit barvu pozadí Background a textu Text color každého prvku seznamu. Prvky níže v seznamu mají přednost před prvky uvedenými výše. Pokud chcete ponechat vyšší prvky seznamu beze změny, zvolte Default.

Označením políčka Use Stripes použijete různý odstín pozadí na všech řádcích porovnávání.

Ve výchozím nastavení Beyond Compare používá pro vybraný text středně zelenou barvu, takže rozdílné zbarvení není skryto. Pokud dáváte přednost výběru standardních barev OS Windows, zvolte Selection v seznamu prvků a použijte Use system.

Seznam obsahuje také zvýraznění syntaxe prvků.

Pro změnu písma zobrazovaného textu klikněte na tlačítko Font. Editor font se používá v náhledech porovnávání textu, dat a při slučování dat. Hex font poslouží pro náhledy hexadecimálních znaků, stejně jako pro zobrazování hexadecimálních detailů ve spodní části náhledu. Listing font se používá při všech ostatních náhledech.

Nastavení Dim inactive pane by XXX % se používá pro ztmavění neaktivní strany porovnávání jako pomoc při zaměřování se na aktivní stranu.


Barvy srovnání

Tyto volby umožňují barevně přizpůsobit zvýraznění rozdílů při různých typech zobrazení souborů.

Compare Colors:

V rámci koncepce vašich požadavků si nastavte Important differences a Unimportant differences. Barvy písma a pozadí budou odvozovány z těchto základních barev. Ve výchozím nastavení je základní barva použitá pro barvu rozdílů textu a světlá verze barvy se použije pro všechny řádky pozadí.

Kliknutím na Bold použijete tento styl pro rozdíly.

Posuvníkem Background Contrast nastavíte barvu pozadí na celkově světlejší nebo tmavší.

Posuvníkem Difference Enhancer nastavíte kontrast mezi popředím/pozadím pro individuální rozdíly.

Označením políčka Use merge colors for compares budou řádky na jedné straně vlevo nebo vpravo zabarvované (modře a purpurově) dříve než rozdíly (červené).

* Vyberte základní barvy pro indikaci změn Left changes, Conflicts a Right changes. Tyto barvy budou použity pro ikony a souhrnné miniatury. Odvozené barvy budou použity pro barvu pozadí na příslušných řádcích. Pro každou z těchto barev lze použít posuvník Shift Unimportant Color pro nastavení nepodstatných rozdílů. Ještě existuje další posuvník Additional Contrast pro nastavení nedůležitých barev.


Další rozdíl

Tyto volby nastavte tak, aby reagovaly na vaše požadavky pro zpracování rozdílů.

Next difference:

When loading new files, go to first difference

Bezprostřední “najetí” na první rozdíl po startu nového porovnávání textu.

Go to next difference after copying to other side

“Najetí” na další rozdíl položek po zkopírování aktuální položky na druhou stranu.

Limit "Next Difference Files" to current folder

Omezení hledání souborů Next Difference Files na stejnou rodičovskou složku.

When no more differences:

Wrap around to first difference

Pokud je při hledání rozdílů dosaženo konce, “najet” zpět na první rozdíl v porovnávání.

Show message panel

Vypnutím této volby lze potlačit panel zpráv (a pípnutí), pokud rozdíl nebyl nalezen.


Text

Tyto možnosti se týkají relací porovnávání a slučování textů.

Editor:

Auto indent

Pokud je povoleno, je nový řádek vytvořen a automaticky odsazen tak, aby odpovídal vedoucí mezeře předchozího řádku.

Backspace unindents

Pokud je povoleno, a je “najeto” bezprostředně za vedoucí “bílé” znaky (mezery, tabulátory) na řádku, pak stisk klávesy “Backspace” odstraní mezery tak, že “najetí” bude odpovídat předchozí úrovni odsazení, definované v předcházejícím řádku.

Allow positioning beyond end of line

Pokud je povoleno, není kurzor úprav omezen koncem textu na konci řádku.

Display:

Většina nastavení zobrazení pro porovnávání a slučování textu je k dispozici v zobrazení a barvách srovnání dialogu Options. Nastavení náležitostí editoru textu je zde.

Změnou přidání nebo ubrání pixelů pomocí Extra line spacing lze změnit sytost textu v náhledu.

Chcete-li v jisté pozici sloupců zobrazit svislou linku, nastavte pomocí Show column line at požadovanou hodnotu pozice. Nastavením nuly (0) linku skryjete. Pokud používáte proporcionálně rozložené písmo, pozice sloupce bude vždy určována šířkou znaku mezera.

Povolením Show filtered line counts bude zobrazován údaj počtu skrytých řádků:

Chcete-li v relaci slučování textů použít pro užší panely alternativní písmo, použijte Different font for merge input panes.

Miscellaneous:

Initialize "Text to find" to be current word

Při použití aktuálního výběru způsobí vyplnění hledaného textu v příkazu Find [image].

Number of context lines

Při použití porovnávání textu se nastaví počet odpovídajících řádků zobrazení před a po nalezeném rozdílu pomocí Show Context [image].


Data

Miscellaneous:

Volba Details resize columns to fit způsobí v poli Row Details ve spodní části náhledu porovnávání dat změnu šířky sloupců tak, aby se tam zobrazované specifikované řádky porovnávání vešly lépe, než odpovídajicí šířky sloupců hlavního zobrazení.


Obraz

Tolerance mode:

V relaci porovnávání obrazů můžete měnit barvy pomocí Tolerance mode.

Požadované změny barev můžete měnit pomocí Solid color nebo lze “odstín” v Gray scale, Red scale nebo Blue scale pro levý obraz nastavit tak, aby rozdíly při porovnávání prosvítaly.

Miscellaneous:

Zapnutím Show transparency as checkerboarding můžete indikovat, které pixely původního obrazu budou transparentní.

Nastavením Background color řídíte barvu panelu, kde se zobrazují obrazy.


Příkazy

V nabídce Tools vyberte Customize Commands [image] . V tomto dialogu můžete nastavit, které příkazy se objeví v nabídkách a na panelech nástrojů a můžete si nastavit klávesové zkratky příkazů. Vzhledem k tomu, že nabídky a panely nástrojů se mění v závislosti na typu okna, musíte při otevření relace tyto příkazy právě vybranému typu relace přizpůsobit.

Název nebo popis příkazu, který hledáte, zadávejte do [image] vyhledávacího pole. Omezíte tak procházení seznamu.

Pro úpravu vyberte příkaz v seznamu. Popis příkazu se zobrazí pod seznamem.

Pro většinu příkazů můžete jejich zobrazovaní vypnout nebo zapnout pomocí Show command in menu a/nebo Show command on toolbar. Některé příkazy mají pomocí Show command on dropdown také možnost umístit se na panel nástrojů jako rozbalovací.

Chcete-li změnit klávesovou zkratku, zaměřte se na pole Shortcut a stiskněte požadované klávesy. Kliknutím na Remove asociovanou zkratku odstraníte a pomocí Default vrátíte její nastavení na výchozí hodnotu. Jesliže je klávesová zkratka asociována už jinam, objeví se upozornění a vy máte možnost ji asociovat jinak.

Většina typů relací má pro zobrazení k dispozici příkazy zobrazovacích filtrů. Pro ty je k dispozici Display filter presets, pro rychlý výběr oblíbených náhledů panelu nástrojů pak DropDown, Favorites nebo Toggles. Tyto předvolby lze také vybrat kliknutím pravým tlačítkem na panel nástrojů.

Povolení Lock toolbar positions lze vypnout “drag-and-dock” na panelu nástrojů.

Dokumentaci specifikovaných příkazů viz příkazy.


Nastavení relací

Chcete-li upravit nastavení relace:

1. V nabídce Session vyberte Session Settings [image].

2. Změňte požadovaná nastavení v záložkách.

3. V rozbalovací nabídce ve spodní části dialogového okna řiďte rozsah změn. Vyberte Use for this view only pro aplikaci změn aktuální relace nebo Update session defaults pro aplikování změn na každou novou relaci tohoto typu.

Další změny jsou určeny pro potomky relace porovnávání složek. Use for these files within parent session způsobí, že aktuální složka relace si bude vždy pamatovat nastavení a bude ho používat při porovnávání těchto souborů. Use for all files within parent session způsobí, že nastavení, které chcete použít pro každou novou relaci tohoto typu, bude odvozeno od aktuální složky relace.

4. Klikněte OK.

Specifikace nastavení relací:

Folder Compare – porovnávání složek

Folder Sync – synchronizace složek

Text Compare – porovnávání textů

Text Merge [image] - slučování textů

Data Compare – porovnávání dat

Hex Compare – hexadecimální porovnávání

MP3 Compare – porovnávání MP3

Picture Compare – porovnávání obrazů

Registry Compare [image] [image] – porovnávání Registry

Version Compare [image] – porovnávání verzí


Porovnávání složek

Klikněte na záložku obsahující nastavení, které chcete upravit:

Specs - toto nastavení řídí složky určené k porovnávání.

Comparison - porovnávání

Handling - výměna

Name Filters – jména filtrů

Other Filters – další filtry

Misc [image] - různé


Porovnávání

Tato nastavení řídí, co bude v relaci porovnávání složek považované za rozdíl.

Quick tests

Porovnávací testy jsou prováděny pouze na úrovni čtení adresářů a jsou mnohem rychlejší, než testy, které vyžadují čtení obsahu jednotlivých souborů.

Compare file size

Označí soubory, pokud se liší velikostí.

Compare timestamps

Porovnává datum a čas poslední úpravy souboru. Časová razítka se musí lišit o více vteřin, než je nastavení Tolerance pro vyhodnocení neshody.

Ignore daylight saving difference ignoruje rozdíl přesně jedné hodiny. Je to užitečné pro řešení stavů, kdy systémy souborů musí zvládnout letní čas.

Ignore timezone differences ignoruje rozdíly, které jsou přesnými násobky hodin.

Compare filename case

Označí soubory, které se liší velikostí znaků písma (velká/malá písmena).

Compare file attributes

Archive porovnává archivaci souboru. Vzhledem k tomu, že pouze kopírováním souborů lze tento atribut archivování změnit, měli byste za normálních okolností tuto volbu vypínat.

System porovnává systémový atribut souborů.

Hidden porovnává atribut skrytí souborů.

Read-only porovnává atribut “read-only” souborů.

Requires opening files

Compare contents

Umožňuje porovnávání velikosti nebo obsahu.

CRC comparison porovnává hodnoty CRC. CRC (cyklická redundantní kontrola) je číselné vyjádření obsahu souboru. Jsou-li CRC dvou souborů různé, pak i obsah těchto souborů je odlišný. Jsou-li CRC shodné, pak je pravděpodobné (ale nikoliv jisté), že je shodný i obsah.

Binary comparison porovnává soubory byte po byte.

Rules-based comparison porovnává soubory na základě asociace formátu soborů. Umožňuje ignorovat rozdíly na konci řádků, mezery nebo komentáře zdrojového kódu.

Povolením Skip if quick tests indicate files are the same provedete pomalejší, důkladnější testy, pokud časová razítka budou rozdílná.

Compare versions

Porovnává informace o verzích, které jsou obvykle uloženy v aplikačních souborech (“.exe”, “.dll”, “.ocx” apod.).

“Override” quick test results

Pokud je povolen, bude obsah porovnávání hledaného identického obsahu souborů zobrazen jako vyhovující, i když budou existovat rozdíly v časovém razítku a v jiných rychlých testech.


Výměna

Folder handling

Automatically scan subfolders in background způsobí, že složky budou čteny na pozadí, jakmile je porovnávání načteno. Tímto způsobem mohou být složky vhodně zbarveny před jejich otevřením. “Osamocené” složky nejvyšší úroveň jsou obvykle zbarvené a filtrované bez kontroly, protože mohou obsahovat další “osamocené” složky. Automatically scan top-level orphan subfolders způsobí, že “osamocené” složky budou testovené tak, že složka budou mít přesně zaznamenanou velikost.

Expand subfolders when loading session automaticky po načtení relace otevře všechny složky. Only expand subfolders with differences omezuje automatickou expanzi složek na ty, u kterých se zjistí neshody.

Archive handling (eg. zip files)

As files always zachází s archivy jako s ostatními soubory. Budou řazeny mezi ostatní soubory a nezobrazí se ikona složky.

As folders once opened třídí a porovnává archivní soubory jako ostatní soubory, ale se “.zip” ikonou složky. Po otevření “.zip” složky se její stav porovnávání změní, aby tak bylo možné reflektovat na její obsah, stejně jako se to dělá u dalších složek.

As folders always zpracování archivních souborů jako normálních složek.

File handling

Touch local files when copying to an FTP site

Mnoho FTP sítí neumožňuje pro BC pořizovat časová razítka souborů, takže při kopírování souboru na FTP síť jeho data neodpovídají místní kopii. Tato možnost mění časová razítka lokálního souboru tak, aby vše FTP kopii odpovídalo.

Bypass disk cache during binary comparisons

Čte soubory z médií přímo, aby se zabránilo použití diskové mezipaměti OS Windows. Tím je zajištěno přesné porovnávání po kopírování na sporná média.

Follow symbolic links

Zobrazuje symbolické odkazy a spojovací body NTFS, jako kdyby byly cílové. To zahrnuje jejich zobrazení jako soubory nebo složky, jejich velikost, čas poslední změny a jejich atributy.

Maintain DOS 8.3 aliases

Snaží se dodržet krátké (DOS 8.3) názvy souborů při kopírování souborů.

Copy NTFS file permissions

Kopie popisovačů zabezpečení souborů na systémech souborů NTFS v OS Windows 2000 nebo novějších. Tato funkce nezachovává práva na úpravy souborů v relaci porovnávání textů.

Automatic refresh

Nastavte tuto možnost pro pravidelné aktualizace porovnávání složek.


Jména filtrů

Můžete přidat nebo vyloučit složky a soubory na základě jejich jmen pomocí jedné nebo více masek souborů.

Chcete-li nastavit jméno filtru:

Přidání masky souboru do příslušného seznamu. Každá maska souboru musí být na samostatném řádku.

· Include Files - vložení souborů do této relace.

· Exclude Files - vyloučení souborů z této relace.

· Include Folders - vložení složek do této relace.

· Exclude Folders - vyloučení složek z této relace sion.

Pro příklad viz masky souborů.

Chcete-li odstranit jména filtrů:

Kliknutím na tlačítko Clear se odstraní všechny nastavené filtry v této záložce.

Chcete-li předvolit aktuální jméno filtru:

Klikněte na tlačítko Add To Presets, pomocí Name vložte jméno, volitelně upravte Mask a klikněte OK.


Další filtry

Soubory ze složky relace můžete vylučovat na základě i jiných kritérií, než jsou jejich názvy.

Chcete-li filtrovat podle Date:

1. Vyberte Date ze seznamu typů filtrů.

2. Jestliže zvolíte filtr Use days ago, bude počet celých dnů relativní k hodině 12:00 dne, ve kterém se porovnávání provádí. Pokud je vypnut, bude filtr používat absolutní datum a čas.

3. Povolením Exclude files that are older than nebo Exclude files that are newer than definujte fitr. Povolení obou hledisek umožní zahrnout soubory v rozsahu datumů.

Chcete-li filtrovat podle Size:

1. Vyberte Size ze seznamu typů filtrů.

2. Povolením Exclude files that are smaller than nebo Exclude files that are larger than definujte fitr. Povolením obou hledisek umožní zahrnout soubory v rozsahu velikostí.

Chcete-li filtrovat podle DOS attributes:

1. Vyberte DOS attributes ze seznamu typů filtrů.

2. Vyberte možnosti, kterými chcete ovládat vylučování. Výběr Exclude protected operating system files je výchozí nastavení.

Chcete-li filtrovat podle Source control status:

1. Vyberte Source control status ze seznamu typů filtrů.

2. Vyberte možnosti, kterými chcete ovládat vylučování.

Chcete-li filtrovat podle Text content:

3. Vyberte Text content ze seznamu typů filtrů.

4. Vyberte možnosti, kterými chcete definovat hledání textů.Pokud shoda v souboru nebude nalezena, bude vyloučen.

Poznámka: Pokud některý z výše uvedených filtrů bude uplatněn, bude to komentováno ve spodní části náhledu složky. Pro úpravu těchto filtrů můžete kliknout na ikonu [image].

Poznámka: Pokud filtr souborů zjistí, že soubor na jedné straně porovnání by měl být skryt, ale příslušný soubor na druhé straně může být zobrazen, pak zobrazí oba a ten, který by měl být skryt, bude mít zelenomodrou barvu.

Chcete-li odstranit všechny sobory filtrů:

Kliknutím na tlačítko Clear se z této záložky odstraní všechny nastavené filtry.


Různé

Pokud je ve složce relace potlačeno zarovnání pomocí “override”, zarovnávají se soubory a podsložky podle jmen vlevo i vpravo. Výchozí nastavení můžete měnit ručně.

Chcete-li vynutit jiné zarovnání:

Klikněte na New pro přidání zarovnání typu “override”.

V dialogu Alignment “Override” vyplňte pole Align left file (or folder) a with right file (or folder). Můžete použít zástupné znaky “* a ?” nebo povolit Regular expression pro interpretaci vašich vstupů jako náhradu stylu regulárních výrazů. Použijte Limit to this folder pro specifikaci relativní cesty zarovnání.

Příklady:

Zarovnat soubor ... se souborem Popis

(nebo složku) vlevo (nebo složkou) vpravo

apple.gif apple.png seřadí "apple.gif" s "apple.png"

*.gif *.png seřadí všchny “.gif” soubory s “.png”

soubory stejného jména

IMAGE_*.jpg My Vacation *.jpg seřadí soubory jako jsou IMAGE_01.jpg

a IMAGE_02.jpg se soubory “My Vacation

01.jpg” a "My Vacation 02.jpg"

Poznámka: Nejjednodušší způsob, jak ručně zarovnat dvě položky ve složce relace, je klepnout pravým tlačítkem na první položku, vybrat Align With a poté klepnout na druhou.

Chcete-li asociovat formáty souborů pomocí “override”:

Použitím Enabled file formats v seznamu je pomocí “override” umožněno potlačit používání některých formátů souborů v složce relace. Formát souboru je v seznamu uveden tučně, pokud jeho povolený stav v této relaci je různý od povoleného souhrnného stavu. Můžete si vytvořit vlastní formát souboru, který bude v této relaci používán, ale bude vypnutý v souhrnném seznamu.


Synchronizace složek

Klikněte na záložku obsahující nastavení, které chcete upravit:

Specs - toto nastavení řídí složky určené k porovnávání.

Sync - synchronizace

Comparison - porovnávání

Handling - výměna

Name Filters – jména filtrů

Other Filters – další filtry

Misc [image] - různé


Synchronizace

Actions

Presets

Můžete použít jednu z předdefinovaných synchronizačních metod v synchronizaci složek nebo si vytvořit vlastní.


Porovnávání

Nastavení řídí, co bude v relaci porovnávání složek považované za rozdíl.

Quick tests

Tyto srovnávací testy jsou prováděny pouze na úrovni čtení adresářů a jsou mnohem rychlejší, než testy vyžadující čtení obsahu jednotlivých souborů.

Compare file size

Označí soubory, pokud se liší velikostí.

Compare timestamps

Porovná datum a čas poslední úpravy souboru. Časová razítka se musí lišit o více vteřin, než je nastavení Tolerance pro vyhodnocení neshody.

Ignore daylight saving difference ignoruje rozdíl přesně jedné hodiny. Je to užitečné pro řešení stavů, kdy systémy souborů musí zvládnout letní čas.

Ignore timezone differences ignoruje rozdíly, které jsou přesnými násobky hodin.

Compare filename case

Označí soubory, které se liší velikostí znaků písma (velká/malá písmena).

Compare file attributes

Archive porovnává archivaci souboru. Vzhledem k tomu, že pouze kopírováním souborů lze tento atribut archivování změnit, měli byste za normálních okolností tuto volbu vypínat.

System porovnává systémový atribut souborů.

Hidden porovnává atribut skrytí souborů.

Read-only porovnává atribut read-only souborů.

Requires opening files

Compare contents

Umožňuje porovnávání velikosti nebo obsahu.

CRC comparison porovnává hodnoty CRC. CRC (cyklická redundantní kontrola) je číselné vyjádření obsahu souboru. Jsou-li CRC dvou souborů různé, pak i obsah těchto souborů je odlišný. Jsou-li CRC shodné, pak je pravděpodobné (ale nikoliv jisté), že je shodný i obsah.

Binary comparison porovnává soubory byte po byte.

Rules-based comparison porovnává soubory na základě asociace formátu soborů. Umožňuje ignorovat rozdíly na konci řádků, mezery nebo komentáře zdrojového kódu.

Povolením Skip if quick tests indicate files are the same provedete pomalejší, důkladnější testy, pokud časová razítka jsou rozdílná.

Compare versions

Porovnává informace o verzi, které jsou obvykle uloženy v aplikačních souborech (“.exe”, “.dll”, “.ocx” apod.).

“Override” quick test results

Pokud je povolen, bude obsah porovnávání hledaného identického obsahu souborů zobrazen jako vyhovující, i když existují rozdíly v časovém razítku a v jiných rychlých testech.


Výměna

Folder handling

Sync empty folders bude mít vliv na složky bez obsahu nebo na ty, jejichž celý obsah byl odfiltrován.

Expand subfolders when loading session při načtení porovnávání otevře všechny složky automaticky.

Sync within archives zpracovává archivní soubory jako normální složky.

File handling

Delete to recycle bin if possible

Přesouvá soubory a složky uložené na lokálním disku do koše místo trvalého odstranění. Tato volba je ignorována při odstraňování dat ze síťových disků, FTP sítí a archivních souborů.

Touch local files when copying to an FTP site

Mnoho FTP sítí neumožňuje pro BC řídit časová razítka souborů, takže při kopírování souboru na FTP síť jeho data neodpovídají místní kopii. Tato možnost mění časová razítka lokálního souboru tak, aby vše odpovídalo FTP kopii.

Bypass disk cache during binary comparisons

Čte soubory z médií přímo, aby se zabránilo použití diskové mezipaměti OS Windows. Tím je zajištěno přesné porovnávání po kopírování na sporná média.

Follow symbolic links

Zobrazuje symbolické odkazy a spojovací body NTFS, jako kdyby byly cílové. To zahrnuje jejich zobrazení jako souborů nebo složek, jejich velikost, čas poslední změny a jejich atributy.

Maintain DOS 8.3 aliases

Snaží se dodržet krátké (DOS 8.3) názvy souborů při kopírování souborů.

Copy NTFS file permissions

Kopie popisovačů zabezpečení souborů na systémech souborů NTFS v OS Windows 2000 nebo novějších. Tato funkce nezachovává práva na úpravy souborů v relaci porovnávání textů.

Automatic refresh

Nastavte tuto možnost pro pravidelné aktualizace porovnávání složek.


Jména filtrů

Můžete přidat nebo vyloučit složky a soubory na základě jejich jmen pomocí jedné nebo více masek souborů.

Nastavení názvu filtru:

Přidání masky souboru do příslušného seznamu. Každá maska souboru musí být na samostatném řádku.

· Include Files - vložení souborů do této relace.

· Exclude Files - vyloučení souborů z této relace.

· Include Folders - vložení složek do této relace.

· Exclude Folders - vyloučení složek z této relace sion.

Pro příklad viz masky souborů.

Chcete-li odstranit jména filtrů:

Kliknutím na tlačítko Clear se odstraní všechny nastavené filtry v této záložce.

Chcete-li předvolit aktuální jméno filtru:

Klikněte na tlačítko Add To Presets, pomocí Name vložte jméno, volitelně upravte Mask a klikněte OK.


Další filtry

Soubory ze složky relace můžete vylučovat na základě i jiných kritérií, než jsou jejich názvy.

Chcete-li filtrovat podle Date:

1. Vyberte Date ze seznamu typů filtrů.

2. Jestliže zvolíte filtr Use days ago, bude počet celých dnů relativní k hodině 12:00 toho dne, ve kterém se porovnávání provádí. Pokud je vypnut, bude filtr používat absolutní datumy a časy.

3. Povolením Exclude files that are older than nebo Exclude files that are newer than definujeme fitr. Povolení obou hledisek umožňuje zahrnout soubory v rozsahu datumů.

Chcete-li filtrovat podle Size:

1. Vyberte Size ze seznamu typů filtrů.

2. Povolením Exclude files that are smaller than nebo Exclude files that are larger than definujeme fitr. Povolením obou hledisek umožňuje zahrnout soubory v rozsahu velikostí.

Chcete-li filtrovat podle DOS attributes:

1. Vyberte DOS attributes ze seznamu typů filtrů.

2. Vyberte možnosti, kterými chcete ovládat vylučování. Výběr Exclude protected operating system files je výchozí nastavení.

Chcete-li filtrovat podle Source control status:

1. Vyberte Source control status ze seznamu typů filtrů.

2. Vyberte možnosti, kterými chcete ovládat vylučování.

Chcete-li filtrovat podle Text content:

3. Vyberte Text content ze seznamu typů filtrů.

4. Vyberte možnosti, kterými chcete definovat hledání textů.Pokud shoda v souboru nebude nalezena, bude vyloučen.

Poznámka: Pokud některý z výše uvedených filtrů bude uplatněn, bude to komentováno ve spodní části náhledu složky. Pro úpravu těchto filtrů můžete kliknout na ikonu [image].

Poznámka: Pokud filtr souborů zjistí, že soubor na jedné straně porovnání by měl být skryt, ale příslušný soubor na druhé straně může být zobrazen, pak zobrazí oba a ten, který by měl být skryt, bude mít zelenomodrou barvu.

Chcete-li odstranit jména filtrů:

Kliknutím na tlačítko Clear se z této záložky odstraní všechny nastavené filtry.


Různé

Pokud je ve složce relace potlačeno zarovnání pomocí “override”, zarovnávají se soubory a podsložky podle jmen vlevo i vpravo. Výchozí nastavení můžete měnit ručně.

Chcete-li vynutit jiné zarovnání:

Klikněte na New pro přidání zarovnání typu “override”.

V dialogu Alignment “Override” vyplňte pole Align left file (or folder) a with right file (or folder). Můžete použít zástupné znaky “*” a “?” nebo povolit Regular expression pro interpretaci vašich vstupů jako náhradu stylu regulárních výrazů. Použijte Limit to this folder pro specifikaci relativní cesty zarovnání.

Příklady:

Zarovnat soubor ... se souborem Popis

(nebo složku) vlevo (nebo složkou) vpravo

apple.gif apple.png seřadí "apple.gif" s "apple.png"

*.gif *.png seřadí všchny “.gif” soubory s “.png”

soubory stejného jména

IMAGE_*.jpg My Vacation *.jpg seřadí soubory jako jsou IMAGE_01.jpg

a IMAGE_02.jpg se soubory “My Vacation

01.jpg” a "My Vacation 02.jpg"

Poznámka: Nejjednodušší způsob, jak ručně zarovnat dvě položky ve složce relace, je klepnout pravým tlačítkem na první položku, vybrat Align With a pak klepnout na druhou.

Chcete-li asociovat formáty souborů pomocí “override”:

Použitím Enabled file formats v seznamu je pomocí “override” umožněno potlačit používání některých formátů souborů v složce relace. Formát souboru je v seznamu uveden tučně, pokud jeho povolený stav v této relaci je různý od povoleného souhrnného stavu. Můžete si vytvořit vlastní formát souboru, který bude v této relaci používán, ale bude vypnutý v souhrnném seznamu.


Porovnávání textů

Klikněte na záložku obsahující nastavení, které chcete upravit:

Specs - toto nastavení řídí složky určené k porovnávání.

Format - formát

Importance - význam

Alignment- zarovnání

Replacements [image] - nahrazení


Formát

Určení formátu pro čtení levých a/nebo pravých souborů. Výchozí nastavení je Detected, což znamená, že formáty souborů budou vybrány na základě masek souboru.

Encoding “overrides” dovoluje v relaci použít “override” kódování znaků, které mají být použity pro každý soubor, jinak běžně ovládaný vybraným formátem souboru. Výchozí hodnota je None, což znamená, že bude použita volba dekódování formátu souboru.


Význam

Tato nastavení řídí, které rozdíly v aktuální relaci jsou považovány za důležité. Významné rozdíly budou mít při porovnávání červenou barvu. Nepodstatné rozdíly budou modré (nebo nezvýrazněné vůbec, pokud je povoleno Ignore Unimportant Differences).

Grammar elements

Označte políčka v seznamu položek, které jsou pro srovnání důležité. Tento seznam obsahuje prvky definované v gramatice formátu souboru. Pro změnu nebo kontrolu definice gramatiky klikněte ve vybraném formátu souboru na tlačítko Edit Grammar.

Default text

Tato nastavení určují význam textu, který není v gramatice definován (nebo formáty souboru nemají definovanou gramatiku).

Leading whitespace určuje, zda “bílá místa” (mezery a tabulátory) na začátku řádku jsou důležitá.

Embedded whitespace zda jsou důležité mezery uvnitř řádků.

Trailing whitespace určuje, zda jsou důležité mezery na konci řádku.

Everything else odkazuje na “ne-mezerovaný” text s již nedefinovanou gramatikou prvků.

Označte Character case v případě, že "Everything else" text je citlivý na malá/velká písmena. (Prvky gramatiky citlivé na malá/velká písmena jsou řízené gramatikou formátu souboru.)

Miscellaneous

Pro zvážení, zda dodatečné prázdné řádky (nebo vložené řádky s bezvýznamným textem) jsou důležitým rozdílem, označte políčko Orphan lines are always important.

Beyond Compare obvykle ignoruje rozdíly na konci řádků, jako je CR/LF v textových souborech Windows vs LF v souborech Unix. Chcete-li najít rozdíly konců řádků na základě hledání řádku po řádku, označte políčko Compare line endings (PC/Mac/Unix). (Chcete-li zkontrolovat zakončení řádků, povolte volbu Visible Whitespace [image] v nabídce View.)

Viz také

Pravidla vs formát souboru


Zarovnávání

Nastavení záložky Alignment řídí algoritmus zarovnávání řádků při porovnávání.

Standard method zarovnává soubory porovnáním postupně menších částí každého souboru. Části uspořádání mohou být zobrazeny ještě před dokončení celého porovnávání.

Skew tolerance představuje, jak hluboko bude algoritmus hledat shody. Při porovnávání souborů s mnoha nebo s objemnými částmi porovnávání větší tolerance zlepší zarovnávání.

Use closeness matching se pokouší zarovnávat zbývající neodpovídající si řádky na základě jejich podobnosti.

Alternate method zarovná soubory pomocí algoritmu společných LCS (Longest Common Subsequence – nejdelší podobné subsekvence). To může v některých případech zajistit lepší shody, např. při objemných velkých částech porovnávání nebo jde-li o soubory obsahující velké množství opakování textu. Vzhledem k tomu, že soubory jsou porovnávány najednou, trvá prověřování větších souborů mnohem déle, než při standardní metodě, a soubory jsou zobrazovány až po kompletním porovnání. Porovnávání podobnosti podporováno není, takže neshody budou seskupované do bloků.

Vyberte Unaligned pro porovnávání souborů bez zarovnávání na základě řádků, ale jen na základě jejich obsahu.

Označte políčko Never align differences pro přednostní zobrazení řádků jako bloků přidaného a odstraněného textu před změněným textem.

Poznámka: Bez ohledu na tato nastavení vyvolává někdy algoritmus zarovnávání nežádoucí výsledky. Chcete-li ručně dva řádky zarovnat, klepněte pravým tlačítkem na jeden řádek, vyberte Align With a pak klepněte na druhý.


Nahrazování

Nahrazování identifikuje opakující se změny, které by měly být považovány za nedůležité. Můžete zadat text, který bude odpovídat řetězci na jedné straně a text, který ho na druhé straně nahradí.

Chcete-li definovat pravidla nahrazování:

V záložce Replacements klikněte New.

Zadejte Text to find pro nalezení a nový text Replace with pro náhradu.

Označte Match character case pro shody textu se stejnými velkými/malými písmeny.

Označte Whole words only, aby se zabránilo shodě jen v části slov.

Označte Regular pro nakládání s hledanými řetězci jako s PCRE regulárními výrazy. Pro vložení společných prvků regulárních výrazů můžete použít rozvinovací tlačítko vpravo od vyhledávacího řetězce. Klepněte na tlačítko RE Examples pro další informace.

Zadejte stranu Side editovacího panelu, která by měla být prohledávána.


Slučování textů

Klikněte na záložku obsahující nastavení, které chcete upravit:

Specs - toto nastavení řídí složky určené k porovnávání.

Format - formát

Importance - význam

Alignment - zarovnání


Formát

Určení formátu pro čtení vstupních souborů. Výchozí nastavení je Detected, což znamená, že formáty souborů budou vybrány na základě souboru masek.

Encoding “overrides” dovoluje v relaci použít “override” kódování znaků, které mají být použity pro každý soubor, jinak běžně ovládaný vybraným formátem souboru. Výchozí hodnota je None, což znamená, že bude použita volba dekódování formátu souboru.


Význam

Tato nastavení řídí, které rozdíly v aktuální relaci jsou považovány za důležité. Významné rozdíly budou mít při porovnávání červenou barvu. Nepodstatné rozdíly budou modré (nebo nezvýrazněné vůbec, pokud je povoleno Ignore Unimportant Differences).

Grammar elements

Označte políčka v seznamu položek, které jsou pro srovnání důležité. Tento seznam obsahuje prvky definované v gramatice formátu souboru. Pro změnu nebo kontrolu definice gramatiky klikněte ve vybraném formátu souborů na tlačítko Edit Grammar.

Default text

Tato nastavení určují význam textu, který není v gramatice definován (nebo formáty souboru nemají definovanou gramatiku).

Leading whitespace určuje, zda “bílá místa” (mezery a tabulátory) na začátku řádku jsou důležitá.

Embedded whitespace zda jsou důležité mezery uvnitř řádků.

Trailing whitespace určuje, zda jsou důležité mezery na konci řádku.

Everything else odkazuje na “ne-mezerovaný” text s již nedefinovanou gramatikou prvků.

Označte Character case v případě, že "Everything else" text je citlivý na malá/velká písmena. (Prvky gramatiky citlivé na malá/velká písmena jsou řízeny formátem gramatiky.)

Miscellaneous

Pro zvážení, zda dodatečné prázdné řádky (nebo vložené řádky s bezvýznamným textem) jsou důležitým rozdílem, označte políčko Orphan lines are always important.

Beyond Compare obvykle ignoruje rozdíly na konci řádků, jako je CR/LF v textových souborech Windows vs LF v souborech Unix. Chcete-li najít rozdíly konců řádků na základě hledání řádku po řádku, označte políčko Compare line endings (PC/Mac/Unix). (Chcete-li zkontrolovat zakončení řádků, povolte volbu Visible Whitespace [image] v nabídce View.)

Viz také

Pravidla vs formát souboru


Zarovnávání

Nastavení záložky Alignment řídí algoritmus zarovnávání řádků při porovnávání.

Standard method zarovnává soubory porovnáním postupně menších částí každého souboru. Části uspořádání mohou být zobrazeny ještě před dokončení celého porovnávání.

Skew tolerance představuje, jak hluboko bude algoritmus hledat shody. Při porovnávání souborů s mnoha nebo s objemnými částmi porovnávání větší tolerance zlepší zarovnávání.

Use closeness matching se pokouší zarovnávat zbývající neodpovídající si řádky na základě jejich podobnosti.

Alternate method zarovná soubory pomocí algoritmu společných LCS (Longest Common Subsequence – nejdelší podobné subsekvence). To může v některých případech zajistit lepší shody, např. při objemných velkých částech porovnávání nebo jde-li o soubory obsahující velké množství opakování textu. Vzhledem k tomu, že soubory jsou porovnávány najednou, trvá prověřování větších souborů mnohem déle, než při standardní metodě, a soubory jsou zobrazovány až po kompletním porovnání. Porovnávání podobnosti podporováno není, takže neshody budou seskupované do bloků.

Vyberte Unaligned pro porovnávání souborů bez zarovnávání na základě řádků, ale jen na základě jejich obsahu.

Označte políčko Never align differences pro přednostní zobrazení řádků jako bloků přidaného a odstraněného textu před změněným textem.

Poznámka: Bez ohledu na tato nastavení vyvolává někdy algoritmus zarovnávání nežádoucí výsledky. Chcete-li ručně dva řádky zarovnat, klepněte pravým tlačítkem na jeden řádek, vyberte Align With a pak klepněte na druhý.

Konflikt slučování je ...

Tato nastavení definují rozsah konfliktů. Ke konfliktu dochází, když stejné oddíly textu mají různé změny na levé i pravé straně.

Vyberte Only different change lines pro omezení konfliktů na řádky obsahující změny na obou stranách. Vyberte Left change and right change separated by lines pro určení maximálního počtu řádků mezi změnami, které mohou být považované za konflikty. Touto cestou lze změny nalevo i napravo, které jsou blízko u sebe, označit pomocí “flag” pro další kontrolu na přímé konflikty.


Porovnávání dat

Klikněte na záložku obsahující nastavení, které chcete upravit:

Specs - toto nastavení řídí složky určené k porovnávání

Format - formát

Columns - sloupce


Formát

Určení formátu pro čtení levých a/nebo pravých souborů. Výchozí nastavení je Detected, což znamená, že formáty souborů budou vybrány na základě souboru masek.

Encoding “overrides” dovoluje v relaci použít “override” kódování znaků, které mají být použity pro každý soubor, jinak běžně ovládaný vybraným formátem souboru. Výchozí hodnota je None, což znamená, že bude použita volba dekódování formátu souboru.


Sloupce

Každý zobrazený řádek reprezentuje ve sloupci porovnávání následující stav:

· Comparison [image] půjde-li o klíč, číslo sloupce nebo jméno sloupce

· Left file číslo sloupce se vzorovými daty, jsou-li k dispozici

· Right file číslo sloupce se vzorovými daty, jsou-li k dispozici

· Handling sumarizaci porovnávání sloupců

Chcete-li řídit zarovnávání řádků:

Definujte tolik sloupců, kolik klíčů je nutné pro jednoznačnou identifikaci každého řádku. Ve výchozím nastavení je první sloupec definován pouze jako klíčový. Chcete-li definovat sloupec jako klíčový, nastavte se na příslušný řádek, klepněte na tlačítko Edit [image], označte políčko Key a klikněte OK. Je-li nastaveno více klíčů, pak pořadí jejich definování je prioritou pro porovnávání. Není-li definován žádný klíč, bude zarovnávání pro jednoznačnou identifikaci každého řádku používat všechny sloupce.

Ve výchozím nastavení jsou soubory seřazeny podle klíče ještě před zarovnáním řádků. Označte políčko Unsorted alignment pro zachování zarovnání pořadí řádků tak, jak existují v souborech. Všimněte si, že to může způsobit, že řádky se stejným klíčovým sloupcem dat nemusí být zarovnané.

Chcete-li řídit zarovnávání sloupců:

Ve výchozím nastavení se předpokládá, že porovnávané sloupce souborů jsou ve stejném pořadí. Chcete-li změnit pořadí porovnávání sloupců v levém souboru, přejděte na příslušný řádek pod Left file a podle potřeby klikněte na Move Up [image] nebo na Move Down [image]. Jestliže místo toho se nastavíte pod Comparison, změní se pozice samotných sloupců porovnávání. Aby se zabránilo sloupci levého souboru v porovnávání vůbec, nastavte se na příslušný řádek pod Left file a klikněte Remove [image]. Jestliže místo toho se nastavíte na Comparison, tlačítko bude bránit odstranění tohoto sloupce porovnávání souboru. Chcete-li obnovit odstraněný sloupec souboru, nastavte se pod Left file, pravým tlačítkem klikněte na Insert, označte prvek v dialogu Insert Columns a klikněte OK. Kliknutí na Tidy odstraní prázdné řádky v seznamu.

Chcete-li nastavovat jména sloupců:

Ve výchozím nastavení jsou jména sloupců v levém nebo pravém souboru stanovována automaticky. Abyste sloupci dali specifický název, nastavte se na příslušný řádek, klepněte na Edit [image], změňte Name a klikněte OK. Chcete-li všem sloupcům navrátit automatická pojmenování, vyberte Reset Names ze seznamu nabídky po pravém kliknutí. Jestliže data souboru vlevo jsou k dispozici, vyberte Fill Names Using Left File ze seznamu nabídky po pravém kliknutí pro vynucené pojmenování dat levého souboru. Použití Fill Names Using Comparison vynutí definovat jména automaticky.

Chcete-li řídit porovnávání sloupců dat:

Nastavte se na příslušný řádek a pro otevření dialogu úprava definic sloupců klikněte na Edit [image]. Chcte-li nastavit výchozí nastavení Handling, klikněte na Edit Default.


Hexadecimální porovnávání

Specs - toto nastavení řídí složky určené k porovnávání.

Comparison

Toto nastavení řídí porovnávání souborů.

Complete bude zarovnávat byte pomocí komplexního algoritmu. Fast představuje jednodušší, ale rychlejší zarovnávání, které je ideální pro velké soubory. None je prosté zarovnávání byte jeden po druhém.

Bytes per line řídí rozvržení byte v náhledu.

Files up to this size are loaded without file locks umožňuje menším souborům úpravy v jiných programech.


Porovnávání MP3

Specs - toto nastavení řídí složky určené k porovnávání.

Importance

Toto nastavení řídí, které rozdíly budou považované za důležité.


Porovnávání obrazů

Specs - toto nastavení řídí složky určené k porovnávání.

Format

Určení formátu pro čtení levých a/nebo pravých souborů. Výchozí nastavení je Detected, což znamená, že formáty souborů budou vybrány na základě masek souboru.

Comparison

Tato nastavení určují, jak porovnávat souborů. Mnohé z nich lze také měnit pomocí tlačítek na panelu nástrojů. Viz porovnávání obrazů téma detaily o režimu rozdílů.


Porovnávání Registry

Specs - toto nastavení řídí složky určené k porovnávání.

Importance

Toto nastavení řídí, které rozdíly budou považované za důležité.


Porovnávání verzí

Specs - toto nastavení řídí složky určené k porovnávání.

Importance

Toto nastavení řídí, které rozdíly budou považované za důležité.


Formáty souborů

V nabídce Tools vyberte File Formats [image]. Zde můžete vidět a spravovat celý seznam formátů souborů.

Pořadí v seznamu je důležité. Když Beyond Compare hledá formát souboru, prohledá tento seznam od shora dolů a zastaví se na první možné položce, jejíž maska odpovídá názvu souboru. Chcete-li změnit pořadí v seznamu, vyberte položku a klepněte na Move Up [image] nebo Move Down [image]. Chcete-li povolit nebo zakázat položku, označte nebo zrušte označení jejího políčka.

Položka je červená, pokud případný název by se mohl shodovat nebo se již shoduje s položkou ve vyšší pozici v seznamu. Zakázané položky jsou zbarvené do hněda. Položce s prázdnou maskou se nemůže rovnat žádný název souboru. Chcete-li použít některý z těchto formátů, musíte ho v souboru relace vybrat ručně.

Poznámka: Specifická relace může samostatně povolit nebo zakázat formáty souborů. (Viz nastavení různé.) Takto se může speciální formát souboru používat pouze v jedné relaci.

Viz také

Formáty textů

Formáty dat

Formáty obrazů


Formáty textů

Formáty textů jsou formáty používané v relacích porovnávání textů a slučování textů.

Klikněte na záložku obsahující nastavení, které chcete upravit:

General - obecně

Conversion - konverze

Gramar - gramatika

Misc - různé


Obecně

V Mask jsou nastaveny typy souborů asociované s formáty souborů.

Do pole Name může být vložen libovolný text. Počet vestavěných formátů souborů není konečný a je limitován pouze jejich potřebou.


Konverze

Záložka Conversion definuje, jakým způsobem by mohl být soubor načítán a ukládán.

V relaci porovnávání textů můžete porovnávat textové soubory, jako jsou např. naprogramované zdrojové soubory, přímo. Pro porovnávání souborů se strukturovaným nebo proprietárním formátem, může být občas nutné nejprve prostý text z obsahu souboru extrahovat. Např. dokumenty Microsoft Word jsou binární soubory, ale Beyond Compare můžete extrahovat a porovnat jejich textový obsah. Beyond Compare můžete najít a označit rozdíly ve slovech a větách, ale nemůže zjistit rozdíly ve formátování a vložených obrázcích.

Vybrání metody Conversion. Při použití metody External Program, budete muset zadat konverzní program s příslušnou cestou a přepínači příkazového řádku v poli Loading. Za účelem podpory souborů se znaky s diakritikou se ujistěte, že jste vybrali vhodné kódování souboru (Unicode nebo ANSI). Následující proměnné budou nahrazeny uvedenými informacemi:

%s zdrojový soubor

%t cílový soubor

%n původní soubor

%x původní rozšíření včetně “.”

Konverzační programy jsou považovány za úspěšně ukončené, pokud vrací nulu jako znak ukončení a vytvoří neprázdný soubor.

Máte-li konverzní program, který chcete před uložením použít, můžete zrušit označení políčka Disable editing a v poli Saving určit cestu ke konverznímu programu a přepínače příkazového řádku. Výše uvedené proměnné můžete použít.

Trim trailing whitespace a Convert leading spaces to tabs jsou úpravy, které mohou být provedeny před uložením souboru.

Encoding u většiny textových souborů může být rozpoznáno automaticky, ale pro použití můžete zadat určitou kódovou stránku.

Nastavení characters per line limit bude dlouhý řádek v indikované délce zalamovat. Uměle vytvořené konce řádků budou při ukládání upraveného souboru odstraněny.

Označte políčko Ctrl+Z indicates end of file, pokud váš typ souboru používá hexadecimální hodnotu 1A jako označení pro EOF.


Gramatika

Záložka Grammar definuje syntaxi souboru. Je zde definována gramatika prvků, jako jsou poznámky a klíčová slova. Každá gramatika prvku může být popsána jednou nebo více položkami gramatiky, které se objevují v seznamu. Pořadí v seznamu je významné. Položky na seznamu výše mají přednost před položkami níže umístěnými. Viz úprava gramatiky.

Line weights se používá ke zlepšení zarovnávání při porovnávání. Zarovnávací algoritmus se pokusí zarovnávat shodné řádky s vyšší váhou.


Různé

Insert spaces instead of tabs. Je-li nastavení vypnuté, stisknutí klávesy TAB vloží znak tabulátoru do souboru. Pokud je povolené, je místo toho vložen odpovídající počet mezer.

Nastavení Tab stop určuje interval mezi tabulátory. Po stisknutí klávesy TAB přechází kurzor na další zarážku.

Označením políčka Lines are independent bude každý řádek nezávislým záznamem a nebude možné zpracovávat po sobě jdoucí rozdíly řádků jako oddíl.

Označením políčka Column-based data budou pozice jednotlivých znaků v řádku důležité a řádky budou porovnávány sloupec po sloupci.


Formáty dat

Klikněte na záložku obsahující nastavení, které chcete upravit

General - obecně

Conversion - konverze

Type - typ

Datové formáty jsou formáty souborů používané při porovnávání dat různých typů relací.


Konverze

Záložka Conversion definuje jak by mohl být soubor načítán a ukládán.

Záložka Conversion definuje, jakým způsobem by mohl být soubor načítán a ukládán.

V relaci porovnávání textů můžete porovnávat textové soubory, jako jsou např. naprogramované zdrojové soubory, přímo. Pro porovnávání souborů se strukturovaným nebo proprietárním formátem, může být občas nutné nejprve prostý text z obsahu souboru extrahovat. Např. dokumenty Microsoft Word jsou binární soubory, ale Beyond Compare můžete extrahovat a porovnat jejich textový obsah. Beyond Compare můžete najít a označit rozdíly ve slovech a větách, ale nemůže zjistit rozdíly ve formátování a vložených obrázcích.

Vybrání metody Conversion. Při použití metody External Program, budete muset zadat konverzní program s příslušnou cestu a přepínači příkazového řádku v poli Loading. Za účelem podpory souborů se znaky s diakritikou se ujistěte, že jste vybrali vhodné kódování souboru (Unicode nebo ANSI). Následující proměnné budou nahrazeny uvedenými informacemi:

%s zdrojový soubor

%t cílový soubor

%n původní soubor

%x původní rozšíření včetně “.”

Konverzační programy jsou považovány za úspěšně ukončené, pokud vrací nulu jako znak ukončení a vytvoří neprázdný soubor.

Máte-li konverzní program, který chcete před uložením použít, můžete zrušit označení políčka Disable editing a v poli Saving určit cestu ke konverznímu programu a přepínače příkazového řádku. Výše uvedené proměnné můžete použít.

Trim trailing whitespace a Convert leading spaces to tabs jsou úpravy, které mohou být provedeny před uložením souboru.

Encoding u většiny textových souborů může být rozpoznaný automaticky, ale pro použití můžete zadat určitou kódovou stránku.

Nastavení characters per line limit bude dlouhý řádek v indikované délce zalamovat. Uměle vytvořené konce řádků budou odstraněny při ukládání upraveného souboru.

Označte políčko Ctrl+Z indicates end of file, pokud váš typ souboru používá hexadecimální hodnotu 1A jako označení pro EOF.


Typ

Záložka Type definuje syntaxi dat souboru.

Textové soubory s oddělovači

Vyberte Delimited, jestliže pole jsou oddělována znaky oddělovačů, jako je tabulátor nebo čárka.

Označte políčko Detect, aby program automaticky určil oddělovače. V opačném případě zadejte oddělovač(-e) a vyberte Text qualifier pro volitelné znaky obklopující pole (třeba pro data, která obsahují znak oddělovače).

Označte políčko Treat consecutive delimiters as one, pokud se oddělovač může skládat z více oddělovacích znaků. Např., pokud datový soubor obsahuje sloupce oddělené mezerou, měli byste tuto možnost povolit a vyberat Space jako znak oddělovače.

Odznačte políčko Treat surrounding whitespace as part of delimiter, pokud případné mezery oddělovač následují, a měly by být považované za součást datového pole.

Soubory s pevnými pozicemi textu

Vyberte Fixed pro soubory, jejichž pole mají definované pozice v řádku.

Zadejte Column widths oddělené v seznamu středníky.

Všechny typy

Vyberte Decimal symbol, který má být použitý při interpretaci číselných polí. Normálně se používá symbol nastavený ve vašem OS v místním nastavení, ale je možné vždy použít “override”.

Často je první řádek datového souboru hlavička, která obsahuje názvy sloupců. Nastavení First line contains dává možnost určit, zda první řádek je záhlaví nebo běžný datový řádek. Vyberte Detect, aby porovnávání dat to mohlo se snažit určit automaticky.


Formáty obrazů

Klikněte na záložku obsahující nastavení, které chcete upravit.

General - obecně

Conversion - konverze

Formáty obrazů jsou formáty souborů používané v relaci porovnávání obrazů.


Konverze

Záložka Conversion definuje jak by měl být soubor načítán a ukládán.

Vybrání metody Conversion. Při použití metody External Program, budete muset zadat konverzní program s příslušnou cestu a přepínači příkazového řádku v poli Loading. Za účelem podpory souborů se znaky s diakritikou se ujistěte, že jste vybrali vhodné kódování souboru (Unicode nebo ANSI). Následující proměnné budou nahrazeny uvedenými informacemi:

%s zdrojový soubor

%t cílový soubor

%n původní soubor

%x původní rozšíření souboru včetně “.”

Konverzační programy jsou považovány za úspěšné, pokud jako ukončovací znak vrací nulu a vytvoří neprázdný soubor.


FTP profily

V nabídce Tools vyberte FTP Profiles. Pak můžete vidět a spravovat celý seznam profilů FTP.

Úpravou <default> změníte nastavení většiny profilů. Můžete upravit specifické profily, pokud se nastavení liší od výchozího.

Klikněte na záložku toho nastavení, které chcete upravit:

General - obecně

Connection - spojení

Listings - seznamy

Transfer - přenos

Authentication - ověření


Obecně

Tato nastavení slouží pro obecné řízení FTP. Sekce parametrů Login a Server ale uvidíte pouze po stisku New. Toto tlačítko, pokud bude zašedlé, budete moci stisknout pouze po předchzím stisku Cancel dole (poznámka překladatele).

Login:

Protocol

Specifikujte FTP jednou z možností zabezpečeného přenosu, SSL nebo SSH.

Port

Použijte “Override”, pokud pro daný protokol nechcete použít standardní hodnotu.

Host, Username, Password

Zadejte přihlašovací údaje pro váš účet.

Anonymous login

Označte použití emailové adresy jako vaše heslo.

Save password

Slouží pro označení slabého hesla a pro jeho uložení spolu s ostatními nastaveními FTP profilu.

Server:

Filenames are case sensitive

Označení požadavku na vyhodnocení stejných znaků z důvodů řazení pro porovnávání.

Encoding

Určete kódování znaků serveru používané pro výpisy adresářů a příkazů.

Time zone

Určete časové pásmo serveru. Časová razítka budou převedena na místní čas automaticky.

Custom login commands

Specifikace dalších příkazů posílaných na server po připojení. Není podporováno u připojení SFTP (SSH).

Poznámka: Pokud na této stránce potřebujete s nastavením pomoc, obraťte se na správce systému.


Spojení

Tato nastavení určují, jak se připojovat na vzdálený server.

Connection:

Simultaneous connections

Zadejte maximální počet současných připojení (od 1 do 10), které Beyond Compare může s tímto serverem vytvořit.

Read timeout (seconds)

Zadejte časový limit pro stahování souborů. Operace se nezdaří, pokud nejsou byte do této doby doručeny.

Passive transfers (PASV)

Některé konfigurace firewallu toto nastavení vyžadují. Mění se jím metody používané pro oboustranný přenos dat mezi počítačem a FTP serverem. Ne všechny FTP servery podporují PASV. Pokud připojení vypadne, vyzkoušejte tento postup.

Limit ports used for active transfers (PORT)

Určuje rozsah portů na kterých se FTP server může připojovat pro “upload/download” souborů pomocí aktivních přenosů (Passive transfer je zakázáno). Použijte, pokud potřebujete nastavit firewall pro povolení příchozích spojení.

Use HOST before login

Určuje, zda příkaz HOST by měl být odeslán před odvysíláním jména a přihlašovacího hesla. Je to nutné při připojování některých virtuálních hostitelů FTP. Zakažte, pokud připojení vypadlo před odesláním uživatelského jména.

Clear control channel (SSL only)

Po odeslání šifrovaných přihlašovacích údajů je ovládání komunikačních kanálů nešifrované. Zkuste zapnout, pokud inicializace SSL připojení byla úspěšná, ale přenos souborů nebo adresářů vypadává.

Clear data channel (SSL only)

Pošle obsah souboru a adresářů nešifrovaně. Může to zajistit zrychlení při přenosu mnoha souborů po odeslání šifrovaných přihlašovacích údajů.

Proxy:

Use proxy

Označte, pokud připojení bude používat protokol FTP proxy. Pokud nejste na místní (LAN) nebo na vnější síti (WAN), nechte tuto možnost nezaškrtnutou.

Proxy type

Specifikujte typ firewallu.

Host, Port, Username, Password

Zadejte přihlašovací parametry pro váš firewall/proxy.

Poznámka: Pokud na této stránce potřebujete s nastavením pomoc, obraťte se na správce systému.

Beyond Compare analyzuje prostý text výpisu seznamu adresářů, odeslaných z FTP serveru, z důvodů zjištění vzdálené struktury složek. Bohužel, žádný standard pro tyto výpisy neexistuje.


Seznamy

Toto nastavení pomáhá Beyond Compare porozumět konvencím a možnostem FTP serveru.

LIST options:

Use MLSD command

Označení žádosti o vysoké rozlišení časových razítek ze serveru. Pokud to bude úspěšné, následující nastavení budou ignorována. Odkazy budou uvedeny jako obyčejné soubory a adresáře, a seznamy nebudou rekurzivní.

Show hidden [-a]

FTP server začleněné soubory, které normálně nezhrnuje, označí jmény UNIX-souborů začínající obdobím.

Force long format [-l]

Pokus o změnu výstupu seznamu příkazů serveru FTP. Zkuste tuto volbu, pokud BC žádný seznam při načítání nevytvořil.

Complete timestamps [-T]

Rozšíření časového razítka tak, že server FTP ho vrátí včetně kompletního datumu a času i se sekundami.

Resolve links [-L]

FTP server vytvoří seznam odkazů jako obyčejný text jmen adresářů s časovým razítkem a hodnotou odkazu na cíl.

Recursive [-R]

Označení, aby seznam adresářů byl rekurzivní, včetně obsahu podadresářů, jako reakce na jediný příkaz seznam FTP. Rekurzivní seznamy mohou být zpočátku vytvářeny pomalu, ale ušetříte čas, až budete podadresáře nakonec celkově prvěřovat.

Link resolution:

Na FTP servery se mohou soubory připojovat použitím symbolických "link", které směřují z jedné oblasti sítě do druhé. Tyto odkazy ale nespecifikují, zda ukazují na soubory nebo složky. Proto jsou k dispozici následující způsoby řešení:

Fast

Nakládat s každým odkazem, který má rozšíření (např. “.txt”), jako s odkazem na soubor, a všemi ostatními jako s odkazy na složky. Nevyžaduje to žádné další přenosy.

Simple

Pokus o změnu každého nalezeného odkazu na odkaz na složku. Pokud se spojení podaří, je odkaz považován za odkaz na složku, jinak za odkaz na soubor.

Miscellaneous settings:

Fetch incomplete timestamps

Pokus stáhnout soubor s časem poslední změny v případě, kdy výpis adresáře uvádí pouze jeho datum. Je poskytnuto přesnější časové razítko za srovnatelnou cenu výkonu přenosu. Není podporováno na všech serverech FTP.

Hide VMS versions

Zařazení pouze nejnovější verze souboru a její srovnání s lokálním souborem. V opačném případě budou všechny verze tohoto souboru uloženy s jeho číslem verze.

Poznámka: Pokud na této stránce potřebujete s nastavením pomoc, obraťte se na správce systému.


Přenos

Tato nastavení určují, jak budou soubory přenášeny na a ze serveru FTP.

Transfer:

Preserve timestamps on upload

Vynutit vzdálené časové razítko tak, aby odpovídalo časovému razítku zdroje. Pouhé odznačení způsobuje problémy se serverem.

Compress transfers (MODE Z)

Použití komprese pro urychlení převodu, pokud je serverem podporované. Ve skutečnosti to může zpomalit přesuny na rychlém připojení.

Force faster uploads to older OpenSSH servers

Používat větší vyrovnávací pamět a zřetězení přenosů prioritně na OpenSSH server před OpenSSH 3.9. Může to výrazně zvýšit přenosové rychlosti, ale není to kompatibilní se všemi servery a selhání nemusí být ihned zřejmé. Okamžitě po zapnutí proveďte pro ověření prvního přenosu porovnávání binárního obsahu.

Limit download (Kbps), Limit upload (Kbps)

Určete, jakou šířku pásma může Beyond Compare pro každé připojení používat.

Transfer type:

FTP sítě mohou přenášet data dvěma způsoby, ASCII a binárním. ASCII se používá pro přenos textových souborů, které nemají žádné zvláštní znaky. FTP server bude automaticky na konci řádků provádět potřebné úpravy v ASCII režimu. ASCII režim dále zajišťuje přenosy z centrálních počítačů převodem z EBCDIC do ANSI a přidává koncové terminátory řádků. Binární režim se používá pro přenos všech ostatních souborů, včetně obrazů, hudby, dokumentů aplikace Word, apod. V binárním režimu k žádným změnám při přenosu souborů nedochází.

Nastavení typu přenosu jako ASCII nebo Binary budou všechny soubory přenášeny tímto způsobem. Pokud typ přenosu je Auto, bude Beyond Compare automaticky přepínat tam a zpět na základě přípony souboru. Chcete-li změnit soubory, které byly přeneseny jako ASCII, přidejte nebo odeberte rozšíření ze seznamu ASCII types.

Poznámka: Pokud na této stránce potřebujete s nastavením pomoc, obraťte se na správce systému.


Ověření

Nastavení platí obecně pro všechny profily.

Anonymous logins:

Email address

Při připojení na anonymní FTP servery, je jako heslo obvykle použita vlastní e-mailová adresa. Specifikujte e-mailovou adresu (skutečnou nebo domnělou) pro používání k anonymnímu přístupu.

SSH public key authentication:

Tato nastavení slouží na serveru SSH k ověřování pomocí veřejného/soukromého klíče. Klíče uložené pomocí sss-agenta OpenSSH a pagenta PuTTY jako agentů SSH budou automaticky použity.

Private key file

Zadejte cestu k SSH soukromému klíči. Formáty klíčů OpenSSH, SSH.COM, PuTTY a PGP jsou podporovány.

Passphrase

Zadejte frázi hesla, která bude použitá k zašifrování soukromého klíče.

Create Keys

Klikněte pro vytvoření nového SSH klíče.

SSL client certificate:

Toto nastavení se používá na serveru SSL FTP k ověřování použitím certifikátu SSL klienta.

Create Certificate

Klikněte pro vytvoření nového vlastního SSL certifikátu.

Poznámka: Pokud na této stránce potřebujete s nastavením pomoc, obraťte se na správce systému.


Integrace řízení zdrojů

Tools > Source Control Integration

Zde můžete asociovat složky s SCC-kompatibilním zdrojem řízení aplikací, takže Beyond Compare může nabídnout kontrolu výstupu a ověřování služeb.


Kde je ve vašem PC uložené nastavení

Při normální instalaci uloží Beyond Compare vaše volby, relace a vlastní formáty jako “.xml” soubory v podsložce Scooter Software složky aplikačních dat. Umístění závisí na verzi OS Windows. Např. ve Windows Vista to bude:

C:\Users\<username>\AppData\Roaming\Scooter Software\Beyond Compare 3

Všimněte si, že toto místo se pro různé uživatele na stejném počítači liší.

Rychlý způsob, jak najít toto místo, je zvolit Support v nabídce Help a klepnout na odkaz v Explore settings folder ve spodní části dialogového okna.

Portable instalace

Pokud dáváte víc přednost přenosné instalaci programu s nastavením na jednom místě, můžete zkopírovat soubory nastavení do stejné složky jako program. Tato složka může být výchozí složkou programu ("C:\Program Files\Beyond Compare 3") nebo nějakou složkou na USB flash disku nebo na CD-ROM. Přenosná instalace umožňuje sdílet jednu sadu nastavení pro všechny uživatele počítače nebo si nastavení prostě můžete nosit sebou. Pokud nemáte existující nastavení pro zkopírování, můžete ve složce vytvořit prázdný soubor s názvem BCState.xml.


Thispartofthedocumentationdescribesthecommandsavailableinmenusandonthetoolbarfor

eachviewtype.

Commandsthatarecommontoallviews

FolderCompareCommands

FolderSyncCommands

TextCompareCommands

TextMergeCommands

DataCompareCommands

HexCompareCommands

MP3CompareCommands

PictureCompareCommands

RegistryCompareCommands

VersionCompareCommands

TextEditCommands

s

Themainmenuchangesdependingonwhatkindofviewisactive.However,thecommandslisted

belowarecommonacrossdifferentviewtypes.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

NewSession Opensanewviewwithanemptysessionofthespecifiedtype.

NewTab OpensanewtabinthecurrentwindowanddisplaystheHome

view.

NewWindow OpensanewwindowanddisplaystheHomeview.

OpenSession OpensanewviewanddisplaystheHomeview.

LoadWorkspace Listssavedworkspaces.Selectingoneclosesanyopenviews

andrestorestheselectedconfiguration.

LoadWorkspace>Letsyourenameordeletesavedworkspaces.

ManageWorkspaces

SaveWorkspaceAs Savesthecurrentconfigurationofwindowsandtabsasa

namedworkspace.

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings Editssession-specificsettingsforthecurrentsession.

Locked Locksorunlockscurrentsession.

ClearSession Replacesthecurrentviewwithanemptysessionofthesame

type,withdefaultsettings.

CloseTab Closesthecurrenttab.

Exit QuitsBeyondCompare,promptingtosaveanyedits.Allofthe

instance'swindowswillclose.

TheToolsmenu:

Options Opensthe Optionsdialog tosetprogrampreferences.

FileFormats Opensthe FileFormatsdialog tomanagefileformatsettings.

FTPProfiles Opensthe FTPProfilesdialog tomanageFTPsettings.

SourceControlIntegration Opensthe SourceControlIntegrationdialog.Availablein

Windowsversiononly.

Tweaks*Opensthe Tweaksdialog tosetobscureprogramoptions.

CustomizeCommands Opensthe CustomizeCommandsdialog thatcontrolskeyboard

shortcutsandvisibilityofcommandsonmenusandtoolbars.

ExportSettings Opensthe ExportSettingsdialog toselectivelysavesettings

andsessionstoafile.

ImportSettings Opensthe ImportSettingsdialog toselectivelyloadsettings

andsessionsfromafile.

SaveSnapshot Opensthe SaveSnapshotdialog tocreateasnapshotofafolder

structure.

EditTextFile Opensanew TextEditview.

TheHelpmenu:

Contents Displayshelpcontents.

ContextSensitiveHelp Displayshelpcontentspagerelevanttowhatyouarefocused

on.

ScooterSoftwareontheWeb OpenstheScooterSoftwarewebsiteinyourbrowser.

CheckforUpdates CheckstoseeifanewerversionofBeyondCompareis

available.

Support Displays resourcesforgettingsupport.

EnterKey Opensthe Registerdialog toacceptyourlicensekey.

AboutBeyondCompare DisplaystheAboutboxwithprogramversionandlicense

information.

*Hiddenbydefault.

olderCompareCommands

Followingisadescriptionofthe FolderCompare commands,inadditiontothe commoncommands.

Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheFolderCompare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyFolderCompare.

SwapSides Exchangestheleftandrightbasefolders.

Back Goesbackto(earlier)comparedbasefolders.

Forward Goesforwardto(later)comparedbasefolders.

BrowseforFolder Browsesforanexistingfolderoneitherside.

UpOneLevel Changeseitherorbothbasefolderstotheirparentfolders.

FolderCompareReport Producesa FolderComparereport.

FolderCompareInfo Displayscomparisonstatistics.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentbasefolders.

SyncBaseFolders OpensanewFolderSyncsessionbasedonthecurrentbase

folders.

TheActionsmenu:

CloseFolder/OpenFolder Opensorclosestheselectedfolderinthecomparison.

OpenSubfolders Openstheselectedfoldersandalltheirsubfolders.

SetasBaseFolder Setstheselectedfolderasthebasefolderonitssideofthe

comparison.

SetasBaseonOtherSide Setstheselectedfolderasthebasefolderontheothersideof

thecomparison.

SetasBaseFolders Setsthetwoselectedfoldersastheleftandrightbasefoldersin

thiscomparisonview.(Toopentheminanewviewuse Openin

NewView instead.)

Open Opensselecteditemsinanewcomparisonview.Iftheitems

arefiles,theviewtypeisdeterminedbythe fileformat list.If

exactlytwoitemsareselected,theywillbecomparedtoeach

other(whetherornottheyareacrossfromeachother)inthe

newview.Ifonlyoneitemisselecteditwillbecomparedtothe

itemacrossfromit,ifitexists.

OpenWith Opensselectedfilesinanewviewusingaspecifiedtypeoffile

session,oropenstheselecteditemsinanexternalapplication,

asdefinedin"OpenWith"Applications.NotethattheFolder

Compareviewisnotautomaticallyupdatediftheitemsare

modifiedbytheexternalapplication.

QuickCompare DisplaystheQuickComparedialogfortheselectedfiles.If

exactlytwofilesareselected,theywillbecomparedtoeach

other(whetherornottheyareacrossfromeachother).Ifonly

onefileisselected,itwillbecomparedtothefileacrossfromit.

CompareTo Allowsyoutoselectoneitem,andthenclickonaseconditem

tocomparetheminanewview.

Align Forcesselecteditemstobeside-by-side.Items'parentfolders

mustbeside-by-side.

AlignWith Allowsyoutoselectoneitem,andthenclickonaseconditem

toforcethemtobeside-by-side.

CompareContents Comparescontentsoftheselecteditemsusing oneofthree

methods.

CopytoOtherSide Dynamiccommandthat copiesselectedfiles,folders tothe

oppositeside.Thecaptionandiconappearas CopytoRight,

CopytoLeft or CopytoSide dependingonwhichside(s)are

selected.

CopytoRight[Left]*Copiesselectedfiles,folders totheexplicitlyindicatedside.

NormallyassociatedwithCtrl+R,Ctrl+Lkeyboardshortcuts.

CopytoSide*Promptswhichsideto copyselectedfiles,folders to.

MovetoOtherSide Dynamiccommandthat movesselectedfiles,folders tothe

oppositeside.Thecaptionandiconappearas MovetoRight,

MovetoLeft or MovetoSide dependingonwhichside(s)are

selected.

MovetoRight[Left]*Movesselectedfiles,folders totheexplicitlyindicatedside.

MovetoSide*Promptswhichsideto moveselectedfiles,folders to.

CopytoFolder Copiesselectedfiles,folderstoanotherfolder.

MovetoFolder Movesselectedfiles,folderstoanotherfolder.

Delete Deletesselectedfiles,folders.

Rename Renamesselectedfiles,folders.

Attributes Changesfileattributesonselectedfiles,folders.

Touch Changestimestampsonselectedfiles,folders.

Exclude Excludesselectedfile,ortypeoffile,fromthecurrentsession.

NewFolder Createsanewfolder.

CopyFilename Copiesalistoftheselecteditems'pathstotheclipboard.

Ignored Suppressesdifferencesinselecteditems.

RefreshSelection Refreshestheselecteditems.

FileCompareReport ProducesaFileComparereportfortheselectedfiles.

Synchronize>UpdateRight

Synchronize>UpdateLeft

Synchronize>UpdateBoth

Synchronize>MirrortoRight

Synchronize>MirrortoLeft

SourceControl

Explorer

SourceControlSubmenu:

Addtosourcecontrol

Removefromsourcecontrol

Getlatestversion

Checkin

Checkout

Undocheckout

Showdifferences

Showhistory

Showproperties

Runsourcecontrolapplication

TheEditmenu:
Copiesnewerandorphanitemsfromlefttoright.

Copiesnewerandorphanitemsfromrighttoleft.

Performsabidirectionalupdatebycopyingnewerandorphan

itemsfromlefttorightandfromrighttoleft.

Replacesalldifferentitemsonright,deletesanyright-side

orphans,andcopiesanyleft-sideorphanstotheright.

Replacesalldifferentitemsonleft,deletesanyleft-side

orphans,andcopiesanyright-sideorphanstotheleft.

Displaysasubmenuofsourcecontrolactions(seebelow).Only

appearsifa sourcecontrolprovider hasbeenconfiguredandall

selecteditemsareundersourcecontrol.

Displaysthefilemanager'scontextmenufortheselected

item(s).

Addsthefiletotheproject.

Removesthefilefromtheproject.

Getsthelatestversionfromthesourcecontrolrepository.

Takesyourchangesandappliesthemtotheproject.

Checksthefileoutfromthesourcecontrolrepositoryandmakes

yourlocalcopywritable.

Removesanychangesyouhavemadetothelocalcopyandsets

itbacktoread-only.

Tellstheversioncontrolsystemtodisplaythecomparisonofthe

filewiththeoneinversioncontrol.Theversioncontrolsystem

willonlyuseBeyondCompareifitissetuptodoso.

Showsthehistoryofthefileintheversioncontrolsystem.

Showsversioncontrol-specificproperties.

Runsthesourcecontrolapplication.

ExpandAll Opensallfoldersinview.

CollapseAll Closesallfoldersinview.

SelectAll Selectsallvisibleitems.

SelectAllFiles Selectsallvisiblefiles.

SelectNewer>Selectsallvisiblefilesthatareneweronthespecifiedside.

Left/Right/Both

SelectOrphans>Selectsallvisibleorphanfilesonthespecifiedside.

Left/Right/Both

InvertSelection Selectsallitemsnotcurrentlyselected,anddeselectsallitems

currentlyselected.

Refresh Refreshesopenfolders.

FullRefresh Refreshesentirecomparison.

TheSearchmenu:

NextDifference Positionsatnextdifference.

PreviousDifference Positionsatpreviousdifference.

FindFilename Findsfilenamematchingsearchstring.

FindNextFilename Findsnextfilenamematchingsearchstring.

FindPreviousFilename Findspreviousfilenamematchingsearch

string.

TheViewmenu:

ShowAll Usesnodisplayfilteroneitherside.

ShowDifferences Filtersoutmatches,basedonfilestatus,frombothsides.

ShowSame Filtersoutolder,newerordifferent,andorphansfromboth

sides.

ShowNoOrphans Filtersoutorphansfrombothsides.

ShowDifferencesbutNo Filtersoutmatchesandorphansfrombothsides.

Orphans

ShowOrphans Filtersoutmatches,older,andnewerordifferentfromboth

sides.

ShowLeftNewer Filtersoutmatches,orphans,olderonleft(newerordifferenton

right)frombothsides.

ShowRightNewer Filtersoutmatches,orphans,newerordifferentonleft(olderon

right)frombothsides.

ShowLeftNewerandLeft Filtersoutmatchesandolderonleft(newerordifferenton

Orphans right)frombothsidesandorphansontherightside.

ShowRightNewerandRight Filtersoutmatchesandnewerordifferentonleft(olderon

Orphans right)frombothsidesandorphansfromtheleftside.

ShowLeftOrphans Filtersoutmatches,older,andnewerordifferentfromboth

sidesandorphansontherightside.

ShowRightOrphans Filtersoutmatches,older,andnewerordifferentfromboth

sidesandorphansontheleftside.

ShowNone*Hidesallfiles.Usefulinconjunctionwith AlwaysShowFolders

tocopyfolderstructures.

AlwaysShowFolders Showsallfolders,exceptthoseexcludedbyfilefilters.

CompareFilesandFolder Showsfolderscontainingfilesorfoldersthatmatchthecurrent

Structure displayfilter.Orphanfolderswillfollowthesamefilteringrules

asorphanfiles.

CompareFilesOnly Showsonlyfolderscontainingfilestobeshown.

IgnoreFolderStructure Comparesfilenamesregardlessofwhichsubfoldertheymaybe

in.(Alsocalled FlattenFolders.)

SuppressFilters Temporarilysuppressesfilefiltersanddisplayfilters.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

Columns Showsorhidesviewcolumns.

Legend Displaysawindowthatlistswhatthedifferentfoldercolors

mean.

ShowLog Showsorhidesthelogpanel.

*Hiddenbydefault.

FolderSyncCommands

Followingisadescriptionofthe FolderSync commands,inadditiontothe commoncommands.

Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheFolderSync SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyFolderSync.

FolderSyncInfo Displayssyncstatistics.

RunSync Performsallsyncactions.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentbasefolders.

CompareBaseFolders OpensanewFolderComparesessionbasedonthecurrentbase

folders.

TheActionsmenu:

Open Opensselecteditemsinanewcomparisonview.

OpenWith Opensselectedfilesinanewviewusingaspecifiedtypeoffile

view,oropenstheselecteditemsinanexternalapplication,as

definedin"OpenWith"Applications.NotethattheFolderSync

viewisnotautomaticallyupdatediftheitemsaremodifiedby

theexternalapplication.

Exclude Excludesselectedfile,ortypeoffile,fromthecurrentsession.

CopyFilename Copiesalistoftheselecteditems'pathstotheclipboard.

RefreshSelection Refreshestheselecteditems.

Explorer Displaysthefilemanager'scontextmenufortheselected

item(s).

TheEditmenu:

ExpandAll Opensallfoldersinview.

CollapseAll Closesallfoldersinview.

SelectAll Selectsallvisibleitems.

InvertSelection Selectsallitemsnotcurrentlyselected,anddeselectsallitems

currentlyselected.

Refresh Refreshesopenfolders.

FullRefresh Refreshesentirecomparison.

TheSearchmenu:

NextConflict Positionsatnextconflict.

PreviousConflict Positionsatpreviousconflict.

FindFilename Findsfilenamematchingsearchstring.

FindNextFilename Findsnextfilenamematchingsearchstring.

FindPreviousFilename Findspreviousfilenamematchingsearch

string.

TheViewmenu:

Peek Temporarilyshowsitemsthatwillnotbeaffectedbythesync.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

Columns Showsorhidesviewcolumns.

Legend Displaysawindowthatlistswhatthedifferentfoldercolors

mean.

ShowLog Showsorhidesthelogpanel.

TextCompareCommands

Followingisadescriptionofthe TextCompare commands,inadditiontothe commoncommands.

Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheTextCompare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyTextCompare.

SwapSides Exchangestheleftandrightfiles.

ReloadFiles Reloadsthedisplayedfiles,promptingtosavefirstifnecessary.

RecompareFiles Recomparesthedisplayedfiles,preservingedits,butnot

undoability.

TextCompareReport Producesthe TextComparereport.

TextCompareInfo Displayscomparisonstatistics.

CompareFilesUsing Opensthedisplayedfilesinanewsessionusingadifferentclass

offileviewer.

MergeFiles OpensanewTextMergesessionbasedonthecurrentlyloaded

files.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentlyloadedfiles.

TheFilemenu:

NewFile Opensanemptyfileintotheselectedpane.

OpenFile Opensanexistingfileintotheselectedpane.

OpenFileonFileSystem*Opensanexistinglocalfileintotheselectedpane.

OpenFileonFTPSite*OpensanexistingfileonanFTPsiteintotheselectedpane.

OpenClipboard LoadstheClipboardcontentsintotheselectedpane.

OpenwithTextEdit Openstheselectedpane'sfileinthetexteditor.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

SaveFile Savesthemodifiedfilefromtheselectedpane.

SaveFileAs Savesthefilefromtheselectedpanewithanewname.

SaveFileonFileSystemAs*Savesthefilefromtheselectedpanewithanewnameonthe

filesystem.

SaveFileonFTPSiteAs*Savesthefilefromtheselectedpanewithanewnameonan

FTPsite.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

CheckIn Appearsifa sourcecontrolprovider hasbeenconfiguredand

thefileisundersourcecontrol.

CheckOut

UndoCheckOut

TheEditmenu:

Undo Undoespreviousaction.

Redo Redoespreviouslyundoneaction.

AlignWith Allowsyoutoselectoneormorelines,andthenclickonaline

ontheothersidetoforcethemtobeside-by-side.

Isolate Realignscomparisonsothatselectedlinesarebythemselves.

CopytoRight[Left]*Copiesselectedlinesorcurrentsectiontoindicatedside.

CopytoOtherSide Copiesselectedlinesorcurrentsectiontooppositeside.The

captionandiconappearas CopytoRight or CopytoLeft

dependingonthecurrentside.

CopyLinetoRight[Left]*Copiescurrentlinetoindicatedside.

CopyLinetoOtherSide Copiescurrentlinetootherside.Thecaptionandiconappear

as CopyLinetoRight or CopyLinetoLeft dependingonthe

currentside.

IncreaseIndent Increasesindentationofselectedlines.

DecreaseIndent Decreasesindentationofselectedlines.

Cut/Copy/Paste/Delete Standardeditingcommands.

DeleteLine*Deletesthecurrentline.

DeletetoStartofLine*Deletestextfromthecurrentpositiontothebeginningofthe

line.

DeletetoEndofLine*Deletestextfromthecurrentpositiontotheendoftheline.

DeleteWord*Deletesthewordatthecurrentposition.

DeletetoStartofWord*Deletesfromthecurrentpositiontothebeginningoftheword.

DeletetoEndofWord*Deletesfromthecurrentpositiontotheendoftheword.

InsertLineBefore*Insertsanewblanklinebeforethecurrentline.

InsertLineAfter*Insertsanewblanklineafterthecurrentline.

SelectAll Selectsallvisiblelinesinthecurrentpane.

SelectSection Selectsalllinesinthecurrentsection.

CompareSelectionto Comparestheselectedtextwiththecontentsoftheclipboardin

Clipboard anewview.

ConvertFile>Stripsoffspacesandtabcharactersatendoflines.

TrimTrailingWhitespace

ConvertFile>Replacesspacesatthebeginningoflineswiththeappropriate

LeadingSpacestoTabs numberoftabcharacters(basedoncurrenttabstopsetting).

ConvertFile>Replacesalltabcharacterswiththeappropriatenumberof

TabsToSpaces spacecharacters(basedoncurrenttabstopsetting).

ConvertFile>Changesthelineendingstyleonalllines.(Windows/DOS=

LineEndings CR+LF,Unix=LFonly,Macintosh=CRonly)

FullEdit Togglesbetweenfullcharactermodeediting(enabled)and

BeyondCompare2-likelinemode(disabled)inthemainfile

panes.

TheSearchmenu:

NextDifference Positionsatnextdifferencetext.

PreviousDifference Positionsatpreviousdifferencetext.

NextDifferenceSection Positionsatnextdifference section(contiguousrangeoflines

withdifferences).

PreviousDifferenceSection Positionsatpreviousdifferencesection.

NextDifferenceFiles Openstheparentfoldersession'snextpairoffileswith

differences.(Childsessionsonly.)

PreviousDifferenceFiles Openstheparentfoldersession'spreviouspairoffileswith

differences.(Childsessionsonly.)

CopyFiletoLeftandOpen Copiestheentireright-sidefiletotheleftandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

CopyFiletoRightandOpen Copiestheentireleft-sidefiletotherightandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

NextReplacement Positionsatnextreplacementtext.

PreviousReplacement Positionsatpreviousreplacementtext.

NextEdit Positionsatthenexteditedlinebeyondthecursor.

PreviousEdit Positionsatpreviouseditedlinebeforethecursor.

Find Searchesformatchingtext.

Replace Replacesmatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

GoTo Positionsatspecifiedlineandcolumn.

ToggleBookmark Placesanumberedmarkeronthecurrentlineofthe

comparison,numberedfrom0to9.

GoToBookmark Repositionsatthespecifiedbookmark.

ClearBookmarks Removesallbookmarksfromthecomparison.

TheViewmenu:

ShowAll Showsalllines,withorwithoutdifferences.

ShowDifferences Showsonlylineswithdifferences.

ShowSame Showsonlylineswithoutdifferences.

ShowNone*Hidesalllines.

ShowContext Showslinessurroundingdifferences.Thenumberofcontext

linescanbesetin TextViewOptions.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

Ignored Suppressesdifferencesinselectedlinesorcurrentsection.

VisibleWhitespace Showsorhidesvisiblespaces,tabs.

LineNumbers Showsorhideslinenumbers.

SyntaxHighlighting Showsorhidessyntaxhighlighting.

DisplayFont*Selectsthefonttouseineditorpanes.

Side-by-sideLayout Arrangeseditorpanesleftandrightofeachother.

Over-underLayout Arrangeseditorpanesaboveandbeloweachother.

Webpages Showsorhideswebbrowserpanelsthatdisplaythecurrentfiles

aswebpages.

ThumbnailView Showsorhidesthethumbnailsummaryofchangesatleftof

view.

TextDetails Showsorhidesthetextdetailspanelatbottomofview.

HexDetails Showsorhidesthehexadecimaldetailspanelatbottomofview.

AlignedDetails Showsorhidesthealigneddetailspanelatbottomofview.

Ruler Showsorhidesthelinedetailsruler.

FileInfo Showsorhidesfileinformationpanelsatthetopofeditor

panes.

*Hiddenbydefault.

TextMergeCommands

Followingisadescriptionofthe TextMerge commands,inadditiontothe commoncommands.Most

ofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheTextMerge SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyTextMerge.

SwapSides Exchangestheleftandrightfiles.

ReloadFiles Reloadsthedisplayedfiles,promptingtosavefirstifnecessary.

RecompareFiles Recomparesthedisplayedfiles,preservingedits,butnot

undoability.

TextCompareInfo Displayscomparisonstatistics.

ComparetoOutput>Opensthefileontheindicatedsideandtheoutputfileinanew

LeftSide/CenterSide/Right TextComparesession.

Side

TheFilemenu:

OpenFile Opensanexistingfileintotheselectedpane.

OpenFileonFileSystem*Opensanexistinglocalfileintotheselectedpane.

OpenFileonFTPSite*OpensanexistingfileonanFTPsiteintotheselectedpane.

OpenClipboard LoadstheClipboardcontentsintotheselectedpane.

OpenwithTextEdit Openstheselectedpane'sfileinthetexteditor.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

SaveFile Savesthemodifiedfilefromtheselectedpane.

SaveFileAs Savesthefilefromtheselectedpanewithanewname.

SaveFileonFileSystemAs*Savesthefilefromtheselectedpanewithanewnameonthe

filesystem.

SaveFileonFTPSiteAs*Savesthefilefromtheselectedpanewithanewnameonan

FTPsite.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

TheEditmenu:

Undo Undoespreviousaction.

Redo Redoespreviouslyundoneaction.

AlignWith Allowsyoutoselectoneline,andthenclickonasecondlineto

forcethemtobeside-by-side.

Isolate Realignscomparisonsothatselectedlinesarebythemselves.

Conflict Clearsorsetsconflictforselectedlinesorcurrentsection.

TakeLeft[Center|Right]Takesselectedlinesorcurrentsectionfromindicatedside.

TakeLeftThenRight[Right Takesselectedlinesorcurrentsectionfromleftandrightinthe

ThenLeft]indicatedorder.

TakeLeft[Center|Right]Line Takescurrentlinefromindicatedside.

IncreaseIndent Increasesindentationofselectedlines.

DecreaseIndent Decreasesindentationofselectedlines.

Cut/Copy/Paste/Delete Standardeditingcommands.

DeleteLine*Deletesthecurrentline.

DeletetoStartofLine*Deletestextfromthecurrentpositiontothebeginningofthe

line.

DeletetoEndofLine*Deletestextfromthecurrentpositiontotheendoftheline.

DeleteWord*Deletesthewordatthecurrentposition.

DeletetoStartofWord*Deletesfromthecurrentpositiontothebeginningoftheword.

DeletetoEndofWord*Deletesfromthecurrentpositiontotheendoftheword.

InsertLineBefore*Insertsanewblanklinebeforethecurrentline.

InsertLineAfter*Insertsanewblanklineafterthecurrentline.

SelectAll Selectsallvisiblelinesinthecurrentpane.

SelectSection Selectsalllinesinthecurrentsection.

CompareSelectionto Comparestheselectedtextwiththecontentsoftheclipboardin

Clipboard anewview.

FullEdit Togglesbetweenfullcharactermodeediting(enabled)and

BeyondCompare2-likelinemode(disabled)inthemainfile

panes.

TheSearchmenu:

ClearConflictSection,Next Clearsconflictforcurrentsectionandpositionsatnextconflict

section.

NextConflictSection Positionsatnextconflictsection.

PreviousConflictSection Positionsatpreviousconflictsection.

NextDifference Positionsatnextdifferencetext.

PreviousDifference Positionsatpreviousdifferencetext.

NextDifferenceSection Positionsatnextdifferencesection.

PreviousDifferenceSection Positionsatpreviousdifferencesection.

NextLeft[Right]Taken Positionsatnextrangeoflineswhereindicatedsidewastaken.

PreviousLeft[Right]Taken Positionsatpreviousrangeoflineswhereindicatedsidewas

taken.

NextEdit Positionsatthenexteditedlinebeyondthecursor.

PreviousEdit Positionsatpreviouseditedlinebeforethecursor.

Find Searchesformatchingtext.

Replace Replacesmatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

GoTo Positionsatspecifiedlineandcolumn.

ToggleBookmark Placesanumberedmarkeronthecurrentlineofthe

comparison,numberedfrom0to9.

GoToBookmark Repositionsatthespecifiedbookmark.

ClearBookmarks Removesallbookmarksfromthecomparison.

TheViewmenu:

ShowAll Showsunchanged,samechange,leftchange,rightchange,

differentchangeandconflictlines.

ShowChanges Showssamechange,leftchange,rightchange,differentchange

andconflictlines.

ShowConflicts Showsconflictlines.

ShowLeftChanges Showssamechange,leftchange,differentchangeandconflict

lines.

ShowRightChanges Showssamechange,rightchange,differentchangeandconflict

lines.

ShowMergeable Showssamechange,leftchange,rightchange,anddifferent

changelines.

ShowUnchanged Showsunchangedlines.

ShowNone*Showsnolines.

ShowContext Showslinessurroundingdifferences.Thenumberofcontext

linescanbesetin TextViewOptions.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

IgnoreSameChanges Treatssamechangesassame.

FavorLeftChanges Suppresseshighlightingofleft-onlychangesinoutput.

FavorRightChanges Suppresseshighlightingofright-onlychangesinoutput.

Ignored Ignores(orun-ignores)differencesinselectedlinesorcurrent

section.

VisibleWhitespace Showsorhidesvisiblespaces,tabs.

LineNumbers Showsorhideslinenumbers.

SyntaxHighlighting Showsorhidessyntaxhighlighting.

DisplayFont*Selectsthefonttouseineditorpanes.

Side-by-sideLayout Arrangeseditorpanesleftandrightofeachother.

Over-underLayout Arrangeseditorpanesaboveandbeloweachother.

DetachedOutputPane Showsoutputpaneinseparatewindow.

Webpages Showsorhideswebbrowserpanelsthatdisplaythecurrentfiles

aswebpages.

ThumbnailView Showsorhidesthethumbnailsummaryofchangesatleftof

view.

CenterPane Showsorhidescenterpane.

TextDetails Showsorhidesthetextdetailspanelatbottomofview.

HexDetails Showsorhidesthehexadecimaldetailspanelatbottomofview.

Ruler Showsorhidesthelinedetailsruler.

FileInfo Showsorhidesfileinformationpanelsatthetopofeditor

panes.

*Hiddenbydefault.

ataCompareCommands

Followingisadescriptionofthe DataCompare commands,inadditiontothe commoncommands.

Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheDataCompare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyDataCompare.

SwapSides Exchangestheleftandrightfiles.

ReloadFiles Reloadsthedisplayedfiles,promptingtosavefirstifnecessary.

RecompareFiles Recomparesthedisplayedfiles,preservingedits,butnot

undoability.

DataCompareReport Producesthe DataComparereport.

DataCompareInfo Displayscomparisonstatistics.

CompareFilesUsing Opensthedisplayedfilesinanewsessionusingadifferentclass

offileviewer.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentlyloadedfiles.

TheFilemenu:

NewFile Opensanemptyfileintotheselectedpane.

OpenFile Opensanexistingfileintotheselectedpane.

OpenFileonFileSystem*Opensanexistinglocalfileintotheselectedpane.

OpenFileonFTPSite*OpensanexistingfileonanFTPsiteintotheselectedpane.

OpenClipboard LoadstheClipboardcontentsintotheselectedpane.

OpenwithTextEdit Openstheselectedpane'sfileinthetexteditor.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

SaveFile Savesthemodifiedfilefromtheselectedpane.

SaveFileAs Savesthefilefromtheselectedpanewithanewname.

SaveFileonFileSystemAs*Savesthefilefromtheselectedpanewithanewnameonthe

filesystem.

SaveFileonFTPSiteAs*Savesthefilefromtheselectedpanewithanewnameonan

FTPsite.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

TheEditmenu:

Undo Undoespreviousaction.

Redo Redoespreviouslyundoneaction.

CopytoRight[Left]*Copiesselectedrowstoindicatedside.

CopytoOtherSide Copiesselectedrowstooppositeside.Thecaptionandicon

appearas CopytoRight or CopytoLeft dependingonthe

currentside.

Cut/Copy/Paste/Delete Standardeditingcommands.

Insert Insertsnewrow.

Edit Toggleseditmodeoncurrentcell.

SelectAll Selectsallvisiblerowsinthecurrentpane.

TheSearchmenu:

NextDifferenceRow Positionsatnextdifferencerow.

PreviousDifferenceRow Positionsatpreviousdifferencerow.

NextDifferenceFiles Openstheparentfoldersession'snextpairoffileswith

differences.(Childsessionsonly.)

PreviousDifferenceFiles Openstheparentfoldersession'spreviouspairoffileswith

differences.(Childsessionsonly.)

CopyFiletoRightandOpen Copiestheentireleft-sidefiletotherightandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

CopyFiletoLeftandOpen Copiestheentireright-sidefiletotheleftandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

NextEdit Positionsatthenexteditedrowbeyondthecursor.

PreviousEdit Positionsatpreviouseditedrowbeforethecursor.

Find Searchesformatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

GoTo Positionsatspecifiedrowandcolumn.

TheViewmenu:

ShowAll Showsallrows,withorwithoutdifferences.

ShowDifferences Showsonlyrowswithdifferences.

ShowSame Showsonlyrowswithoutdifferences.

ShowNone*Hidesallrows.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

ResizeColumnstoFit Makescolumnswideenoughfordatatobefullyvisible.

Columns Showsorhidescolumns.

VisibleWhitespace Showsorhidesvisiblespaces,tabs.

RowNumbers Showsorhidesrownumbers.

DisplayFont*Selectsthefonttousetodisplayfiledata.

Side-by-sideLayout Arrangespanesleftandrightofeachother.

Over-underLayout Arrangespanesaboveandbeloweachother.

ThumbnailView Showsorhidesthethumbnailsummaryofchangesatleftof

view.

RowDetails Showsorhidestherowdetailspanelatbottomofview.

FileInfo Showsorhidesfileinformationpanelsatthetopofpanes.

*Hiddenbydefault.

HexCompareCommands

Followingisadescriptionofthe HexCompare commands,inadditiontothe commoncommands.

Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheHexCompare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyHexCompare.

SwapSides Exchangestheleftandrightfiles.

ReloadFiles Reloadsthedisplayedfiles.

RecompareFiles Recomparesthedisplayedfileswithoutreloading.

HexCompareReport Producesthe HexComparereport.

HexCompareInfo Displayscomparisonstatistics.

CompareFilesUsing Opensthedisplayedfilesinanewsessionusingadifferentclass

offileviewer.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentlyloadedfiles.

TheFilemenu:

OpenFile Opensanexistingfileintotheselectedpane.

OpenFileonFileSystem*Opensanexistinglocalfileintotheselectedpane.

OpenFileonFTPSite*OpensanexistingfileonanFTPsiteintotheselectedpane.

OpenClipboard LoadstheClipboardcontentsintotheselectedpane.

OpenwithTextEdit Openstheselectedpane'sfileinthetexteditor.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

TheSearchmenu:

NextDifferenceBytes Positionsatnextdifferencebytes.

PreviousDifferenceBytes Positionsatpreviousdifferencebytes.

NextDifferenceFiles Openstheparentfoldersession'snextpairoffileswith

differences.(Childsessionsonly.)

PreviousDifferenceFiles Openstheparentfoldersession'spreviouspairoffileswith

differences.(Childsessionsonly.)

CopyFiletoRightandOpen Copiestheentireleft-sidefiletotherightandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

CopyFiletoLeftandOpen Copiestheentireright-sidefiletotheleftandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

Find Searchesformatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

GoTo Positionsatspecifiedbyte.

TheViewmenu:

ShowAll Showsallitems,withorwithoutdifferences.

ShowDifferences Showsonlyitemswithdifferences.

ShowSame Showsonlyitemswithoutdifferences.

ShowNone*Hidesallitems.

CurrentByteAddress Showscurrentbyteaddress.

LittleEndianValues Listsvaluestreatingthefirstbyteastheleastsignificant

one.

BigEndianValues Listsvaluestreatingthefirstbyteasthemostsignificant

one.

ByteAddresses Showsorhidesbyteaddresses.

DisplayFont*Selectsthefonttousetodisplayfiledata.

Side-by-sideLayout Arrangespanesleftandrightofeachother.

Over-underLayout Arrangespanesaboveandbeloweachother.

ThumbnailView Showsorhidesthethumbnailsummaryofchangesatleft

ofview.

FileInfo Showsorhidesfileinformationpanelsatthetopofpanes.

P3CompareCommands

Followingisadescriptionofthe MP3Compare commands,inadditiontothe commoncommands.

Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheMP3Compare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyMP3Compare.

SwapSides Exchangestheleftandrightfiles.

ReloadFiles Reloadsthedisplayedfiles.

RecompareFiles Recomparesthedisplayedfileswithoutreloading.

MP3CompareReport Producesthe MP3Comparereport.

MP3CompareInfo Displayscomparisonstatistics.

CompareFilesUsing Opensthedisplayedfilesinanewsessionusingadifferentclass

offileviewer.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentlyloadedfiles.

PlayBoth Playsbothaudiotracks.

TheFilemenu:

OpenFile Opensanexistingfileintotheselectedpane.

OpenFileonFileSystem*Opensanexistinglocalfileintotheselectedpane.

OpenFileonFTPSite*OpensanexistingfileonanFTPsiteintotheselectedpane.

Play Playsaudiotrack.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

TheEditmenu:

Copy Copiesselectiontothe

Clipboard.

SelectAll Selectsallvisibleitemsinthe

currentpane.

TheSearchmenu:

NextDifferenceItem Positionsatnextdifferenceitem.

PreviousDifferenceItem Positionsatpreviousdifferenceitem.

NextDifferenceFiles Openstheparentfoldersession'snextpairoffileswith

differences.(Childsessionsonly.)

PreviousDifferenceFiles Openstheparentfoldersession'spreviouspairoffileswith

differences.(Childsessionsonly.)

CopyFiletoRightandOpen Copiestheentireleft-sidefiletotherightandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

CopyFiletoLeftandOpen Copiestheentireright-sidefiletotheleftandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

Find Searchesformatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

TheViewmenu:

ShowAll Showsallitems,withorwithoutdifferences.

ShowDifferences Showsonlyitemswithdifferences.

ShowSame Showsonlyitemswithoutdifferences.

ShowNone*Hidesallitems.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

ItemIsImportant Marksselecteditemasimportantorunimportant.

VisibleWhitespace Showsorhidesvisiblespaces,tabs.

DisplayFont*Selectsthefonttousetodisplayfiledata.

Side-by-sideLayout Arrangespanesleftandrightofeachother.

Over-underLayout Arrangespanesaboveandbeloweachother.

ItemDetails Showsorhidestheitemdetailspanelatbottomofview.

FileInfo Showsorhidesfileinformationpanelsatthetopofpanes.

ictureCompareCommands

Followingisadescriptionofthe PictureCompare commands,inadditiontothe commoncommands.

Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpensthePictureCompare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyPictureCompare.

SwapSides Exchangestheleftandrightfiles.

ReloadFiles Reloadsthedisplayedfiles.

RecompareFiles Recomparesthedisplayedfileswithoutreloading.

PictureCompareReport Producesthe PictureComparereport.

PictureCompareInfo Displayscomparisonstatistics.

CompareFilesUsing Opensthedisplayedfilesinanewsessionusingadifferentclass

offileviewer.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentlyloadedfiles.

TheFilemenu:

OpenFile Opensanexistingfileintotheselectedpane.

OpenFileonFileSystem*Opensanexistinglocalfileintotheselectedpane.

OpenFileonFTPSite*OpensanexistingfileonanFTPsiteintotheselectedpane.

OpenClipboard LoadstheClipboardcontentsintotheselectedpane.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

TheEditmenu:

Copy Copiesselectionto

theClipboard.

TheSearchmenu:

NextDifferenceFiles Openstheparentfoldersession'snextpairoffileswith

differences.(Childsessionsonly.)

PreviousDifferenceFiles Openstheparentfoldersession'spreviouspairoffileswith

differences.(Childsessionsonly.)

CopyFiletoRightandOpen Copiestheentireleft-sidefiletotherightandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

CopyFiletoLeftandOpen Copiestheentireright-sidefiletotheleftandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

TheViewmenu:

ToleranceMode Detectspixeldifferencesgreaterthanconfigurabletolerance.

MismatchRangeMode Measuresdegreeofpixeldifference.

BinaryOperationMode Performsbinaryoperation.

BlendMode Blendsimagesbasedonconfigurablepercentage.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

StretchtoSameSize Forcespicturestohavesameheightandwidth.

RotateClockwise Spinscurrentpicturetorightby90degrees.

RotateCounterclockwise Spinscurrentpicturetoleftby90degrees.

FlipHorizontally Swapspixelsofcurrentpicturerelativetoitshorizontalcenter.

FlipVertically Swapspixelsofcurrentpicturerelativetoitsverticalcenter.

ResetDifferenceOffset Realignstopleftcornerofbothpictures.

DifferenceSide-by-side Arrangespanesleftandrightofeachotherwithdifferencepane

Layout inmiddle.

DifferenceOver-underLayout Arrangespanesaboveandbeloweachotherwithdifference

paneinmiddle.

DifferenceUnderneathLayout Arrangesdifferencepanebelowleftandrightpanes.

OnlyDifferenceLayout Showsdifferencepaneandhidesleftandrightpanes.

Side-by-sideLayout Arrangespanesleftandrightofeachother.

Over-underLayout Arrangespanesaboveandbeloweachother.

FileInfo Showsorhidesfileinformationpanelsatthetopofpanes.

Zoom>ZoomIn Makespicturesappeartobelarger.

Zoom>ZoomOut Makespicturesappeartobesmaller.

Zoom>AutoZoom Makespicturesappeartofillpanes.

*Hiddenbydefault.

RegistryCompareCommands

Followingisadescriptionofthe RegistryCompare commands,inadditiontothe common

commands.Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheRegistryCompare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyRegistryCompare.

SwapSides Exchangestheleftandrightregistries.

UpOneLevel Setsparentofbasekeyasbasekey.

UpOneLevelonBothSides Setsparentofeachbasekeyasbasekey.

Reload Reloadsthedisplayedregistries.

Recompare Recomparesthedisplayedregistrieswithoutreloading.

RegistryCompareReport Producesthe RegistryComparereport.

RegistryCompareInfo Displayscomparisonstatistics.

CompareFilesUsing Opensthedisplayedfilesinanewsessionusingadifferentclass

offileviewer.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentlyloadedfiles.

TheFilemenu:

Open Opensaregistryintotheselectedpane.

OpenRegistry*Opensaliveregistryintotheselectedpane.

OpenRegistryFileonFile Opensanexistinglocalregistryfileintotheselectedpane.

System*

OpenRegistryFileonFTPSite OpensanexistingregistryfileonanFTPsiteintotheselected

*pane.

OpenwithTextEdit Openstheselectedpane'sfileinthetexteditor.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

TheEditmenu:

SetasBaseKeys Setsselectedkeysasbasekeys.

SetBothasBaseKeys Setsselectedkeyandkeyonothersideasbasekeys.

SetasBaseKeyonOtherSide Setsselectedkeyasbasekeyonotherside.

Undo Undoespreviousaction.

Redo Redoespreviouslyundoneaction.

CopytoRight[Left]*Copiesselecteditemstoindicatedside.

CopytoOtherSide Copiesselecteditemstooppositeside.Thecaptionandicon

appearas CopytoRight or CopytoLeft dependingonthe

currentside.

NewKey Addsanewkey.

NewValue Addsanewvalue.

Modify Modifiescurrentvalue.

Delete Deletesselecteditems.

Rename Renamescurrentitem.

CopyKeyName Copiescurrentkey'snametoClipboard.

Export Savescurrentkeyasregistryfile.

ExportAll Savesallkeysasregistryfile.

SelectAll Selectsallvisibleitemsinthecurrentpane.

TheSearchmenu:

NextDifferenceItem Positionsatnextdifferenceitem.

PreviousDifferenceItem Positionsatpreviousdifferenceitem.

NextDifferenceFiles Openstheparentfoldersession'snextpairoffileswith

differences.(Childsessionsonly.)

PreviousDifferenceFiles Openstheparentfoldersession'spreviouspairoffileswith

differences.(Childsessionsonly.)

CopyFiletoRightandOpen Copiestheentireleft-sidefiletotherightandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

CopyFiletoLeftandOpen Copiestheentireright-sidefiletotheleftandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

Find Searchesformatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

TheViewmenu:

ShowAll Showsallitems,withorwithoutdifferences.

ShowDifferences Showsonlyitemswithdifferences.

ShowSame Showsonlyitemswithoutdifferences.

ShowNone*Hidesallitems.

ExpandAll Opensallitems.

CollapseAll Closesallitems.

VisibleWhitespace Showsorhidesvisiblespaces,tabs.

DisplayFont*Selectsthefonttousetodisplayfiledata.

Side-by-sideLayout Arrangespanesleftandrightofeachother.

Over-underLayout Arrangespanesaboveandbeloweachother.

TextDetails Showsorhidesthetextdetailspanelatbottomofview.

HexDetails Showsorhidesthehexadecimaldetailspanelatbottom

ofview.

FileInfo Showsorhidesfileinformationpanelsatthetopof

panes.

VersionCompareCommands

Followingisadescriptionofthe VersionCompare commands,inadditiontothe common

commands.Mostofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheSessionmenu:

SaveSession Savesthecurrentsession.

SaveSessionAs Savesthecurrentsessionunderanewname.

SessionSettings OpenstheVersionCompare SessionSettingsdialog.

ClearSession ReplacesthecurrentviewwithanemptyVersionCompare.

SwapSides Exchangestheleftandrightfiles.

ReloadFiles Reloadsthedisplayedfiles.

RecompareFiles Recomparesthedisplayedfileswithoutreloading.

VersionCompareReport Producesthe VersionComparereport.

VersionCompareInfo Displayscomparisonstatistics.

CompareFilesUsing Opensthedisplayedfilesinanewsessionusingadifferentclass

offileviewer.

CompareParentFolders OpensanewFolderComparesessionbasedontheparent

foldersofthecurrentlyloadedfiles.

TheFilemenu:

OpenFile Opensanexistingfileintotheselectedpane.

OpenFileonFileSystem*Opensanexistinglocalfileintotheselectedpane.

OpenFileonFTPSite*OpensanexistingfileonanFTPsiteintotheselectedpane.

OpenWith Openstheselectedpane'sfileinoneoftheexternal OpenWith

applications.

Explorer Displaysthefilemanager'scontextmenuforthefileinthe

selectedpane.

TheEditmenu:

Copy Copiesselectiontothe

Clipboard.

SelectAll Selectsallvisibleitemsinthe

currentpane.

TheSearchmenu:

NextDifferenceItem Positionsatnextdifferenceitem.

PreviousDifferenceItem Positionsatpreviousdifferenceitem.

NextDifferenceFiles Openstheparentfoldersession'snextpairoffileswith

differences.(Childsessionsonly.)

PreviousDifferenceFiles Openstheparentfoldersession'spreviouspairoffileswith

differences.(Childsessionsonly.)

CopyFiletoRightandOpen Copiestheentireleft-sidefiletotherightandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

CopyFiletoLeftandOpen Copiestheentireright-sidefiletotheleftandopensthefolder

NextDifference session'snextdifferentfiles.(Childsessionsonly.)

Find Searchesformatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

TheViewmenu:

ShowAll Showsallitems,withorwithoutdifferences.

ShowDifferences Showsonlyitemswithdifferences.

ShowSame Showsonlyitemswithoutdifferences.

ShowNone*Hidesallitems.

IgnoreUnimportant Treatsunimportantdifferencesassame.

Differences

ItemIsImportant Marksselecteditemasimportantorunimportant.

VisibleWhitespace Showsorhidesvisiblespaces,tabs.

DisplayFont*Selectsthefonttousetodisplayfiledata.

Side-by-sideLayout Arrangespanesleftandrightofeachother.

Over-underLayout Arrangespanesaboveandbeloweachother.

ItemDetails Showsorhidestheitemdetailspanelatbottomofview.

FileInfo Showsorhidesfileinformationpanelsatthetopofpanes.

Followingisadescriptionofthe TextEdit commands,inadditiontothe commoncommands.Most

ofthesecommandsareavailableastoolbarbuttons.

Fromthe Tools menu,select CustomizeCommands todefineyourownkeyboardshortcuts,and

hideorexposecommandsonthemenusandtoolbars.

TheFilemenu:

NewFile Opensanemptyfile.

OpenFile Opensanexistingfile.

OpenFileonFileSystem*Opensanexistinglocalfile.

OpenFileonFTPSite*OpensanexistingfileonanFTPsite.

OpenWith Opensfileinoneoftheexternal OpenWith applications.

SaveFile Savesthemodifiedfile.

SaveFileAs Savesthefilewithanewname.

SaveFileonFileSystemAs*Savesthefilewithanewnameonthefilesystem.

SaveFileonFTPSiteAs*SavesthefilewithanewnameonanFTPsite.

Explorer Displaysthefilemanager'scontextmenuforthefile.

CheckIn Appearsifa sourcecontrolprovider hasbeenconfiguredand

thefileisundersourcecontrol.

CheckOut

UndoCheckOut

TheEditmenu:

Undo Undoespreviousaction.

Redo Redoespreviouslyundoneaction.

IncreaseIndent Increasesindentationofselectedlines.

DecreaseIndent Decreasesindentationofselectedlines.

Cut/Copy/Paste/Delete Standardeditingcommands.

DeleteLine*Deletesthecurrentline.

DeletetoStartofLine*Deletestextfromthecurrentpositiontothebeginningofthe

line.

DeletetoEndofLine*Deletestextfromthecurrentpositiontotheendoftheline.

DeleteWord*Deletesthewordatthecurrentposition.

DeletetoStartofWord*Deletesfromthecurrentpositiontothebeginningoftheword.

DeletetoEndofWord*Deletesfromthecurrentpositiontotheendoftheword.

InsertLineBefore*Insertsanewblanklinebeforethecurrentline.

InsertLineAfter*Insertsanewblanklineafterthecurrentline.

SelectAll Selectsallvisiblelines.

ConvertFile>Stripsoffspacesandtabcharactersatendoflines.

TrimTrailingWhitespace

ConvertFile>Replacesspacesatthebeginningoflineswiththeappropriate

LeadingSpacestoTabs numberoftabcharacters(basedoncurrenttabstopsetting).

ConvertFile>Replacesalltabcharacterswiththeappropriatenumberof

TabsToSpaces spacecharacters(basedoncurrenttabstopsetting).

ConvertFile>Changesthelineendingstyleonalllines.(Windows/DOS=

LineEndings CR+LF,Unix=LFonly,Macintosh=CRonly)

TheSearchmenu:

NextEdit Positionsatthenexteditedlinebeyondthecursor.

PreviousEdit Positionsatpreviouseditedlinebeforethecursor.

Find Searchesformatchingtext.

Replace Replacesmatchingtext.

FindNext Findsnextoccurrenceofsearchstring.

FindPrevious Findspreviousoccurrenceofsearchstring.

FindinFiles Findssearchstringinmultiplefiles.

GoTo Positionsatspecifiedlineandcolumn.

ToggleBookmark Placesanumberedmarkeronthecurrentlineofthe

comparison,numberedfrom0to9.

GoToBookmark Repositionsatthespecifiedbookmark.

ClearBookmarks Removesallbookmarksfromthecomparison.

TheViewmenu:

VisibleWhitespace Showsorhidesvisiblespaces,tabs.

LineNumbers Showsorhideslinenumbers.

SyntaxHighlighting Showsorhidessyntaxhighlighting.

DisplayFont*Selectsthefonttouseineditorpane.

Webpages Showsorhideswebbrowserpanelthatdisplaysthecurrentfile

asawebpage.

FileInfo Showsorhidesfileinformationpanelsatthetopofeditor panes.


Odkazy příkazového řádku

Parametry příkazového řádku

Všimněte si, že každý parametr, který obsahuje mezery, musí být uzavřen do uvozovek.

Parametr Význam

Jméno relace otevření specifikované relace v odpovídajícím náhledu, např.:

                       BCompare.exe "My Session"

Jméno pracovního prostoru otevření specifikovaného pracovního prostoru, viz také správa pracovního prostoru, např.: BCompare.exe "My Special Workspace"

Dvě složky otevření náhledu porovnávání složek se specifikovanými základními složkami, např.: BCompare.exe C:\Folder1 C:\Folder2

Dva soubory otevření náhledu specifikovaných souborů, např.:

                        BCompare.exe C:\File1.ext C:\File2.ext

3 soubory [image] otevření náhledu slučovaných souborů v levém, centrálním a pravém panelu, např.:
BCompare.exe C:\Left.ext C:\Right.ext C:\Center.ext

4 soubory [image] otevření náhledu slučovaných souborů v levém, centrálním, pravém a výstupním panelu, např.:
BCompare.exe C:\Left.ext C:\Right.ext C:\Center.ext C:\Output.ext

Skriptovací soubor automaticky spouštěný seznam příkazů bez náhledu, např.:
BCompare.exe "@C:\My Script.txt"

Přepínače příkazového řádku

Poznámka: Uživatelé Linuxu by měli používat prefix přepínač "-" namísto "/".

Přepínač Význam

/?                                       Zobrazení příkazového řádku dokumentace.

/automerge [image]                                  Bez interakce s uživatelem automaticky sloučí soubory, pokud nejsou v konfliktu.

/bds <filename>                                Výzvy k porovnání uvolněných předchozích verzí, nacházejících se ve složce CodeGear RAD Studio/Borland Developer Studio “__history”. Přidejte je v nabídce IDE Tools jako parametr "/BDS $SAVE $EDNAME" nebo použijte Beyond Compare IDE Expert od JED Software, uvolněný na

www.jed-software.com.

/closescript                                   Zavření okna skriptu po dokončení. Použití “override” pro nastavení Close when finished v Tools > Options > Scripts.

/edit                                    Otevření náhledu v textovém editoru.

/expandall                                     Otevře všechny podsložky během initializace porovnávání složek.

/favorleft

/favorright [image]                                 Vykreslení nekonfliktní změny na výstupu “oblíbené” strany bez barev nebo částí řádku. Pro ignorování nedůležitých změn, automaticky zamění “oblíbenou” stranu centrem.

/filters=<file masks>                          Použití specifického jména filtru pro initializaci složky porovnání. Vícenásobné masky souborů se oddělují pomlčkami. Jména filtrů, pokud obsahují mezery, je třeba umístit do uvozovek.

/force [image]                                      Zápis konfliktů na výstupu v CVS-stylu, pokud je přítomen parametr /automerge.

/fv=<type>, /fileviewer=<type>          Otevření nového náhledu specifikovaného typu:

                                         "Text Compare"

                                         "Text Merge"

                                         "Data Compare"

                                         "Hex Compare"

                                         "MP3 Compare"

                                         "Picture Compare"

                                         "Registry Compare"

                                               "Version Compare"

/iu, /ignoreunimportant                        Zapnutí Ignore Unimportant Differences, pokud je přítomen parametr /automerge.

/mergeoutput=<filename> [image]                     Explicite určuje výstupní soubor pro sloučení.

/nobackups                               Zabránění vytvoření záložního souboru.

/qc=<type>, /quickcompare=<type>               Provádí rychlé porovnávání dvou souborů a nastavuje úroveň DOS chyby na výstupu. Specifikovaný typ size, crc nebo binary. Jestliže typ není specifikován, budou provedena základní porovnávací pravidla. Úrovně chyb jsou specifikované níže.

/reviewconflicts [image]                            Otevření náhledu slučování textů, pokud parametr /automerge je uveden a konflikty byly nalezeny.

/ro, /readonly                           Zákaz úprav všech stran.

/ro1, /lro, /leftreadonly

/ro2, /rro, /rightreadonly               Zákaz editace příslušné strany

/savetarget=<filename>                         Přepsání zadaného souboru namísto původního, pokud byl použit příkaz Save.

/silent                                        Způsobí, že skript bude zpracován neviditelně mimo vstupní panel úloh a mimo okna stavu skriptu. Všechna ovládání budou potlačena, takže nevyřešené problémy, které by normálně byly zobrazeny formou výstupu chyby, budou namísto toho v protokolu.

/solo                                    Vynucená nová instance programu

/sync                                    Otevření náhledu synchronizace složek

/title1=<title>, /lefttitle=<title>

/title2=<title>, /righttitle=<title>

/title3=<title>, /centertitle=<title>

/title4=<title>, /outputtitle=<title>    Zobrazení specifického popisu příslušné editační cesty.

/vcs1=<path>, /vcsleft=<path>

/vcs2=<path>, /vcsright=<path>

/vcs3=<path>, /vcscenter=<path>

/vcs4=<path>, /vcsoutput=<path>                Zobrazení specifické cesty verze řídícího systému příslušné editační cesty, pokud byl zadán její název. Pro náhled souboru je specifikovaná cesta k použití ve vhodném formátu.

Úrovně chyb výstupu pro DOS

Úroveň Význam

0 úspěch

1 binární shoda

2 shodná základní pravidla

11 binární rozdíly

12 podobné

13 rozdílná základní pravidla

14 zjistěn konflikt

100 neznámá chyba

101 zjištěn konflikt, soubor sloušení nezapsán

102 BComp.exe nemůže čekat na ukončení BCompare.exe

103 BComp.exe nemůže najít BCompare.exe

104 uplynula zkušební lhůta

105 chyba načítání souboru skriptu

106 syntaktická chyba skriptu

107 skriptu se nepodařilo načíst složku nebo soubor

Příkazový řádek výkonných souborů

Výkon Význam

BCompare.exe Toto je hlavní aplikace. Pouze jedna kopie může být spuštěna bez ohledu na to, kolik oken máte otevřených. Chcete-li spustit další kopii, bude tato druhá kopie spuštěna, ale první bude bezprostředně ukončena.

BComp.exe Jde o program GUI Win32. Pokud je spuštěn pod OS, bude v pořádku fungovat. Pokud bude spuštěn v okně příkazového řádku konzole (nebo pomocí dávkového souboru), nebude čekat “na nic” (nelze ho z konzole ovládat)

BComp.com Jde o konzolový program Win32. Musí být spoušten z konzole. Pokud ho z ní spustíte (nebo pomocí dávkového souboru), konzole bude čekat na kompletní ukončení porovnávání. Spustíte-li ho v OS interaktivně, zobrazí okno konzole, a dál bude čekat.


Odkazy na skripty

Skript je jednoduchý textový soubor, který obsahuje seznam příkazů ovládaných programem a který automaticky provádí operace se soubory a vytváří zprávy. Viz také automatizace skriptů a ukázky skriptů.

Můžete použít lt místo left nebo rt místo right v každém z těchto příkazů.

Zde jsou příkazy skriptů (v abecedním pořadí):

attrib, beep, collapse, compare, copy, copyto, criteria, data-report, delete, expand, file-report, filter, folder-report, hex-report, load, log, move, mp3-report, option, picture-report, registry-report, rename, select, snapshot, sync, text-report, touch, version-report.

ATTRIB

Použití:

attrib (+|-)<attrib set 1> [(+|-)<attrib set 2> <...>]

Nastavení (+) nebo odstranění (-) atributů DOS souborů v aktuálním výběru. Nastavení atributu může obsahovat atribut archivace (a), systémový (s), skrytí (h) a “read-only” (r). Pouze ve Windows implementaci. Verze Linux ATTRIB nezná.

Příklady:

attrib +h

attrib +sh -a

BEEP

Použití:

beep

Pípnutí PC reproduktoru. K pípnutí dochází bez ohledu na přepínač /silent příkazového řádku.

COLLAPSE

Použití:

collapse all

collapse <path> [<path> [...]]

Sbalí všechny složky nebo složky s konkrétními cestami. Cesty jsou relativní k základní složce a nemohou obsahovat zástupné znaky.

Příklad:

collapse "Folder 1" Folder2\SubFolder

COMPARE

Použití:

compare [CRC|binary|rules-based]

Porovná obsah aktuálního výběru pomocí porovnání obsahu. Ve výchozím nastavení je používaný nejposlednější typ porovnávání.

Tento příkaz porovnává soubory pouze jednou. Chcete-li změnit způsob, jakým jsou soubory po porovnávání upravovány, použijte příkaz criteria.

COPY

Použití:

copy (left->right|right->left)

Kopíruje vybrané soubory/složky v naznačeném směru.

COPYTO

Použití:

copyto [left|right|all] [path:(relative|base|none)] <path>

Zkopíruje vybrané soubory/složky na specifikovanou stranu zadáním cesty. base mapuje celou strukturu složek relativně k základní složce všech vybraných položek. relative mapuje minimální relativní strukturu složek všech vybraných položek.

Ve výchozím nastavení platí all a path:none.

CRITERIA

použití:

criteria [attrib:<attrib set>] [version] \

        [timestamp[:[#sec][;IgnoreDST]]] \

        [size|CRC|binary|rules-based] \

        [timezone:(ignore|(left|right)(+|-)<0..12>)]

Lze nastavit všechna kriteria porovnávání.

· attrib umožňuje porovnávat uvedené atributy souborů DOS. Použijte a pro archivaci, s pro systém, h pro skrytí a r pro “read-only”. Realizováno pouze ve [image] Windows. Verze Linux attrib nezná.

· version umožní porovnávat informace o verzích mezi “.exe” a “.dll”.

· timestamp umožní porovnávat časová razítka.

o#sec považuje rozdíly v toleranci sekund za shodu.

o IgnoreDST považuje rozdíly v toleranci přesně jedné hodiny za shodu.

· size, CRC, binary a rules-based jsou možnosti pro porovnávání obsahů.

· timezone ignoruje časové rozdíly a aplikuje “offset” časového pásma na zadanou stranu.

Příklad:

criteria attrib:sh timestamp:2sec;IgnoreDST rules-based timezone:left+6

DATA-REPORT

Použití:

data-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o porovnávání dat aktuálně vybraných souborů.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side, summary nebo

interleaved.

· options volitelný a používaný pro každé rozvržení.

o    ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech

rozvrženích.

o    display-all, display-mismatches nebo display-matches lze určit, které řádky porovnávání jsou zahrnuty ve všech rozvrženích kromě summary. Ve výchozím nastavení je použito display-all.

o    line-numbers vkládá čísla řádků při rozvržení side-by-side.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

DELETE

Použití:

delete [recyclebin=(yes|no)] (left|right|all)

Odstraní aktuálně vybrané soubory/složky na určené straně. Argument recyclebin má vliv tehdy, je-li podporován v OS Windows. Windows neodstraňuje prvky ze síťových disků, z FTP serverů ani z archivů.

EXPAND

Použití:

expand <path> [<path> [...]]

expand all

Rozšiřuje určené podsložky nebo všechny podsložky. Cesty jsou relativní k základní složce a nemohou obsahovat zástupné znaky. Podsložky, musí být rozšířovány tak, aby jejich obsah mohly používat ostatní příkazy, jako je např. select. expand all nebude rozšiřovat podsložky, které byly vyloučeny z porovnávání souborů nastavením filtrů souborů.

FILE-REPORT

Použití:

file-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o aktuálně vybraných souborech podle typu zpracovávaných souborů. Např. to bude produkovat zprávu DATA-REPORT pro typy souborů, asociované s formátem souborů při porovnávání.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side nebo summary.

· options volitelný a používaný pro každé rozvržení.

o    ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech

rozvrženích.

o    display-all, display-mismatches nebo display-matches lze určit, které řádky porovnávání jsou zahrnuty ve všech rozvrženích kromě summary. Ve výchozím nastavení je použito display-all.

o    line-numbers vkládá čísla řádků při rozvržení side-by-side.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

Příklad:

file-report layout:side-by-side options:display-mismatches output-to:printer &

            output-options:print-color,wrap-word

FILTER

Použití:

filter <file masks>

filter cutoff:([<|>](<timestamp>|#[days])|none)

filter attrib:((+|-)<attrib set>|none)

filter size:([<|>]#[KB|MB|GB|TB]|none)

Řízení složek a typů souborů, které jsou porovnávány s použitím jmen filtrů(viz masky souborů), filtrování dat (cutoff) nebo jiné filtrování (attrib nebo size).

· Vkládání a vylučování jmen filtrů souborů a složek na základě jejich jmen a cest. Více masek může být oddělováno středníkem. Pro indikaci vylučované masky se před ní použije minus (-). Pro indikaci vlivu masky na složky se použije koncové lomítko (\).

· cutoff vylučuje všechny soubory starší (<) nebo novější (>) než časové razítko nebo podle počtu dní od aktuálního systémového datumu(#days). Ve výchozím nastavení je použito cutoff:<. none může být použito k odstranění data filtrování. Datum analýzy je poměrně volný, ale pokud chcete mít jistotu, že analýza proběhne správně, používejte formát uvedený v místním nastavení OS.(Viz Control Panel > Regional and Language Settings.) Čas je volitelný a je nutné dodržovat formát datumu(cutoff:”01/01/2001 12:00pm”). Nezapomeňte, pokud výraz obsahuje mezery, použít uvozovky (“”).

· attrib omezuje porovnávání na soubory, které byly zařazeny s atributy souborů DOS (+) a nemají atributy vyloučené (-). none může být použito k odstranění atributů filtrování. Použijte a pro archivaci, s pro systém, h pro skrytí a r pro “read-only”. Realizováno pouze ve [image] Windows. Verze Linux attrib nezná.

· size vylučuje všechny soubory menší (<) nebo větší (>), než je daná velikost. Ve výchozím nastavení je velikost uvedena v byte, ale můžete zadávat KB, MB nebo GB pro informaci, že je hodnota v kilobyte, megabyte, GB nebo TB. none může být použito k odstranění filtrování podle velikosti.

Příklady:

filter "*.pas;*.dpr;*.dfm"

filter cutoff:<7days

filter cutoff:>"Jan 1, 2001"

filter cutoff:"01/01/2001 12:00pm"

filter attrib:-sh

filter "*.txt;-Recycle Bin\" attrib:+r

FOLDER-REPORT

Použití:

folder-report layout:<layout> [options:<options>] \

              [title:<report title>] \

              output-to:(printer|clipboard|<filename>) \

              [output-options:<options>]

Generuje zprávu o porovnávání aktuálně načtených základních složek.Složky jsou uvedeny v aktuálním stavu. Chcete-li zahrnout podsložky, přidejte před tím příkaz expand all.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side, summary nebo xml.

· options volitelný a používaný pro každé rozvržení.

o”Flag” zobrazovacích filtrů určují, které souboru jsou zahrnuté do zprávy. Možné hodnoty jsou display-all, display-mismatches, display-no-orphans, display-mismatches-no-orphans, display-orphans, display-left-newer, display-right-newer, display-left-newer-orphans, display-right-newer-orphans a display-matches. Ve výchozím nastavení je použito display-all.

odo zprávy mohou být pomocí “flag” column-version, column-size, column-crc, column-timestamp, column-attributes, column-group, column-owner and column-vcs volitelně zahrnuty sloupce oddělené čárkami. Ve výchozím nastavení je použito column-size a column-timestamp. column-none může být použito pro samotné odstranění výchozího sloupce.

· title, output-to a output-options jsou argumenty dokumentace, viz společné argumenty zpráv.

Příklady:

folder-report layout:side-by-side &

              options:column-size,column-version,column-timestamp &

              output-to:clipboard output-options:html-color

folder-report layout:xml output-to:"C:\Folder Report.xml"

HEX-REPORT

Použití:

hex-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o hedecimálním porovnávání aktuálně vybraných souborů.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side, summary nebo

interleaved.

· options volitelný a používaný pro každé rozvržení.

o  ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech

rozvrženích.

o  display-all, display-mismatches nebo display-matches lze určit, které řádky porovnávání jsou zahrnuty ve všech rozvrženích kromě summary. Ve výchozím nastavení je použito display-all.

o  line-numbers vkládá čísla řádků při rozvržení side-by-side.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

LOAD

Použití:

load <session>

load [create:(all|left|right)] <left path> [<right path>]

load <default>

Načte určenou relaci porovnávání složek, se specifikovanými základními složkami nebo novou relaci porovnávání složek s výchozím nastavením (load <default>). Chybné načtení základní složky způsobí ukončení skriptu.

· Načtení relace, které způsobí, že všechna nastavení relace, kromě filtru zobrazení (zobrazit všechny, pouze neshody, pouze shody, atd.), budou použity.

· Načtení základní složky použitím aktuálního aktivního nastavení. Ve výchozím nastavení platí výchozí parametry programu.

· Volitelné create vytvoří základní složku, pokud ještě neexistuje.

Příklady:

load "MySession"

load "c:\project 1" "x:\project 1"

load <default>

LOG

Použití:

log [none|normal|verbose] [[append:]<filename>]

Řídí jak detaily tak i umístění protokolu.

· none, normal a verbose určují detaily použité v protokolu. Protokolování je zpočátku vypnuté a začíná se změnou režimu na režim různý od none.

· append: způsobí, že místo přidání do protokolu bude protokol nahrazen. Ve výchozím nastavení protokolu je prováděn výstup do Log.txt v aktuálním adresáři (např. do Windows složky "Start in" uvedené ve vlastnostech zástupce).

MOVE

Použití:

move (left->right|right->left)

Přesune vybrané soubory/složky v předepsaném směru.

MP3-REPORT

Použití:

mp3-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o porovnávání MP3 aktuálně vybraných souborů.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side nebo summary.

· options volitelný a používaný pro každé rozvržení.

o  ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech

rozvrženích.

o  display-all, display-mismatches nebo display-matches lze určit, které řádky porovnávání jsou zahrnuty ve všech rozvrženích kromě summary. Ve výchozím nastavení je použito display-all.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

OPTION

Použití:

option stop-on-error

option confirm:(prompt|yes-to-all|no-to-all)

Nastavuje volby průběhu skriptu.

· stop-on-error slouží pro sledování různých chybových stavů skriptu, včetně chyb operací se soubory. Pokud nastanou, vyzve uživatele před dalším pokračováním.

· confirm může použít prompt, yes-to-all nebo no-to-all pro zpracování potvrzení dialogu, které se vyskytují v důsledku operací se soubory. Ve výchozím nastavení se používá prompt.

PICTURE-REPORT

Použití:

picture-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o porovnávání obrazů aktuálně vybraných souborů.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side nebo summary.

· options volitelný a používaný pro každé rozvržení.

o  ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech rozvrženích.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

REGISTRY-REPORT

Použití:

registry-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o porovnávání Registry aktuálně vybraných souborů.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side nebo summary.

· options volitelný a používaný pro každé rozvržení.

o  ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech

rozvrženích.

o  display-all, display-mismatches nebo display-matches lze určit, které řádky porovnávání jsou zahrnuty ve všech rozvrženích kromě summary. Ve výchozím nastavení je použito display-all.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

RENAME

Použití:

rename [regexpr <old mask>] <new mask>

Provádí přejmenování na aktuálním výběru pomocí zadané nové masky. regexpr používá k přejmenování starou masku “regulárních výrazů”. Ve výchozím nastavení se provádí přejmenovávání ve stylu DOS.

Examples:

rename *.bak

rename regexpr (...)(...)\.txt $2$1.txt

SELECT

Použití:

select <select mask 1> [<select mask 2> <...>]

Výběr řídích prvků určujících, které soubory a složky mohou být provozovány pro operace. Pouze soubory a složky, které odpovídají alespoň jedné z masek výběru, budou součástí výběru. Maska výběru má tvar [<side>.][<difference>.][<item>].

· Strany (left, right, all) omezují výběr na specifikovanou stranu. Ve výchozím nastavení se užívá all.

· Rozdíl (exact, diff, newer, older, orphan, all) omezuje výběr na základě výsledků porovnávání. diff se týká rozdílů stanovených podle jiných kritérií, než je časové razítko. Chcete-li porovnat časově, použijte newer nebo older. Složky musí obsahovat pouze specifikované typy výsledků, aby výber byl efektivní. Ve výchozím nastavení se užívá all.

· Položky (files, folders, all) omezují výběr souborů, složek nebo obojího. Ve výchozím nastavení se užívá all. empty.folders je speciální maska výběru pázdných složek.

Příklady:

select left.files right.orphan.folders

select all

select left.all

select left.files.all

select diff

SNAPSHOT

Použití:

snapshot [save-crc][save-version][expand-archives][follow-symlinks][no-filters] \

        left|right|path:<path> [output:<target>]

Uloží pouze “read-only” snímky specifikovaných složek.

· save-crc vypočítá CRC pro všechny soubory a uloží je jako součást snímku.

· save-version ukládá informace o verzích spustitelných souborů.

· expand-archives uloží expandovaný obsah archivů.

· follow-symlinks ukládá soubory a složky, na který ukazuje symbolický odkaz.

· no-filters uloží všechny soubory bez ohledu na aktivní filtry souborů.

· left, right a path určuje, které složky budou ukládány. left nebo right bude ukládat snímek jedné ze základních načtených složek, path bude ukládat cestu zadaného snímku.

· output je volitelný a určuje, kam bude snímek uložen. Ve výchozím nastavení bude uložen v aktuální složce.

oje-li cílem úplný název souboru, bude tvořit název snímku. Pokud nebude mít rozšíření, bude použito “.bcss“.

opokud cíl není součástí nebo se vztahuje na složku souboru, bude jméno generováno na základě zdrojové složky a aktuální systémového datumu, např. složka_2000-12-31.bcss. V případě potřeby bude přidáno další číslo do vytvořené jméno, aby nebyly přepsány existující snímky.

Příklady:

snapshot save-crc save-version no-filters path:C:\ output:D:\

snapshot left output:"Home Copy.bcss"

SYNC

Použití:

sync [visible][create-empty] (update|mirror):(left->right|right->left|all)

Synchronizuje složky kopírováním a odstraňováním souborů. Tento příkaz nepoužívá aktuální výběr.

· visible možnost zobrazit "pouze viditelné soubory". Ovlivněny budou pouze soubory v rozvinutých složkách.

· create-empty umožňuje "vytvoření prázdných složek".

· update aktualizace novější a “osamělých” souborů v daném směru, takže “osamělé” a novější soubory na protější straně zůstanou beze změny. Použitím all pak proběhnou kopie novějších a “osamocených” souborů v obou směrech.

· mirror způsobí, že cílová složka bude identická. Novější, starší, jiné i “osamocené” soubory budou zkopírovány na cíl. “Osamělé” soubory v cíli budou odstraněny. all v tomto kontextu neplatí.

Příklad:

sync create-empty mirror:left->right

TEXT-REPORT

Usage:

text-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o porovnávání textů aktuálně vybraných souborů.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side, summary nebo interleaved, patch, statistics nebo xml. Odmítnutá rozvržení over-under a composite mohou být nahrazena interleaved.

· options volitelný a používaný pro každé rozvržení.

o ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech

rozvrženích.

o display-all, display-mismatches nebo display-matches lze určit, které řádky

porovnávání jsou zahrnuty ve všech rozvrženích kromě summary, patch a

statistics. Ve výchozím nastavení je použito display-all.

o line-numbers vkládá čísla řádků při rozvržení side-by-side.

o strikeout-left-orphans pouze křižující se řádky zleva v rozvržení interleaved.

o strikeout-right-orphans pouze křižující se řádky zprava v rozvržení interleaved.

o patch-normal, patch-context nebo patch-unified formáty jsou k dispozici v rozvržení

patch. Ve výchozím nastavení je použito patch-normal.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

Odmítnutí volby stats-descriptive bude místo toho generovat souhrnnou zprávu s po varování protokol. Odmítnutí volby stats-tabular je v rozvržení statistics ignorováno: rozvržení statistics je vždy tabulkové (CSV).

Příklady:

text-report layout:interleaved options:display-context output-to:printer &

            output-options:print-color,wrap-word

text-report layout:patch options:patch-unified &

            output-to:"reports\report.txt"

TOUCH

Použití:

touch (left->right|right->left)

touch (left|right|all):(now|<timestamp>)

Kopíruje časová razítka souborů jedné strany na druhou nebo nastavuje do časových razítek všech souborů na určené straně aktuální systémový čas (now) nebo specifikovaný čas. Soubory, kterých se to bude týkat, musíte vybrat předem.

VERSION-REPORT

Použití:

version-report layout:<layout> [options:<options>] \

            [title:<report title>] \

            output-to:(printer|clipboard|<filename>) \

            [output-options:<options>] [<filename1> <filename2>]

Generuje zprávu o porovnávání verzí aktuálně vybraných souborů.

· layout vzhledu řídících prvků sestavy ve tvaru side-by-side nebo summary.

· options volitelný a používáno pro každé rozvržení.

 o ignore-unimportant zacházení s nedůležitými shodami textu. Je dostupné ve všech

rozvrženích.

   o display-all, display-mismatches nebo display-matches lze určit, které řádky

porovnávání jsou zahrnuty ve všech rozvrženích kromě summary. Ve výchozím

nastavení je použito display-all.

 o line-numbers vkládá čísla řádků při rozvržení side-by-side.

· title, output-to a output-options – jsou argumenty dokumentace, viz společné argumenty zpráv.

Společné argumenty zpráv

Příkazy zprávy (data-report, file-report, folder-report, hex-report, mp3-report, pix-report, registry-report, text-report and version-report) musí obsahovat informace o tom, kde byla zpráva odeslána a mohou obsahovat další informace o výstupním formátu.

· title nastaví titulek, který se objeví v horní části zprávy.

· output-to ovládání cíle výstupu. Může to být printer, clipboard nebo jméno souboru.

· output-options je volitelná a je užíváno různě pro každý cíl výstup.

o   print-color nebo print-mono jsou barevná schémata dostupná pro printer výstup. Ve

výchozím nastavení je použito print-mono.

o   print-portrait nebo print-landscape je orientace dostupná pro printer výstup. Ve

výchozím nastavení je použito print-portrait.

o   wrap-none, wrap-character nebo wrap-word řídí zabalování dlouhých

řádků. Možnost printer může být použita ve všech třech případech. Při HTML výstupy

lze použít wrap-none a wrap-word. Ve výchozím nastavení je použito wrap-none.

o   html-color, html-mono nebo html-custom=<filename> šablony jsou dostupná pro

clipboard a file výstupy. Jestliže je do html-custom vložena URL nebo cesta, bude

používána u externích HTML šablon. Ve výchozím nastavení je použito html-mono.

Příklady:

data-report layout:interleaved output-to:printer &

            output-options:print-color,print-landscape

file-report layout:summary output-to:clipboard &

            output-options:wrap-word,html-color

text-report layout:patch options:patch-unified &

            output-to:"reports\report.txt"


Regulární výrazy jsou mocný způsob definování vzorců pro vyhledávání a porovnávání. Beyond Compare umožňuje používat regulární výrazy při vyhledávání pomocí textu a při určování pravidel pro klasifikaci textu. Regulární výraz podporovaný v Beyond Compare je podmnožinou syntaxe Perl Compatible Regular Expression (PCRE).

Protože regulární výrazy mohou představovat složité téma, jsou zde o nich uvedené některé vynikající prameny. Jedním z takových zdrojů je kniha s názvem Mastering Regular Expression. Dalším vynikajícím zdrojem je Steve Mansour´s Tao o regulárních výrazech, jehož kopii lze nalézt na:

www.scootersoftware.com/RegEx.html

Regulární výraz se skládá ze dvou typů znaků - normálních znaků a metaznaků. Při provádění shody, metaznaky nabývají zvláštní význam, řídí proces prověřování shody a slouží jako zástupné znaky. Normální znaky vždy odpovídají pouze sami sobě. Před metaznaky, aby nenastala záměna s normálními znaky, se staví zpětné lomítko "\". Několik typů metaznaků viz níže níže.

Metacharacters - Escape Sequences

Escape sekvenceVýznam

\xnn znak v hexadecimálním kódu nn

\x{nnnn} znak v hexadecimálním kódu nnnn

\x{F000} znak s hodnotou null

\t tabulátor (0x09)

\f přechod na “novou stránku” (0x0C)

\a zvonek (0x07)

\e ESC (0x1B)

Metaznaky – předdefinované třídy

Předdefinované třídy znaků se shodují s určitými podmnožinami znaků. Následující skupiny jsou již definované pro vás.

TřídaVýznam

. shoda s libovolným znakem

\w jakýkoliv alfanumerický znak nebo _

\W jakýkoliv nealfanumerický znak

\d jakýkoliv numerický znak (0-9)

\D jakýkoliv nenumerický znak

\s jakýkoliv “bílý” znak (mezera, tabulátor)

Můžete si také sestavit vlastní třídy znaků obklopené znaky hranatých závorek “[]”. Předdefinované třídy (vyjma “.”) mohou být použité v závorkách, a objeví-li se mezi dvěma znaky pomlčka “-“, představuje to celou řadu znaků. Takže [a-z] představuje všechna malá písmena, a [a-zA-Z] znamená malá i velká písmena. Chcete-li zahrnout i “-“ do rámce třídy, umístěte ho na začátek nebo konec řetězce.

Pokud první znak v závorkách je “stříška” (“^”), pak třída reprezentuje všechny znaky kromě zadaných. [^a-z] se shoduje s libovolným znakem, který není znakem malého písmene abecedy.

Metaznaky – alternativy

Zadáním znaku “|” mezi dvě skupiny prvků je reprezentována alternativní shoda. a|b bude odpovídat buď a nebo b. ab|cd se bude shodovat s “ab” nebo s “cd”, ale ne s “ac”. “|" znak vzorky odděluje (začínají znakem “(“, “[“ nebo jsou přímo vzorkem) od sebe postupně až ke konečnému vzorku. Alternativy mohou být umístěny v závorkách “()”, aby bylo zřejmé, co se porovnává, jako je např. (bc|de)f. Alternativy jsou porovnávány zleva doprava. bey|beyond se bude shodovat pouze s bey, a to i v případě, když řetězec je “beyond”.

Metaznaky – pozice

Následující metaznaky řídí, kde může v řádku dojít ke shodě. Poznámka: \A a \Z hledá shody od počátku do konce příslušného textu, ale protože Beyond Compare provádí hledání typu řádek po řádku, má to ten samý účinek jako ^ a $.

Metaznak Význam

^ shoda pouze na začátku řádku

$ shoda pouze na konci řádku

Metaznaky – iterace

Vše v regulárním výrazu může následovat metaznak iterace, který odkazuje na bod před ním. K dispozici jsou dva druhy iterátorů - riskový a neriskový. Riskové iterátory mohou opakovat shody kolikrát chtějí, neriskové jen pokud mohou.

Riskování:

Metaznak Význam

* shoda v žádném nebo více předcházejícíh znacích (ekvivalent k {0,})

+ shoda v jednom nebo více předcházejícíh znacích (ekvivalent k {1,})

? shoda žádná nebo jednou (ekvivalent k {0,1})

{n} shoda přesně n-krát (ekvivalent k {n,n})

{n,} shoda n-krát nebo vícekrát

{n,m} shoda nejméně n-krát, ale ne víckrát než m-krát

Neriskování:

Metaznak Význam

*? shoda žádná nebo vícekrát

+? shoda jednou nebo vícekrát

?? shoda žádná nebo jednou

{n}? shoda přesně n-krát

{n,}? shoda nejméně n-krát

{n,m}? shoda nejméně n-krát, ale ne víckrát než m-krát

Metaznaky – podvýrazy

Závorky “()” mohou být také použity pro skupiny znaků s ​​iterátory a zpětné odkazy (viz níže). (bey){4,5} se bude ve 4 až 5 případech shodovat a "bey". (abc|[0-9])* se bude shodovat s libovolnou kombinaci "abc" a číslic 0 až 9. Např. s “abc5”, “679abc” i “abc77abc”.

Metaznaky – zpětné reference

Každá sekvence znaků pro shody, uzavřená v závorkách “()”, bude uložena jako podvýraz, na který se lze později obracet pomocí parametrů \1 až \9, které odkazují na podvýrazy zleva doprava. b(.)\1n bude odpovídat “been” a “boon”, ale ne “bean”, “ben” nebo “beeen”.

Modifikátory

Modifikátory umožňují, od bodu uvedení, změny chování shod. Pokud je modifikátor obsažen v podvýrazu, ovlivní to pouze podvýraz. Použití (?i) a (?-i) slouží pro řízení citlivosti na malá a velká písmen.

Příklady:

(?i)Beyond Compare odpovídá oběma ”Beyond Compare” i “beyond compare”

(?i)Beyond (?-i)Compare odpovídá “Beyond Compare” a “bEyOnD Compare”, ale ne “beyond compare”

Viz také

Regulární výrazy pro přejmenování

Ukázky regulárních výrazů


Následujících několik ucelených částí popisuje podrobnější postupy pro různá nastavení, spouštění, ukládání a výkon příkazů. Normálně tyto postupy jakožto součást originální nápovědy nejsou v jejím obsahu viditelné. Jsou dostupné, a se “zelenou” hlavičkou (odtud název podkapitoly překladatele) zobrazeny tehdy, když uživatel klikne na příslušný hypertextový odkaz. Překladatel je nalezl při podrobném procházení nápovědy. A protože nenalezl originální manuál, zvolil pro jejich dostupnost (hypertextové odkazy) tento postup a jejich umístění v manuálu (poznámka překladatele).


Správa pracovního prostoru

Pracovní prostor je souhrn všech otevřených relací včetně uspořádání oken a záložek.

Chcete-li uložit aktuální konfiguraci pracovní plochy:

1. V nabídce Session vyberte Save Workspace As.

2. Zadejte jedinečné jméno nebo vyberte z rozbalovací nabídky uložených pracovních prostorů ten, který má být nahrazen.

Chcete-li opětovně načíst pracovní prostor:

V nabídce Session vyberte Load Workspace a vyberte uložený pracovní prostor z podnabídky. Tím se uzavřou všechny aktuální relace a znovu uloží jejich nastavení.

Chcete-li odstranit nebo přejmenovat uložený pracovní prostor:

1. V nabídce Session vyberte Load Workspace > Manage Worspaces.

2. Vyberte uložený pracovní prostor a stisknutím klávesy F2 ho přejmenujte nebo pomocí DEL ho odstraňte.

Pro automatické načtení nebo uložení pracovního prostoru:

V dialogu správy pracovních prostorů můžete zadat jméno pracovního prostoru v On startup, load a/nebo v On exit, save as. Tyto možnosti lze také nastavit v menu Tools > Options > Startup.

Můžete ho také načíst pomocí jeho specifikace v příkazovém řádku.


Ukládání snímku

Chcete-li uložit snímek:

1. V nabídce Tools vyberte Save Snapshot [image] .

2. Zadejte cestu pro uložení do složky stromu. Pokud máte přístup k ukládání snímku v relaci, máte možnost výběru Left base folder nebo Right base folder této relace.

3. Označením příslušného políčka bude také přidán z celého obsahu souboru vypočítaný CRC, verze dat a rozšíření souboru archivu. Tak sice bude vytvoření snímku trvat déle, ale výsledky budou důkladnější.

CRCs zahrnuje CRC32 kalkulaci snímku.

Exe versions obsahuje verzi souboru, obvykle se nalézající v aplikačních souborech, jako jsou “.exe”, “.dll”, “.ocx” a další.

Archive contens přidá do snímku i rozšířený výpis obsahu archivu.

4. Označte políčko Empty folders pro vložení prázdných složek nebo složek, jejichž celý obsah byl odfiltrován.

5. Označte Symbolic link targets pro vložení souborů a složek, na které ukazují symbolické odkazy.

6. Políčko Items excluded by file filters označuje, že soubory, které jsou k dispozici, když ukládání snímků je v relaci otevřené, jsou volné. Odznačením tohoto políčka budou soubory filtrů používané ve složce relace tvorbu snímků omezovat.

7. Klikněte na Start a dialog vás vyzve k zadání názvu souboru a místa pro uložení snímku.


Porovnání obsahu

Beyond Compare provádí porovnávání obsahu dvou souborů na shodu v libovolné době.


Metody porovnávání obsahu

CRC porovnává hodnoty CRC. CRC (Cyclic Redundancy Check – cyklická redundatní kontrola) je číselné vyjádření obsahu souboru. Jsou-li CRC dvou souborů různé, pak obsah těchto souborů musí být odlišný také. Jsou-li CRC shodné, pak je pravděpodobné (ale ne zcela jisté), že obsah je shodný. Při porovnávání dvou verzí stejného data si můžete být jisti, že jsou zcela stejné, jsou-li shodné i jejich CRC.

Binary porovnává soubory byte po byte.

Ruled-based porovnává soubory na základě jejich asociací formátů soborů. To umožňuje definovat nedůležité rozdíly, jako jsou změny v “bílých znacích” (mezery, tabulátory) nebo v komentářích zdrojového kódu. Porovnávání pomocí základních pravidel může ignorovat rozdíly v kódování souborů nebo na koncích řádků.


Výsledky porovnávání obsahu

CRC a binární porovnávání vrací jeden z těchto výsledků:

binární shoda soubory jsou naprosto stejné

binární rozdíly alespoň v jednom byte se soubory liší

Porovnávání pomocí základních pravidel s vestavěným binárním porovnáváním vrací jeden z těchto výsledků:

binární shoda soubory jsou naprosto stejné.

porovnávání pomocí základních pravidel soubory mají binární rozdíly, jaké jsou např. v kódování, které ale je možné ignorovat

nevýznamné rozdílypři porovnávání pomocí základních pravidel byly nalezeny pouze nevýznamné rozdíly

významné rozdíly při porovnávání pomocí základních pravidel byly nalezeny významné rozdíly


Kdy se provádí porovnání obsahu

Obsah srovnání se provádí:

· když je načteno porovnávání nebo synchronizace složek a v nastavení relace je volání

automatického porovnávání obsahu

· výslovně, pokud je použit příkaz Compare Contens

· pokud je pár souborů otevřen v souboru relace


Zobrazení filtrů

Filtry zobrazení omezují náhledy jen na určité výsledky porovnávání. Např. můžete zvolit Show Differences [image] pro skrytí všech odpovídajících si souborů, takže se pak můžete zcela soustředit na rozdíly. Aktuální filtr zobrazení výběru bude uložen vždy, když relaci opustíte, pokud je tato relace uzamčena.

Většina typů relací má realizován nějaký filtr zobrazení. Níže uvedené příklady jsou z relace porovnávání složek.

Klepněte pravým tlačítkem na panel nástrojů a vyberte si jeden ze tří vestavěných způsobů náhledu pomocí zobrazovacích filtrů:

DropDown, Favorites nebo Toggles nebo použijte Tools > Customize Command [image] pro vytvoření vlastního uspořádání.


Rozbalovací uspořádání

DropDown je výchozí styl pro panel nástrojů, určený pro jednoduchost a úsporu místa.

Tlačítka představují Show All [image], Show Differences [image] a Show Same [image] . Rozevírací prostřední tlačítko umožňuje vybrat jinou kombinaci zobrazovacího filtru.


Oblíbené uspořádání

Oblíbený styl zahrnuje různé kombinace filtrů z panelu nástrojů.


Přepínač uspořádání

Přepínač představuje jednotlivé stavy porovnávání.

Tento režim vyberte, když chcete kombinace, pro které nejsou k dispozici žádné zobrazovací filtry. Např. přepínač nahoře zobrazuje Left Orphans, Right Newer a nic jiného.


Pravidla vs formáty souborů

Definováním prvků formátů souborů je v Beyond Compare popisována syntaxe určitých typů souborů. Formáty souborů jsou obvykle vybírány automaticky na základě rozšíření jména souboru.

Relace porovnávání textu určuje, které prvky jsou pro srovnání důležité. Všimněte si, že nastavení relace definuje prvky spíš abstraktním způsobem, zatímco různé formáty zvládnou syntaktické detaily.


Chcete-li změnit výchozí význam typu prvků:

1. V domovském náhledu, kde je uložený strom relací, ve větvi Edit session defaults, vyberte Text Compare.

2. V řídících záložkách na pravé straně stromu vyberte záložku Importance.

3. Označte nebo zrušte označení příslušného políčka.

4. Klikněte Save.


Chcete-li pomocí “override” změnit význam jen v aktuálním náhledu porovnávání textů:

1. Otevřte Session > Session Settings [image] a vyberte záložku Importance.

2. Označte nebo zrušte označení příslušného políčka.

3. V dolní části dialogového okna vyberte Use for this view only z rozbalovacího seznamu.

4. Klepněte na tlačítko OK.


Chcete-li pomocí “override” změnit význam v relaci porovnání složek:

1. Ve složce porovnávání relací otevřete jako potomka relaci porovnávání textu.

2. Otevřte Session > Session Settings [image] a vyberte záložku Importance kartu.

3. Označte nebo zrušte označení příslušného políčka.

4. V dolní části dialogového okna vyberte Use for all files within parent session z

rozbalovacího seznamu.

5. Klepněte na tlačítko OK.


Koncepce 3-cest slučování

Relace slučování vám pomáhá spojit samostatná data do nové verze dat, obsahující eventuálně změněná data obou vstupů.

Uvažujme nejprve jednoduché 2-stranné porovnávání, kde prvek je na jedné straně a ne na druhé. Tento software nemůže určit, zda prvek byl nově přidán na jednu stranu nebo z druhé byl odebrán:

Nicméně, pokud je k dispozici starší kopie dat, je více informací pro rozhodování, týkajícího se slučování. Chcete-li např. rozhodnout, zda položka byla přidána na jednu stranu nebo odstraněna z druhé, můžete se odkázat na starší verzi těchto dat:

V této situaci vám program rychle a přesně pomůže zkombinovat samostatné úpravy. Postup se nazývá 3-cestné slučování.

Nicméně, ne všechny změny mohou být bez pečlivého zkoumání bezpečně použity. Jsou-li na stejném řádku změny na obou stranách (a změny se od sebe navzájem odlišují), řádek bude pomocí “flag” označen za konflikt a bude vyžadovat ruční kontrolu.


Úprava gramatiky prvku

Vyberte stávající Element name z rozevíracího seznamu nebo zadejte vlastní název.


Chcete-li definovat jednoduchou gramatiku pro prvek:

Vyberte kategorii Basic. Zadejte řetězec Text matching a určete, zda řetězec by měl přesně odpovídat Match character case a zda jde o Regular Expression.


Chcete-li definovat oddělovače:

Vyberte Delimited kategorii. Zadejte počáteční a koncový oddělovač nebo výchozí oddělovač a možnost Stop at end of line. Určete, zda oddělovač má přesně odpovídat Match character case a zda jde o Regular expressions.

Escape character může specifikovat, že znak koncového oddělovače patří prvku.

Např. se podívejte na kód následujícího řetězce, který je ohraničen apostrofy (') a má zpětné lomítko (\) jako “escape znak”:

s = 'I can\'t see straight'


Chcete-li definovat seznam gramatik “token”:

Vyberte kategorii List a napište texty pro “token”. Určete, zda “token” mají přesně odpovídat Match character case a zda jde o Regular Expression.


Chcete-li definovat prvek jako rozsah sloupců:

Vyberte kategorii Columns. Určete počáteční a koncové číslo sloupce nebo sloupec startovní a volbu to end of line.


Chcete-li opakovat shody záhlaví stránek vašich dat:

Při porovnání výstupních sestav může jediná změna posunout všechny následující hlavičky stránek a způsobit mnoho dalších rozdílů. Můžete definovat gramatiku prvku záhlaví stránky tak, aby bylo možno tyto rozdíly ignorovat. Vyberte kategorii Lines. Zadejte řetězec Text matching, který se bude shodovat s hlavičkou každé stránky vašich dat. Obvykle to bude znak Form Feed. Označte políčko or line 1, pokud první stránka nezačíná znakem Form Feed. Nastavte and next xxx lines na počet řádků záhlaví. Určete, zda odpovídající řetězec má přesně odpovídat Match character a zda řetězec je Regular Expression.


Chcete-li definovat citllivost na velká/malá písmena:

Povolení This element is case sensitive indikuje změny znaků v případě, že jsou důležitými rozdíly při porovnávání.


Export nastavení

Nastavení programu můžete selektivně ukládat, aby ho bylo možné přenést na jiný počítač, provést “upgrade” na novější verzi nebo ho sdílet s jinými uživateli Beyond Compare.


Chcete-li exportovat nastavení:

1. V nabídce Tools vyberte Export Settings.

2. Vyberte typ nastavení, které chcete exportovat:

Program Options přidá vaše volby, které jste nastavili v dialogu Options.

Program Commands přidá volby, které jste nastavili v dialozích Customize Commnads.

Program State přidá pozice oken a MRU seznamy.

Sessions přidá některá nebo všechna jména relací.

File Formats přidá některé nebo všechny přzpůsobené formáty souborů.

FTP profiles přidá některá nebo všechna FTP nastavení.

System Info obsahuje informace o vašem počítači a vaší instalaci Beyond Compare. Je to užitečné pro účely podpory, abycoh vám pomohli s problémy.

3. Pokud exportujete relace, formáty souborů nebo FTP profily, klepněte Next pro výběry konkrétních položek, které mají být zahrnuty.

4. Klepněte na Finish pro exportování nastavení. Soubor balíčku nastavení (.bcpkg) bude vytvořen.

Import nastavení

Nastavení, které bylo předtím exportováno z BC3 a BC2, můžete importovat.


Chcete-li importovat nastavení:

1. V nabídce Tools vyberte Import Settings.

2. Vyberte soubor, který obsahuje nastavení. To může být soubor balíčku BC3 (.bcpkg) nebo XML soubor. Také to může být export souborů BC2 (ZIP nebo XML soubor).

3. Pokud soubor obsahuje různé druhy nastavení, označte zaškrtávací políčka pro typy nastavení, která chcete importovat:

Program Options přidá vaše volby, které jste nastavili v dialogu Options.

Program Commands přidá volby, které jste nastavili v dialozích Customize Commnads.

Program State přidá pozice oken a MRU seznamy.

Sessions přidá některá nebo všechna jména relací.

File Formats přidá některé nebo všechny přzpůsobené formáty souborů.

FTP profiles přidá některá nebo všechna FTP nastavení.

4. Pokud importujete relace, formáty souborů nebo FTP profily, klepněte Next pro výběry konkrétních položek, které mají být zahrnuty.

Varování: položka má červenou barvu, pokud její název je stejný jako jeden z uložených nastavení. Pokud importujete červenou položku, nahradí existující relaci, formát souboru nebo FTP profil!

Označte políčko Delete all existing sessions pro odstranění všech uložených relací před importem souboru nastavení. Podobně označte Delete all existing file formats nebo Delete all existing FTP profiles, pokud si to budete přát.

5. Klepněte na Finish pro dokončení importu nastavení.


Masky souborů

Maska souboru ​​je vzorek znaků a zástupných znaků používaných pro nalézání jmen složek a souborů.

Příklad: *.* nalezene jakýkoliv soubor. Z historických důvodů dokonce i soubory, které nemají příponu.

Příklad: *.html nalezne jakýkoliv HTML soubor.


Zástupné znaky

Zástupné znaky umožňují masce souboru, aby odpovídala více jménům složek a souborů.

? jakýkoliv jediný znak

* odpovídá žádnému nebo jakémukoliv počtu znaků

[az] jeden libovolný znak sady (a až z)

[a-z] odpovídá libovolnému jedinému znaku rozsahu (od a do z)

[!az] odpovídá jedinému libovolnému znaku, který není v sadě (a až z)

Příklad: A? odpovídá A následovanému jediným libovolným znakem

Příklad: A* odpovídá A následovanému libovolným počtem znaků

Příklad: [a-z0-9] odpovídá nějaké číslici nebo písmenu

Příklad: [!ac-g] odpovídá libovolný znak kromě a, c, d, e, f a g


Jednoduché masky souboru

Jednoduchá maska souboru ovlivní všechny soubory nebo složky, jejichž nadřazená složka je zahrnuta. Základní složka je zahrnuta vždy. Všechny složky se soubory jsou jsou také zahrnuty.

Chcete-li složky, dřív než budou specifikovány, vyloučit, přidejte v poli Filters před masku souboru znaménko minus (-). V dialogovém okně File Filters umístěte masku souboru do pole Exclude dřív, než použijete znaménko mínus.

f zahrnout všechny soubory s názvem f

p\ zahrnout všechny složky s názvem s

-F vyloučit všechny soubory s názvem f

-P\ vylouči všechny složky s názvem s

Příklad: *.pas;*.dfm;*.dpr - budou zahrnuty pouze soubory s příponami pas, dfm a dpr

Příklad: Source\ - bude zahrnovat pouze složku s názvem Source a její podsložky

Příklad: -*.dcu;-*.ddp – budou vyloučeny soubory s příponami dcu a ddp

Příklad: -Backup\ - budo vyloučena složka s názvem Backup


Relativní masky souboru

Relativní masky souboru mají vliv na soubory nebo složky v specifikovaných lokacích.

p\f f musí být ve složce p

.\f f musí být v základní složce

...\f f může mít žádnou nebo více rodičovských složek

Příklad: Windows\*.txt - může být ovlivněn libovolný textový soubor libovolné zahrnuté složky s názvem Windows.

Příklad: ...\Windows\*. txt - může být ovlivněn libovolný textový soubor libovolné složky s názvem Windows.

Příklad: .\Windows\*.txt – může být ovlivněn libovolný textový soubor ve složce s názvem Windows, která je v základní složce.


Úprava definic sloupců

Dialog manipulace se sloupci umožňuje nastavit možnosti pro každý sloupec porovnávání. Podmnožina tohoto dialogu se používá k nastavení výchozího zpracování všech sloupců.

Zadejte Name. Bude zobrazeno v záhlaví sloupce porovnávání. Pokud není uvedeno, může být nastaveno automaticky.

Označte políčko Key, aby data tohoto sloupce sloužila pro třídění a zarovnávání. Pokud máte více než jeden klíčový sloupec, priorita třídění je dána počínaje nejvýše uvedeným sloupcem seznamu.

Označte políčko Use Default použití výchozího sloupce pro manipulaci, definovaného v této relaci.

Vyberte vhodný Type pro sloupce:

Detected Automaticky určí základní sloupec dat v souborech.

Boolean Sloupec má hodnot "True" nebo "False" nebo číselné. Nula je ekvivalentní False a všechny ostatní nenulové hodnoty True.

Date Sloupec obsahuje hodnutu datumu-času v kterémkoliv obecném formátu. Porovnávání ignoruje rozdíly ve formátování.

Numeric Hodnoty sloupce jsou interpretovány jako reálná čísla. Porovnávání ignoruje rozdíly ve formátování. Např. hodnoty 0,00 a 0 jsou shodné.

Text Sloupec obsahuje textová data.

Označte políčko Unimportant, že sloupec je pro porovnávání nedůležitý. (Nedůležité rozdíly budou zabarveny modře místo červeně nebo budou úplně ignorované použitím Ignore Unimportant Differences.)

Použijte Datum tolerance, aby rozdíl datových-časových údajů v tomto sloupci, kterým se hodnoty liší, nebyl považován za rozdíl důležitý.

Nastavte Numeric tolerance, aby rozdíl čísel, o který se liší, nebyl považován za rozdíl důležitý.

Možnost Text important, except for ovládá sloupce, které jsou definovány nebo detekovány jako textové. Označte políčko Character case (ABC = ABC), pokud rozdíly v citlivosti (např. na velká písmena) jsou nepodstatné. Označte Whitespace pro považování rozdílů v “bílých místech” (počet prázdných znaků před, po nebo uvnitř slov) za nepodstatné.


Ohlašování problémů

Pokud jste v Beyond Compare narazili na problém, rádi bychom to od vás slyšeli!

V okně libovolné úrovně klepněte na Support v nabídce Help a postupujte podle pokynů pro vytvoření balíčku obsahující váš program a nastavení systému. Přiložte balíček k e-mailu s popisem problému a pošlete nám ho na support@scootersoftware.com.

Možná, že budete chtít zahrnout i snímek obrazovky ilustrující problém. Pokud tak chcete učinit a umístit ho do e-mailu, postupujte podle následujících kroků:

1. Stiskem ALT + PrintScreen umístěte snímek aktivního okna do schránky.

2. Otevřte program Malování (Start > Programy > Příslušenství > Malování) a stiskněte kombinaci kláves CTRL + V pro vložení obrázku do tohoto programu.

3. Vyberte část obrázku, kterou chcete poslat.

4. Dále vyberte Kopírování v nabídce Úpravy, změňte v Uložit jako typ na PNG (*.png) nebo GIF (*.gif) a zadejte iméno souboru. (Pokud PNG a GIF typy nejsou k dispozici, vyberte 256 barev bitmapy a kompresi obrazu pomocí ZIP utility.)

5. Připojte soubor obraz k e-mailu.


Jak odemknout Beyond Compare

Beyond Compare je distribuován ve “vyhodnocovacím” režimu. Umožní vám to zjistit, zda vašim potřebám vyhovuje. Pokud se nezaregistrujete, program po 30 dnech nebudete moci spustit.

Pokud si zakoupíte licenci k Beyond Compare, zašleme vám klíč k odemčení e-mailem. Vypadá nějak takto:

--- BEGIN LICENSE KEY ---
CUgJWTb0eQVybpezCYu9CSqDLCtvx6g63hp-hrKHXiNL144KP4FTWHl9I
q4 + F5RWwcpzSyX98tlDzSsJm5xvnjuvunNrAG16sjP8Dp4as1gP3M1Pkj
dmDVZXXLlyHoIrMd-Ptl0wpWPU654xu8kc7iYPl5LhOfXJG64V12vJnOm
--- END LICENSE KEY -----

1. Klíč z vašeho e-mailového programu stiskem Ctrl+C vyberete a zkopírujete do schránky OS Windows. Je v pořádku, pokud některé zprávy před a po něm také, ale klíč musí být celý.

2. Potom spusťte Beyond Compare a zvolte Enter Key. (Klikněte na Enter Key v některém z dialogů "Evaluation" nebo zvolte Enter Key v nabídce Help.)

3. V dialogu "Registrer Beyond Compare" by se váš klíč měl automaticky zobrazit v textovém poli. Pokud ne, zkuste kopírování a vložení znovu.

Pokud používáte přenosnou (portable) instalaci Beyond Compare, můžete označit políčko Register for all users a po uložení licenčního klíče do programu budou registrováni všichni uživatelé tohoto počítače.


Kopírování

Příkazy Copy to [Right/Left/Side] z nabídky Action, přikopírují vybrané soubory a složky z jedné strany relace porovnávání složek k ostatním, přepsáním všech existujících souborů na cílové straně.

Je-li složka vybrána, bude zkopírován pouze její filtrovaný obsah (obdobně, jako by složka byla rozvinuta a celý viditelný obsah vybrán). Nicméně, pokud vybranou složku otevřete, a budou vybráni její libovolní potomci, pak výběr složky bude ignorován a pouze vybraní potomci budou zkopírováni.

Ve výchozím nastavení se před kopii objeví dialogové okno potvrzování. Chcete-li potvrzení přeskovat, pokud potvrzování směru je jednoznačné (Copy to Left, Copy to Right), otevřete nabídku Tools, klikněte na Option [image], přejděte do složky Folder Views> Comfirmations a zakažte Confirm file copy.


Přesun

Příkazy Move to [Right/Left/Side] z nabídky Action, přesunou vybrané soubory a složky z jedné strany relace porovnávání složek k ostatním, přepsáním všech existujících souborů na cílové straně.

Je-li složka vybrána, je přesunut celý její obsah, bez ohledu na filtry souborů nebo na aktuální fitrované zobrazení. Nicméně, pokud vybranou složku otevřete, a budou vybráni její libovolní potomci, pak výběr složky bude ignorován a pouze vybraní potomci budou přesunuti.

Ve výchozím nastavení se před kopii objeví dialogové okno potvrzování. Chcete-li potvrzení přeskakovat, pokud potvrzování směru je jednoznačné (Move to Left, Move to Right), otevřete nabídku Tools, klikněte na Option [image], přejděte do složky Folder Views> Comfirmations a zakažte Confirm file copy.


Odstranění

Příkaz Delete [image] v nabídce Action odstraní vybrané soubory a složky z jedné nebo obou stran porovnávání.

Je-li složka je vybrána, je odstraněn celý její obsah bez ohledu na filtry souborů nebo na aktuální fitrované zobrazení. Nicméně, pokud vybranou složku otevřete, a budou vybráni její libovolní potomci, pak výběr složky bude ignorován a pouze vybraní potomci budou odstraněni.

Zapnutím volby Use recycle bin if possible je možné přesouvat soubory a složky uložené na lokálním disku do koše místo toho, aby byly zcela odstraněny. Tato volba je ignorována při odstraňování dat ze síťových disků, FTP serverů a archivních souborů.


Přejmenování

Příkaz Rename [image] v nabídce Action přejmenuje vybrané soubory a složky.

V podsekci Action můžete přejmenovávat buďto výběrem DOS Compatible nebo Regular Expessions. Rozšíření pomocí zástupných znaků Dos Compatible používá DOS pravidel. Regular Expressions přejmenovávání používá Perl kompatibilní regulární výrazy.

DOS přejmenování

Chcete-li přejmenovat soubory pomocí kompatibilních regulárních výrazů DOS, vyberte soubory z náhledu porovnávání složek a zvolte Rename [image] z nabídky Action. Vyberte DOS Compatible v dialogovém okně Rename. V poli New Mask zadejte nový název.

Je-li vybráno více souborů nebo složek, je základ masky stanovován na základě přesahů všechna jmen. Hvězdička (*) se používá pro vyjádření jednoho nebo více znaků, zatímco otazník (?) je používán jako reprezentant jediného znaku. Tyto znaky ponechte, a další změny unikátních názvů pak vytvářejte pro každý z vybraných souborů a složek.

Příklad:

Předpokládejme, že jste k přejmenování vybrali následující soubory:

abc1.txx

abc2.txt

abc3.txt

Pokud zadáte ”abc?.bak” v poli New Name, soubory budou přejmenovány na:

abc1.bak

abc2.bak

abc3.bak

Nebo zadejte “xyz?.txt” v poli New Name a soubory budou přejmenovány na:

xyz1.txt

xyz2.txt

xyz3.txt


Atributy

Příkaz Attributes v nabídce Action modifikuje různé atributy operačního systému vybraných souborů a složek.

Pro systémové soubory OS Windows lze upravovat DOS atributy (“read-only”, skrytý nebo archivní). Nelze změnit atribut systémový.

Pro systém souborů Unix lze upravovat přístupová oprávnění vlastníka a skupin.

Je-li složka vybrána, mohou její atributy být upraveny. Jejího obsahu se to ale netýká. Chcete-li změnit atributy obsahu složky, je třeba složku otevřít a vybrat její obsah.

Zaškrtávací políčka nejprve zobrazí aktuální stav vybraných položek. Je-li zaškrtávací políčko neoznačeno, je atribut ve všech vybraných souborech vypnutý. Je-li zaškrtávací políčko označeno, je atribut ve všechny vybraných souborech povolen. Pokud je políčko označené a zašedlé, je atribut povolen pouze u některých vybraných souborů.

Odznačením políčka je atribut ze všech vybraných souborů odstraněn a lze ho řídit v dalším nastavení.


Dotek

Příkaz Touch v nabídce Action mění časové razítko (datum/čas poslední změny) u vybraných souborů.

Pokud je vybráno Copy timestamps from other side, pak časová razítka vybraných souborů budou nastavena na shodná razítka i na druhé straně. Pokud je použito Set timestamps to -->, pak datum/čas můžete vybírat z kalendáře.

Výběr Default určuje, jak je nastaven kalendář. Aktuální systémový čas bude kalendář nastavovat na aktuální čas. Last Touch zpětně nastaví časové razítko na základě poslední “last touch” operace. Default nastavení pouze inicializuje kalendář – jinak neustále můžete libovolně měnit datum nebo čas.

Je-li vybrána složka, pokusí se příkaz Touch změnit časové razítko složky, ale nikoliv jejího obsah. Příkaz se nezdaří, pokud OS neumožňuje změnu časových razítek složek.


Vyloučení

Příkaz Exclude v nabídce Action filtruje vybrané soubory a složky aktuální relace. Je vhodnou alternativou k otevření dialogu filtrů souborů a vkládáním jmen vyloučených souborů/složek.

Pokud vyberete jeden nebo více souborů stejného typu, bude příkaz Exclude nabízet vyloučení všech souborů tohoto typu.

Chcete-li vyloučení odstranit, klikněte na ikonu souboru filtrů [image] a odstraňte záznam ze seznamu Exclude files (nebo Exclude folders).


Nová složka

Příkaz New Folder [image] v nabídce Action dovoluje v aktuální pozici vytvořit složku. Máte-li vybraný soubor nebo zavřenou složku, bude nová složka vytvořena ve stejné rodičovské složce, ve které je vybraná položka. Pokud je vybrána otevřená složka, bude nová složka vytvořena jako její podsložka.

Pokud jsou vybrány obě strany, bude nová složka vytvořena na obou stranách.

Chcete-li novou vytvořenou složku používat jako složku základní, zadejte cestu k nové složce v levém nebo pravém okénku stávající cesty nahoře a stiskněte klávesu ENTER. V dialogovém okně s upozorněním, které se objeví, klepněte na Create.


Kopírování do složky

Příkaz Copy to Folder [image] v nabídce Action zkopíruje vybrané soubory a složky do dané složky, volitelně s neporušenou cestou. Můžete si vybrat položky na jedné straně porovnávání složek nebo na druhé, ale ne na obou.

Je-li složka vybrána, bude zkopírován pouze její filtrovaný obsah (obdobně, jako by složka byla rozvinuta a celý viditelný obsah vybrán). Nicméně, pokud vybranou složku otevřete, a budou vybráni její libovolní potomci, pak výběr složky bude ignorován a pouze vybraní potomci budou zkopírováni.

Pokud vyberete Copy to Folder, můžete jako cíl vytvořit soubor archivu (jako ZIP soubor). Pokud archivní soubor neexistuje, BC ho vytvoří za vás.

Příklad možností cest

V tomto příkladu jsou vybrané tři položky - soubor 10.txt, složka Q a soubor 30.txt.

Na obrázcích níže je ukázáno, jak vypadají položky v cílové složce, po použití každé ze tří dostupných možností cesty.

Keep Relative Folder Structure určuje minimální rozdíl mezi všemi vybranými cestami souborů a vytváří je v cílové složce. V tomto případě nebyly složky D a P vybrané, ale byly vytvořené v cílové složce s cílem udržet stejnou relativní strukturu.

Keep Base Folder Structure vytváří celou cestu (zpětnou k základní složce) v cílové složce.

Don't Keep Folder Structure ignoruje veškeré informace o cestě a zkopíruje všechny vybrané soubory a složky dohromady do cílové složky. V tomto příkladu je pouze složka Q vytvořená v cílové složce, protože byla speciálně vybraná.


Přesun do složky

Příkaz Move to Folder [image] v nabídce Action přesune vybrané soubory a složky do dané složky, volitelně s neporušenou cestou. Můžete si vybrat položky na jedné straně porovnávání složek nebo na druhé, ale ne na obou.

Je-li složka vybrána, bude přesunut pouze její filtrovaný obsah (obdobně, jako by složka byla rozvinuta a celý viditelný obsah vybrán). Nicméně, pokud vybranou složku otevřete, a budou vybráni její libovolní potomci, pak výběr složky bude ignorován a pouze vybraní potomci budou přesunuti.

Pokud vyberete Move to Folder, můžete jako cíl vytvořit soubor archivu (jako ZIP soubor). Pokud archivní soubor neexistuje, BC ho vytvoří za vás.

Příklad možností cest

V tomto příkladu jsou vybrané tři položky - soubor 10.txt, složka Q a soubor 30.txt.

Na obrázcích níže je ukázáno, jak vypadají položky v cílové složce, po použití každé ze tří dostupných možností cesty.

Keep Relative Folder Structure určuje minimální rozdíl mezi všemi vybranými cestami souborů a vytváří je v cílové složce. V tomto případě nebyly složky D a P vybrané, ale byly vytvořené v cílové složce s cílem udržet stejnou relativní strukturu.

Keep Base Folder Structure vytváří celou cestu (zpětnou k základní složce) v cílové složce.

Don't Keep Folder Structure ignoruje veškeré informace o cestě a přesune všechny vybrané soubory a složky dohromady do cílové složky. V tomto příkladu je pouze složka Q vytvořená v cílové složce, protože byla speciálně vybraná.


Licenční smlouva

Používání Beyond Compare se řídí těmito podmínkami:

Přijetí licenční smlouvy

Před používáním Beyond Compare 3 byste si měli pečlivě přečíst následující podmínky ("Software"). Pokud nemáte od Scooter Software potvrzenou jinou licenční smlouvu, pak pro používání tohoto softwaru vyjádřete s těmito podmínkami svůj souhlas. Pokud nechcete všechny tyto podmínky přijmout, musíte okamžitě přestat Software používat.

Copyright

Zákazník bere na vědomí, že software, licenční klíč a průvodní dokumentace (“Dokumentace”) uživatele jsou díla ve vlastnictví Scooter Software chráněná autorským právem, a že zákazník výše uvedená práva s výjimkou výslovně uvedených nemá.

30-denní zkušební verze zdarma

Tento software není volný. Scooter Software vám tímto uděluje nevýhradní, nepřenosnou, omezenou licenci na používání software po dobu třiceti (30-ti) dnů zdarma. Používání softwaru po uplynutí třicetidenní (30-denní) zkušební doby vyžaduje zakoupení licenčního klíče, jak je popsáno níže. Používání software po třicetidenní (30-ti denní) zkušební době bez zakoupení licenčního klíč vede k porušení zákonů USA a mezinárodních autorských práv.

Licenční klíč

Unikátní klíč (“Licenční klíč”), který vám umožní používat software i po třiceti dnech (po 30-ti dnech) bez zkušební doby, je možné zakoupit na internetových stránkách Scooter Software, které v současné době jsou http://www.scootersoftware.com. Licenční klíč je možné zakoupit pro jednoho nebo více uživatelů, všem uživatelům pojmenované sítě ​​nebo pro celý podnik. Licenční klíč je dále tříděn podle sady funkcí (Standard nebo Pro verze) a platformy OS (Windows, Unix platforma nebo obě). Ceník na webových stránkách Scooter Software uvádí detailní ceny pro všechny možné licence. Při zakoupení licenčního klíče vám Scooter Software tímto udělí nevýhradní, nepřenosnou licenci na používání software s příslušnou sadou funkcí na příslušné platformě OS takto:

Uživatelský licenční klíč: tento licenční klíč lze zakoupit pro určité množství uživatelů. Každý uživatel skupiny může být buď (a) osoba, která má přístup k software na libovolném počtu počítačů, nebo (b) počítač, na kterém se bude instalovat software pro používání libovolným počtem osob, kteří budou jeden po druhém jistou dobu fyzicky přítomni u počítače. Každý takový člověk musí být zákazník s licencí, zaměstnanec zákazníka, zaměstnanec zákazníka dceřinné společnosti nebo třetí osoba, jakožto poradce zákazníka pro plnění funkcí informačních technologií (dále “třetí strana”) a pro používání software pro pouze interní obchodní operace zákazníka a k jeho prospěchu, a pro žádný jiný účel. Zákazník je povinen zajistit, aby třetí strany pracovaly v souladu s podmínkami této licenční smlouvy a bude zodpovídat za jakékoli porušení podmínek takovou třetí stranou.

Síťový licenční klíč: jeden licenční klíč je možné neomezeně používat v okolí maximálně 100 mil od místa uvedeného v souvislostí s licencí (“Síť”) libovolným zaměstnancem zákazníka, osobně přítomným na webu. Tato licence je rovněž udělena zaměstnancům zákazníka, kteří obvykle pracují v síti, a vykonávají práce pro zákazníka na jiných místech, než je umístění klienta nebo doma. Zákazník má právo podle této licenční smlouvy poskytovat sublicenci svých práv třetí straně konzultantů, které používá k plnění funkcí informačních technologií (každému jako “Onsite poradci”) a kteří jsou osobně přítomni v síti pro pouze interní obchodní operace zákazníka a k jeho prospěchu, a pro žádný jiný účel. Zákazník je povinen zajistit, aby tito konzultanti v síti pracovali v souladu s podmínkami této licenční smlouvy a bude zodpovídat za jakékoli porušení práce těchto Onsite konzultantů v souvislosti s licencí.

Podnikový licenční klíč: celopodnikový (“podnik”) licenční klíč může být používán na celém světě všemi pracovníky zákazníka. Zákazník má právo podle této licenční smlouvy poskytovat sublicenci svých práv třetí straně konzultantů, které používá k plnění funkcí informačních technologií (každému jako “Enterprise poradci”) a kteří jsou osobně přítomni na libovolné zákaznické pozici pro používání tohoto software výlučně pro zákazníkovu interní podnikatelskou činnost k jeho prospěchu, a pro žádné jiné účely. Zákazník je povinen zajistit, aby tito konzultanti v síti pracovali v souladu s podmínkami této licenční smlouvy a bude zodpovídat za jakékoli porušení těchto Enterprise konzultantů v souvislosti s licencí.

Jste odpovědni za držení licenčního klíč na bezpečném místě a licenční smlouva výslovně zakazuje licenční klíč ať úmyslně nebo neúmyslně distribuovat třetí straně. Při ztrátě nebo distribuci licenčního klíče, je zákazník podle uvážení Scooter Software povinen uhradit poplatek za obnovení.

Distribuce software

Za předpokladu, že nebudete kopírovat ani distribuovat licenční klíč a můžete přiložit kopii této licenční smlouvy, můžete (a) vytvářet kopie software, (b) poskytovat přesnou neupravenou kopii software dalším osobám a (c) distribuovat software v jeho nemodifikované formě prostřednictvím elektronických prostředků. Je výslovně zakázáno účtování poplatků za tyto kopie nebo distribuci.

Doba a ukončení

Tento software můžete i nadále používat tak dlouho, dokud to bude v souladu s podmínkami této licenční smlouvy. Scooter Software může tuto licenční smlouvu ihned ukončit, pokud Scooter Software má důvod se domnívat, že jste porušili licenční smlouvu. Po ukončení jste povinni okamžitě ukončit veškeré používání software, licenčního klíče i dokumentace a ztrácíte nárok na vrácení všech zaplacených poplatků.

Záruky

Scooter Software se zaručuje a prohlašuje, že: (a) že má všechna práva, nároky a zájmy k Software, má právo vstupovat do a poskytovat licenční práva udělená touto dohodou a nebude smluvní stranou a nevstoupí do žádné dohody, smlouvy ani věcného břemene, které by byly v rozporu s touto dohodou, (b) Software neslouží, podle nejlepších znalostí Scooter Software, k zasahování do ani k porušování platných patentů, autorských práv nebo obchodních tajemství nebo jiných vlastnických práv jakékoli třetí strany, (c) příchod každého data a roku nesmí nepříznivě ovlivnit výkon Software a (d) Software není kontaminován škodlivým kódem (např. instrukcemi programu obvykle nazývaných virem, červem nebo trojským koněm).

Vyloučení odpovědnosti

S výjimkou omezené záruky v licenci uvedené, jsou SOFTWARE A DOKUMENTACE “TAKOVÉ, JAKÉ JSOU”. V MAXIMÁLNÍM ROZSAHU POVOLENÉM APLIKACÍ PLATNÝCH ZÁKONŮ, SCOOTER SOFTWARE ODMÍTÁ VŠECHNY ZÁRUKY, VÝSLOVNÉ NEBO VYPLÝVAJÍCÍ, VČETNĚ BEZ OMEZENÍ PŘEDPOKLÁDANÉ ZÁRUKY PRODEJNOSTI A VHODNOSTI PRO URČITÝ ÚČEL. JAKÁKOLIV ODPOVĚDNOST SCOOTER SOFTWARE BUDE OMEZENA VÝHRADNĚ NA VRÁCENÍ KUPNÍ CENY.

Ostatní ustanovení

Platnosti a výklad této dohody se řídí zákony Spojených států amerických a státu Wisconsin. Zákazník souhlasí s tím, že státní a federální soudy, které se nachází ve státě Wisconsin, Dane County, jsou vhodným místem pro konání akcí, týkajících se této dohody, a tím souhlasí s výhradní jurisdikcí a místem konání těchto soudů. Pokud některá ustanovení této dohody budou deklarována příslušným soudem za neplatná, nezákonná či nevymahatelná, budou taková ustanovení nebo jejich části oddělené od smlouvy. Ostatní ustanovení zůstanou v plné platnosti a účinnosti.


Slovník

Base folder – základní složka

Nejvyšší složka na obou stranách zobrazení složek. Jméno základní složky se zobrazí v liště nad editační cestou každého podokna porovnávání.

Child Session – potomek relace

Spuštěný soubor relace vytvořený na základě už existující relace.

Konflikt

V 3-cestném slučování dat dojde ke konfliktu, když stejné oddíly textu jsou různě pozměněny na obou, levé i pravé straně.

CRC

(Cyclic Redundancy Check) je speciální “součet” vyjadřující číselný součet obsahu souboru. Jsou-li CRC dvou souborů různé, jsou obsahy těchto souborů odlišné. Jsou-li shodné, je velmi pravděpodobné, že se i obsahy shodují.

CSV

CSV (Comma Separated Values) je obyčejný uspořádaný soubor, reprezentující řádky a sloupce dat.

File Format – formát souboru

Náš termín pro soubor nastavení, které charakterizují typ souboru. Např. formát zdrojového Java souboru popisuje gramatiku syntaxe Java zvýrazněním a základní pravidla porovnávání, a ukládá vaše ukončující tabulátory přednostně do zdroje Java. Formát souborů také může určovat postupy konverze - kdo má být spuštěn před a kdo po porovnání.

Filter - filtr

Prostředí, které omezuje to, co je potřeba zobrazit nebo zpracovat. “Filtrování” nepotřebného obsahu.

Important text – důležitý text

Text důležitý pro porovnání.

Line ending style – “řádek” ukončení stylu

Vzorek řídících znaků, které definují konec každého řádku v textovém souboru. Typicky CR+LF v textovém souboru Windows a LF v textovém souboru Unix.

Orphan – sirotek (“osamocený, opuštěný” soubor, objekt)

Náš termín pro objekt, který se nachází pouze na jedné ze stran porovnávání.

Plug-in

Software příslušenství, které lze “zapojit, připojit” do programu pro zvýšení počtu jeho funkcí.

Regular Expressions – regulární výrazy

Formule pro porovnávání řetězců podle předložených vzorů.

Rules - pravidla

Náš termín pro nastavení relace, ve kterém je definováné provádění porovnávání.

Section - odstavce

Náš termín pro souvislé řady linek s rozdíly.

Session - relace

Náš termín pro úlohu porovnávání, jakou je porovnávání složek nebo souborů. Každá relace představuje náhled ve svém vlastním okně nejvyšší úrovně nebo jde o záložku v nabídce okna.

Skew tolerance – nepřesná tolerance

Počet řádků Beyond Compare prohledávaných před a po odpovídající porovnávané části.

Snapshot - snímek

Soubor Beyond Compare, který obsahuje “snímek” stromu složek. Podobně jako fotoaparát zachycuje realitu v jistém časovém okamžiku tak, že uživatel snímek může později porovnat s právě používaným stromem složek, aby mohl nalézt rozdíly.

Thumbnail view – náhled miniatury

V okně porovnávání je to (volitelný) panel, umístěný vlevo s barevným přehledem rozdílů.

Timestamp – časové razítko

Časové razítko složky nebo souboru, které udává čas poslední změny.

Tolerance - tolerance

Při porovnání dat nebo obrazů je to množství dvou základních jednotek informace (nebo obrazových bodů, pixelů), ve kterých nastala taková odlišnost, která je považována za důležitý rozdíl. Rozdíly menší nebo rovné toleranci nejsou důležitými rozdíly.

Touch/Touching – dotek

Zde akce nastavení časového razítka souboru na specifickou hodnotu.

Unimportant differences – nedůležité rozdíly

Rozdíly v textu, které jsou v porovnávání definovány jako nedůležité. Mohou to být např. mezery i rozdíly ve znacích, poznámky nebo čísla řádků.

View - náhled

Otevřená relace (nebo domovský náhled) na otevřené okno nebo záložku s relací.

Whitespace – mezery, “prázdný” (“bílý”) prostor

Prázdné místo na začátku a na konci řádku a mezi slovy. “Prázdný prostor” z libovolné kombinace znaků "mezer" a "tabulátorů”.

Workspace – pracovní prostor

Soubor všech otevřených relací včetně velikostí a pozic oken a záložek.

Zip archive/zip file – zpakovaný (zip) archiv nebo soubor

Soubory nebo složky komprimované do jednoho archivu. Existují různé archivní formáty, ale “zip” je nejčastější. Beyond Compare podporuje několik různých archivních formátů.


Podpora, objednávky a licence

Poslední verzi Beyond Compare a další novinky o programu naleznete na našich webových stránkách na adrese: www.scootersoftware.com

Technická podpora

Jakékoliv připomínky, návrhy nebo chybová hlášení posílejte na adrese: support@scootersoftware.com

Navštivte fórum podpory pro vzájemnou výměnu problémů i nápadů na adrese: www.scootersoftware.com/forum

Získejte přístup k naší online FAQ a znalostní bázi na adrese: www.scootersoftware.com/kb

Zákaznická podpora

Licenční poplatek pro jednoho uživatele Beyond Compare je $ 30 (amerických dolarů) v případě standardní verze a $ 50 za verzi profesionální. Verze Windows a Linux jsou licencovány odděleně. Pro aktuální informace o slevách pro více uživatelů a modernizačních politikách navštivte náš online obchod na adrese: www.scootersoftware.com/shop

Pokud při objednání Beyond Compare potřebujte pomoc, kontaktujte nás na adrese: sales@scootersoftware.com

Naše e-mailové adresy a další kontaktní informace naleznete na adrese: www.scootersoftware.com/contact

Licenční smlouva

Naše licenční smlouva umožňuje každému uživateli instalaci a používání Beyond Compare na libovolném počtu PC. Přečtěte si licenční ujednání, abyste znali svá práva a povinnosti, týkající se používání tohoto software.


Termíny tohoto výkladového „slovníku“ jsou velmi často používány v překladech autora, viz www.nemohouci.comli.com (manuály, „češtiny“, nápovědy). I když slovník je podle potřeby postupně doplňován, rozsahem zůstane vždy omezený na rozsah „několika“ stránek. Slouží pro „nepřeložitelné“ termíny, které uvádí v překladech takto (žlutě podbarvený „bold“ v uvozovkách)

„resize“.

Nesupluje původní termíny, ale snaží se je vysvětlit a tím pomáhá tam, kde překlad by byl nevhodný, nepřesný, nevyhovující nebo dokonce zavádějící. Mnoho termínů (snad už zdomácnělých - bit, byte, cluster, software, ...) neobsahuje. Termíny v překladech uvádí nesklonně. Uvedení termínu ve slovníku podléhá jeho nezdomácnění a rozhodnutí překladatele. Slovník zásadně preferuje termíny z oblasti výpočetní techniky.

bare metal – „holé železo“. Počítač „tak, jak je“. Bez vybavení OS a bez systémového software a aplikací

bootstrap – „zaváděcí program“. Poněkud zastaralý termín, častěji se používá termín „boot“ (i když tento termín má více významů). Jde o zaváděcí program - zavaděč - ve strojovém kódu, pomocí něhož je spouštěn OS. Po zapnutí počítače a provedení nezbytných kontrol (o které se postará BIOS), je zavaděč první program, který se automaticky spouští. Následně se - v několika krocích - postupně spouští OS. Termínem boot se také označuje i činnost sloužící pro zavedení OS, pak jde o tzv. bootování

commit – „dopustit, zapsat nyní“. Ono „dopustit“ vhodné není, nicméně výraz v dané situaci poměrně věrný je. Jde totiž o následující situaci. Nechť diskový svazek je „pod ochranou“, což zde znamená, že všechny případné zápisy, které by běžně v souborech nebo systému souborů proběhly, jsou suplovány zápisy do speciálního služebního souboru. Ten jako jediný na médiu změny zaznamenává. Po skončení ochrany, jsou schválené změny – arbitrem je zde obsluha, doslova „upuštěné“ na svazek (nebo k zápisu při neschválení vůbec nedojde). Je jasné, že vhodnější je termín „zapsat nyní“, jakkoliv zdánlivě s původním termínem naprosto nesouvisí (rozdíl od běžného zápisu je za daných okolností víc než patrný)

disk at once – „médium CD/DVD vypálené naráz“. Vypalování zaznamená jednu nebo více stop bez přerušení napájení laserového paprsku a médium je uzavřeno (mezi jednotlivými stopami nevzniknou mezery)

downgrade – přechod na nižší verzi software

drag and drop – „táhni a pusť“. Metoda přenesení objektu (textu, souboru apod.) jeho označením a tažením jinam např. do okénka pro text nebo do jiného adreáře v případě souboru. Přemisťování objektu se velmi jednoduše provede označením („omarkováním“, vybráním) a následným tažením myši

flag – „vlaječka“. Speciální upozorňovací ikonka, indikace (obvykle vyjádřená graficky), sloužící hlavně pro základní informace o objektu, pro změny jeho atributů nebo okamžité zjišťování stavu objektu

hotcore – „horké, žhavé ve smyslu rychlé, okamžité, nekompromisní“ online (termín viz níže) pracující komponenty jádra OS

hotplug – „horká, žhavá ve smyslu rychlá, okamžitá, nekompromisní“ možnost připojení (např. PC kabelem k síti)

hot processing – „zpracování za tepla - rychlý, okamžitý, nekompromisní“ režim, který je vždy připravený podat plnohodnotný výkon. Také režim zpracování dat bez restartu OS

hotspot – „horké, žhavé ve smyslu rychlé, okamžité, nekompromisní“ místo s možností bezdrátového připojení k internetu

hotsnap, hotswap(-ing) – „horké, žhavé ve smyslu rychlé, okamžité, nekompromisní nahrazení či připojení/odpojení elektronických komponent“ např. pevného disku či USB webkamery do počítačového systému bez nutnosti jeho vypnutí. Výměna, oprava za provozu. Podstatné je, že běh OS není nutné přerušit

„in-place“ šifrování – šifrování „na místě“. Přečtou se původní data, zašifrují a uloží zpět. Toto šifrování vlastně zachová data původní (vadné sektory mohou zůstat nezašifrované, prostor „mezi“ zůstane v původní podobě). Při běžném šifrování se oddíl nejprve naplní (přemaže) náhodnými daty

mass storage – označení paměťových zařízení (audio přehrávače, digitální fotoaparáty, flash "klíčenky", čtečky paměťových karet, paměťové karty i mechanické disky) připojovaných na rozhraní USB, které proběhne bez instalování ovladačů velmi podobně jako používání „nesmrtelných“ disket

offline – opak online (termín viz níže). V dané době „nebýt připojen“, nebýt pod přímým řízením, nebýt operativní, být nefunkční (nikoliv ve významu poruchy, ale ve významu „nebýt momentálně k dispozici“)

offset – „odsazení“. Zde obvykle používáno pro označení odsazení začátku svazku, pole byte nebo určitého sektoru disku od význačného bodu, např. od počátku disku nebo počátku sektoru (pro byte)

online – „… přímo připojený…“. Termín má více adekvátních významů – být „živě“ připojen (např. k Internetu), být pod přímým řízením (kontrolou) jiného zařízení nebo systému, být právě operativní (online nápověda je vždy – souvislost s připojením k Internetu je zřejmá – k dispozici), funkční

on the fly – „za letu“. Zpracování, jehož podpůrné činnosti (šifrování/dešifrování, komprimace nebo dělení dat do bloků, příjem/vysílání dat) zvládne procesor rychle a bez jakýchkoliv vnějších projevů. Vůči uživateli pak tyto činnosti probíhají zcela transparentně, nečeká na jejich dokončení, „neví“ o nich. Jsou tak rychlé, že uživatel je prostě neregistruje (při otevírání zašifrovaného souboru nejen neregistruje dekódování přenášených dat, ale nezajímá se o něj, při zpracování streamu dat nastává obdobná situace jako při přípravě přenášených bloků informace apod. – tato zpracování jsou výkonná a „neviditelná“)

override – „dát přednost čemu, převážit co, nebrat do úvahy“. Zde chápat v následujících souvislostech. Okolnostmi nebo souborem pravidel je dán, nastaven jistý status ovládání, porovnávání, třídění či nastavování. Určitou volbou lze stávají stav nastavit jinak, přizpůsobit ho, přestavit nebo zvolit tak, že původní chování je potlačeno a nahrazeno právě nastaveným

plausible deniability – „hodnověrná schopnost popření“. Jde o kategorii chování, kdy jedinec postupuje následujícím způsobem. Hodnověrně – umí to, může a dokáže, zajistí vysvětlení existence jistých skutečností bez vzbuzení podezření. Typicky jde o případy, kdy je nutné hodnověrně vysvětlit (pod nátlakem nebo hrozbou např. násilí) podezření na existenci zašifrovaných dat, která by měla být poskytnuta např. útočníkovi, soudu apod. A také hodnověrně vysvětlení obhájit

plug and play – „připoj a hraj“. Počítačová technologie umožňující rozpoznávat a konfigurovat hardware. OS správně zjišťuje, jaký typ hardware byl přidán (připojen) do počítače a nainstaluje pro něho i potřebné ovladače, čímž zařízení zcela automaticky zprovozní

plug-in – „připojit“. Jde o tzv. zásuvný modul. Software, který nepracuje samostatně, ale je dodáván jako doplňjící modul k jiné aplikaci, čím rozšiřuje její funkčnost

pop-up – „rychle se vynořit“ („vyskakující“ okno). Jde o speciální vizuální element grafického uživatelského rozhraní některých počítačových programů. Název pochází od toho, že informace v okně se rychle vynoří, překryje vše ostatní a tím důrazně upozorní na zprávu, kterou „nese“

pre boot authentication (PBA) – jakožto rozšíření BIOS nebo bootovacího firmware poskytuje mimo prostředí operačního systému bezpečnou, nemanipulovatelnou a důvěryhodnou vrstvu pro ověřování. PBA každému, kdo nepotvrdí, že má správné heslo nebo jiné pověření, zabrání z pevného disku načíst OS

proprietary - „značkový, vlastnický, patentovaný“. Zde hlavně ve významu unikátního software poskytovaného se zvlášť chráněnými právy vlastníka. Velmi často jde např. o speciální software vybavení pro přesně určené zaměření (medicina, doprava, spoje, telekomunikace apod.)

Recovery Media Builder – „tvorba nebo nástroj tvorby média obnovy“. Speciální SW pro „výrobu“ bootovatelného média typu CD/DVD, „flashky“, pevného disku s USB interface, paměťové karty (např. typu SD) i starších floppy disků, sloužících pro údržbu oddílů disku

resize – „přepočet“. Nutný proces při změně velikosti a vniřní organizace oddílů. Jsou mimo jiné zpracovávány existující fragmenty souborů oddílu umístěných v té části oddílu, o kterou výsledný oddíl po skončení procesu „resizing“ (pokud jde o zmenšování) přijde, o stanovení nové velikosti clusteru apod. Suplující termíny „přepočet, zvětšení velikosti, atd.“ vhodné nejsou, protože nevystihují podstatu procesu

sparse file_1 – „řídký soubor“. Jde o soubor, jehož jistá data jsou charakterizovaná pomocí metadat. Přesněji, pokud se v tomto souboru vyskytují data „nulová“ (tedy byte jejichž obsahy jsou hexadecimální „00“, pak tato data jsou, pokud se jich vyskytuje více za sebou, zapsána jako jediný „nulový“ byte s opakovačem. O „zapakování, rozpakování“ se stará OS. Soubory jsou podporovány systémem souborů Ext2, Ext3, Ext4, XFS, ZFS, NTFS,NILFS, JFS a dalšími, nikoliv ale FAT12, FAT16, FAT32, HFS+ a dalšími. Výhodou je ušetření místa. Nevýhoda je občasná nemožnost prakticky získat relevantní informaci o velikosti souboru a existují předpoklady pro náchylnost k defragmentaci, která je vyšší než u souborů „neřídkých“

sparse file_2 – „řídký soubor“. Speciální typ souboru, který vzniká následujícím způsobem. Po zápisu několika počátečních byte je potřeba zapsat další, které ovšem ne nutně musí následovat „těsně“ za předešlými – jsou naopak uloženy na místech s nenulovým offsetem (termín viz výše) pokud jde o konec předcházejících dat. Pokud systém souborů nemá podporu řídkých souborů, alokuje se celý prostor mezi počátečními byte a byte s vysokým offsetem. Prostor mezi počátkem a offsetem by ovšem alokován vůbec nemusel být. Užijeme-li systémy souborů s podporou řídkých souborů, alokuje se jen tolik prostoru, kolik zapisovaná data skutečně potřebují. (Jinak řečeno, některé SW potřebují mít vytvořené velké soubory - typicky databázové servery, ale zatím ještě data, kterými by se mohly naplnit, neexistují. Řídké soubory slouží právě k těmto účelům – soubor je vytvořen velký, ale není fyzicky alokovaný, takže zatím v něm nevyužitý prostor nezabírá místo na disku.) Při šifrování jsou také méně bezpečné, protože je možné určit, které sektory nebyly využité

state-of-the-art – „stav techniky na úrovni doby“, umění technologie. Mírně nadnesené ohodnocení špičkového zařízení, předmětu nebo výjimečného „výkvětu“ techniky poslední doby

systray – téměž vždypřítomná pravá část hlavní lišty (panelu) s ikonkami OS a zástupci speciálních (i když ne vždy systémových) programů, služeb i procesů, umístěná obvykle ve spodní části hlavní obrazovky OS Windows. Mimo jiné obsahuje např. ikonky času, napájení, hlasitosti zvuku apod.

update/upgrade – drobné vylepšení programu (aktualizace)/nová verze programu (lišící se od původní kardinálně)

tag – „cedulka, visačka i značka“. Přiřazením „tagu“ – visačky, označení, lze např. článek učinit velmi dobře dohledatelným nebo přímo dostupným z několika míst. Stačí mu „visaček“ přidělit několik a podle charakteru potřebného dostupu je umístit tam, odkud dostup bude prováděn. Lze použít stejně dobře pro označení informací v nepřehledném seskupení pro účely výběru, třídění. Kategorie, vytvořené pomocí tagů, jsou dobře přehledné

token – obvykle malé zařízení (HW token) vypadající např. jako USB flash paměť, umožňující uchování soukromého šifrovacího klíče pro šifrování a podepisování dokumentů. Zařízení slouží pro autentifikaci uživatele. Může a často tomu tak bývá, jít i o speciální datový soubor. Pak mluvíme o SW tokenu

waste space – „zbytečný nebo zbytečně nevyužitý prostor“. Jde o nevyužité místo v clusteru na disku, kdy něm z důvodů nezaplněnosti vloženými daty (jde poslední cluster souboru a data prostě „nevyšla na knop“) zůstává nevyužitý prostor

wipe – „otírat, očistit (čistit), vytřít“. Z důvodů zaměnitelnosti a zjevného rozporu způsobeného nejasnostmi s odebráním či „výmazem“ dat souborů nebo složek použitých jako kontejnery a ponecháním jejich obsahů na médiích, je rozumné tento termín nepřekládat. Když už pro nic jiného, tak z důvodů nejednoznačnosti zabezpečení